using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.IO;
using System.Runtime.ExceptionServices;
using System.Security.Permissions;
using UnityEngine;
using UnityEngine.Events;

namespace script
{
    public class script
    {
        public static void Main()
        {
            Liquid.Register("Thirium 310", new Purp());
            CategoryBuilder.Create("Detroit: Become Human", "Some of Detroit characters are here", ModAPI.LoadSprite("category.png"));

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Connor",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "RK800 Android model, used to cover police investigations",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/connor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("connor.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();
                        
                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;
                              
                            }
                            

                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "RK900",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "Late model of Connor series",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/rk900.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("rk900.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                            {


                                body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;
                               
                            }
                            foreach (var body in person.Limbs)
                            {
                                var backpack = new GameObject("Backpack");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                                backpack.transform.localPosition = new Vector3(0, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("hood.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                            }
                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "Connor <b>(JERICHO)</b>",
                   NameToOrderByOverride = "ANDROID",
                   DescriptionOverride = "Connor under cover when investigated Jericho",
                   CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                   ThumbnailOverride = ModAPI.LoadSprite("thumbnails/connor2.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var person = Instance.GetComponent<PersonBehaviour>();
                       var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                       person.SetBodyTextures(ModAPI.LoadTexture("connor2.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                       person.SetBruiseColor(86, 62, 130);
                       person.SetSecondBruiseColor(0, 180, 230);
                       person.SetThirdBruiseColor(86, 90, 206);
                       person.SetRottenColour(78, 92, 12);
                       person.SetBloodColour(0, 255, 255);
                       var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                       var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {


                               body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                               body.Health *= 10f;

                           }
                           foreach (var body in person.Limbs)
                           {
                               var backpack = new GameObject("Backpack");
                               backpack.transform.SetParent(Instance.transform.Find("Head"));
                               backpack.transform.localPosition = new Vector3(0.0042f, 0.0024f);
                               backpack.transform.localScale = new Vector3(1f, 1f);
                               var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                               backpackSprite.sprite = ModAPI.LoadSprite("connorhat.png", 1.4f);
                               backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                           }
                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color(0, 1f, 1f, 1f);
                           limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color(0, 1f, 1f, 1f);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(0, 255, 255, 255);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }
                   }
               }
           );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPG-Styled Android",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "Just an ppg-styled android, no more",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ppg-styled android.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("ppg.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                            {


                                body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;
                                
                            }

                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "PPG-Styled Android #2",
                   NameToOrderByOverride = "ANDROID",
                   DescriptionOverride = "Just an ppg-styled android, no more, 2cnd model",
                   CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                   ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ppg-styled android N.2.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var person = Instance.GetComponent<PersonBehaviour>();
                       var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                       person.SetBodyTextures(ModAPI.LoadTexture("ppg2.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                       person.SetBruiseColor(86, 62, 130);
                       person.SetSecondBruiseColor(0, 180, 230);
                       person.SetThirdBruiseColor(86, 90, 206);
                       person.SetRottenColour(78, 92, 12);
                       person.SetBloodColour(0, 255, 255);
                       var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                       var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {


                               body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                               body.Health *= 10f;

                           }

                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color(0, 1f, 1f, 1f);
                           limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Thirium 310";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color(0, 1f, 1f, 1f);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(0, 255, 255, 255);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }
                   }
               }
           );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "PPG-Styled Android #3",
                   NameToOrderByOverride = "ANDROID",
                   DescriptionOverride = "Just an ppg-styled android, no more, 2cnd model",
                   CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                   ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ppg-styled android N.3.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var person = Instance.GetComponent<PersonBehaviour>();
                       var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                       person.SetBodyTextures(ModAPI.LoadTexture("ppg3.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                       person.SetBruiseColor(86, 62, 130);
                       person.SetSecondBruiseColor(0, 180, 230);
                       person.SetThirdBruiseColor(86, 90, 206);
                       person.SetRottenColour(78, 92, 12);
                       person.SetBloodColour(0, 255, 255);
                       var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                       var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {


                               body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                               body.Health *= 10f;
                               
                           }

                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color(0, 1f, 1f, 1f);
                           limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color(0, 1f, 1f, 1f);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(0, 255, 255, 255);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }
                   }
               }
           );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "PPG-Styled Android #4",
                   NameToOrderByOverride = "ANDROID",
                   DescriptionOverride = "Just an ppg-styled android, no more, 2cnd model",
                   CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                   ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ppg-styled android N.4.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var person = Instance.GetComponent<PersonBehaviour>();
                       var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                       person.SetBodyTextures(ModAPI.LoadTexture("ppg4.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                       person.SetBruiseColor(86, 62, 130);
                       person.SetSecondBruiseColor(0, 180, 230);
                       person.SetThirdBruiseColor(86, 90, 206);
                       person.SetRottenColour(78, 92, 12);
                       person.SetBloodColour(0, 255, 255);
                       var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                       var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {


                               body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                               body.Health *= 10f;

                           }

                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color(0, 1f, 1f, 1f);
                           limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Thirium 310";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color(0, 1f, 1f, 1f);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(0, 255, 255, 255);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }
                   }
               }
           );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "PPG-Styled Android #5",
                   NameToOrderByOverride = "ANDROID",
                   DescriptionOverride = "Just an ppg-styled android, no more, 2cnd model",
                   CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                   ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ppg-styled android N.5.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var person = Instance.GetComponent<PersonBehaviour>();
                       var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                       person.SetBodyTextures(ModAPI.LoadTexture("ppg5.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                       person.SetBruiseColor(86, 62, 130);
                       person.SetSecondBruiseColor(0, 180, 230);
                       person.SetThirdBruiseColor(86, 90, 206);
                       person.SetRottenColour(78, 92, 12);
                       person.SetBloodColour(0, 255, 255);
                       var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                       var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {


                               body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                               body.Health *= 10f;

                           }

                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color(0, 1f, 1f, 1f);
                           limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Thirium 310";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color(0, 1f, 1f, 1f);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(0, 255, 255, 255);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }
                   }
               }
           );

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Daniel",
                  NameToOrderByOverride = "ANDROID",
                  DescriptionOverride = "PL600 android model, main antagoinst in first mission, and first deviant android",
                  CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                  ThumbnailOverride = ModAPI.LoadSprite("thumbnails/daniel.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("Daniel.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                      person.SetBruiseColor(86, 62, 130);
                      person.SetSecondBruiseColor(0, 180, 230);
                      person.SetThirdBruiseColor(86, 90, 206);
                      person.SetRottenColour(78, 92, 12);
                      person.SetBloodColour(0, 255, 255);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          foreach (var body in person.Limbs)
                          {


                              body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                              body.Health *= 10f;
                              
                          }

                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = new Color(0, 1f, 1f, 1f);
                          limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Thirium 310";
                          limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = new Color(0, 1f, 1f, 1f);
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                          var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                          renderer.material.color = new Color32(0, 255, 255, 255);
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                      }

                      foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                      {
                          con.Decal = cal2;
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                  }
              }
          );
            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Common Android #1",
                  NameToOrderByOverride = "ANDROID",
                  DescriptionOverride = "Just a civil android",
                  CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                  ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("android1_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                      person.SetBruiseColor(86, 62, 130);
                      person.SetSecondBruiseColor(0, 180, 230);
                      person.SetThirdBruiseColor(86, 90, 206);
                      person.SetRottenColour(78, 92, 12);
                      person.SetBloodColour(0, 255, 255);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          foreach (var body in person.Limbs)
                          {


                              body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                              body.Health *= 10f;

                          }

                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = new Color(0, 1f, 1f, 1f);
                          limb.BloodDecal = cal; //Lazy
                          limb.BloodLiquidType = "Thirium 310";
                          limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = new Color(0, 1f, 1f, 1f);
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                      foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                          var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                          renderer.material.color = new Color32(0, 255, 255, 255);
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                      }

                      foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                      {
                          con.Decal = cal2;
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                  }
              }
          );
            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Common Android #2",
                  NameToOrderByOverride = "ANDROID",
                  DescriptionOverride = "Just a civil android",
                  CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                  ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("android2_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                      person.SetBruiseColor(86, 62, 130);
                      person.SetSecondBruiseColor(0, 180, 230);
                      person.SetThirdBruiseColor(86, 90, 206);
                      person.SetRottenColour(78, 92, 12);
                      person.SetBloodColour(0, 255, 255);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          foreach (var body in person.Limbs)
                          {


                              body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                              body.Health *= 10f;

                          }

                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = new Color(0, 1f, 1f, 1f);
                          limb.BloodDecal = cal; //Lazy
                          limb.BloodLiquidType = "Thirium 310";
                          limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = new Color(0, 1f, 1f, 1f);
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                      foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                          var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                          renderer.material.color = new Color32(0, 255, 255, 255);
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                      }

                      foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                      {
                          con.Decal = cal2;
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                  }
              }
          );
            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Common Android #3",
                  NameToOrderByOverride = "ANDROID",
                  DescriptionOverride = "Just a civil android",
                  CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                  ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("android3_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                      person.SetBruiseColor(86, 62, 130);
                      person.SetSecondBruiseColor(0, 180, 230);
                      person.SetThirdBruiseColor(86, 90, 206);
                      person.SetRottenColour(78, 92, 12);
                      person.SetBloodColour(0, 255, 255);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          foreach (var body in person.Limbs)
                          {


                              body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                              body.Health *= 10f;

                          }

                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = new Color(0, 1f, 1f, 1f);
                          limb.BloodDecal = cal; //Lazy
                          limb.BloodLiquidType = "Thirium 310";
                          limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = new Color(0, 1f, 1f, 1f);
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                      foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                          var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                          renderer.material.color = new Color32(0, 255, 255, 255);
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                      }

                      foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                      {
                          con.Decal = cal2;
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                  }
              }
          );
            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Common Android #4",
                  NameToOrderByOverride = "ANDROID",
                  DescriptionOverride = "Just a civil android",
                  CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                  ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("android4_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                      person.SetBruiseColor(86, 62, 130);
                      person.SetSecondBruiseColor(0, 180, 230);
                      person.SetThirdBruiseColor(86, 90, 206);
                      person.SetRottenColour(78, 92, 12);
                      person.SetBloodColour(0, 255, 255);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          foreach (var body in person.Limbs)
                          {


                              body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                              body.Health *= 10f;

                          }

                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = new Color(0, 1f, 1f, 1f);
                          limb.BloodDecal = cal; //Lazy
                          limb.BloodLiquidType = "Thirium 310";
                          limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = new Color(0, 1f, 1f, 1f);
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                      foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                          var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                          renderer.material.color = new Color32(0, 255, 255, 255);
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                      }

                      foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                      {
                          con.Decal = cal2;
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                  }
              }
          );
            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Common Android #5",
                  NameToOrderByOverride = "ANDROID",
                  DescriptionOverride = "Just a civil android",
                  CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                  ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("android5_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                      person.SetBruiseColor(86, 62, 130);
                      person.SetSecondBruiseColor(0, 180, 230);
                      person.SetThirdBruiseColor(86, 90, 206);
                      person.SetRottenColour(78, 92, 12);
                      person.SetBloodColour(0, 255, 255);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          foreach (var body in person.Limbs)
                          {


                              body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                              body.Health *= 10f;

                          }

                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = new Color(0, 1f, 1f, 1f);
                          limb.BloodDecal = cal; //Lazy
                          limb.BloodLiquidType = "Thirium 310";
                          limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = new Color(0, 1f, 1f, 1f);
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                      foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                          var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                          renderer.material.color = new Color32(0, 255, 255, 255);
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                      }

                      foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                      {
                          con.Decal = cal2;
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                  }
              }
          );
            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Human"),
                 NameOverride = "Common Android #6",
                 NameToOrderByOverride = "ANDROID",
                 DescriptionOverride = "Just a civil android",
                 CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                 ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                 AfterSpawn = (Instance) =>
                 {
                     var person = Instance.GetComponent<PersonBehaviour>();
                     var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                     person.SetBodyTextures(ModAPI.LoadTexture("android6_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                     person.SetBruiseColor(86, 62, 130);
                     person.SetSecondBruiseColor(0, 180, 230);
                     person.SetThirdBruiseColor(86, 90, 206);
                     person.SetRottenColour(78, 92, 12);
                     person.SetBloodColour(0, 255, 255);
                     var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                     var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                     foreach (LimbBehaviour limb in person.Limbs)
                     {
                         foreach (var body in person.Limbs)
                         {


                             body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                             body.Health *= 10f;

                         }

                         cal.Sprites = limb.BloodDecal.Sprites;
                         cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                         cal.Color = new Color(0, 1f, 1f, 1f);
                         limb.BloodDecal = cal; //Lazy
                          limb.BloodLiquidType = "Thirium 310";
                         limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                         limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                         limb.PhysicalBehaviour.Properties = prop;
                     }
                     var Safe = new GameObject();
                     person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                     person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                     prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                     Safe.SetActive(false);
                     cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                     cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                     cal2.Color = new Color(0, 1f, 1f, 1f);
                     person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                      foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                         main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                         var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                         renderer.material.color = new Color32(0, 255, 255, 255);
                     }

                     foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                     }

                     foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                     {
                         con.Decal = cal2;
                     }

                     foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                     }
                 }
             }
         );
            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Human"),
                 NameOverride = "Common Android #7",
                 NameToOrderByOverride = "ANDROID",
                 DescriptionOverride = "Just a civil android",
                 CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                 ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                 AfterSpawn = (Instance) =>
                 {
                     var person = Instance.GetComponent<PersonBehaviour>();
                     var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                     person.SetBodyTextures(ModAPI.LoadTexture("android7_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                     person.SetBruiseColor(86, 62, 130);
                     person.SetSecondBruiseColor(0, 180, 230);
                     person.SetThirdBruiseColor(86, 90, 206);
                     person.SetRottenColour(78, 92, 12);
                     person.SetBloodColour(0, 255, 255);
                     var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                     var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                     foreach (LimbBehaviour limb in person.Limbs)
                     {
                         foreach (var body in person.Limbs)
                         {


                             body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                             body.Health *= 10f;

                         }

                         cal.Sprites = limb.BloodDecal.Sprites;
                         cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                         cal.Color = new Color(0, 1f, 1f, 1f);
                         limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "Thirium 310";
                         limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                         limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                         limb.PhysicalBehaviour.Properties = prop;
                     }
                     var Safe = new GameObject();
                     person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                     person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                     prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                     Safe.SetActive(false);
                     cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                     cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                     cal2.Color = new Color(0, 1f, 1f, 1f);
                     person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                         main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                         var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                         renderer.material.color = new Color32(0, 255, 255, 255);
                     }

                     foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                     }

                     foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                     {
                         con.Decal = cal2;
                     }

                     foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                     }
                 }
             }
         );
            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Human"),
                 NameOverride = "Common Android #8",
                 NameToOrderByOverride = "ANDROID",
                 DescriptionOverride = "Just a civil android",
                 CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                 ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                 AfterSpawn = (Instance) =>
                 {
                     var person = Instance.GetComponent<PersonBehaviour>();
                     var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                     person.SetBodyTextures(ModAPI.LoadTexture("android8_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                     person.SetBruiseColor(86, 62, 130);
                     person.SetSecondBruiseColor(0, 180, 230);
                     person.SetThirdBruiseColor(86, 90, 206);
                     person.SetRottenColour(78, 92, 12);
                     person.SetBloodColour(0, 255, 255);
                     var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                     var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();


                     foreach (var body in person.Limbs)
                     {
                         var ca = new GameObject("ca");
                         ca.transform.SetParent(Instance.transform.Find("Head"));
                         ca.transform.localPosition = new Vector3(0f, 0.008f, 0f);
                         ca.transform.localScale = new Vector3(1f, 1f);
                         var caSprite = ca.AddComponent<SpriteRenderer>();
                         caSprite.sprite = ModAPI.LoadSprite("hair8.png");
                         ca.GetComponent<SpriteRenderer>().sortingLayerName = "default";
                         ca.GetComponent<SpriteRenderer>().sortingOrder = 1;
                         body.transform.root.localScale *= 1f;

                     }

                     foreach (LimbBehaviour limb in person.Limbs)
                     {
                         foreach (var body in person.Limbs)
                         {


                             body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                             body.Health *= 10f;

                         }

                         cal.Sprites = limb.BloodDecal.Sprites;
                         cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                         cal.Color = new Color(0, 1f, 1f, 1f);
                         limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "Thirium 310";
                         limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                         limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                         limb.PhysicalBehaviour.Properties = prop;
                     }
                     var Safe = new GameObject();
                     person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                     person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                     prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                     Safe.SetActive(false);
                     cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                     cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                     cal2.Color = new Color(0, 1f, 1f, 1f);
                     person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                         main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                         var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                         renderer.material.color = new Color32(0, 255, 255, 255);
                     }

                     foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                     }

                     foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                     {
                         con.Decal = cal2;
                     }

                     foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                     }
                 }
             }
         );
            
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #9",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android9_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;

                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #10  ",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android10_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;

                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #11",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android11_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;

                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #12",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android12_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;

                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #13",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android13_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();
                    foreach (var body in person.Limbs)
                    {
                        var ca = new GameObject("ca");
                        ca.transform.SetParent(Instance.transform.Find("Head"));
                        ca.transform.localPosition = new Vector3(0f, 0f, 0f);
                        ca.transform.localScale = new Vector3(1f, 1f);
                        var caSprite = ca.AddComponent<SpriteRenderer>();
                        caSprite.sprite = ModAPI.LoadSprite("hat.png");
                        ca.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        ca.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        body.transform.root.localScale *= 1f;

                    }
                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;

                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #14",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android14_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                    foreach (var body in person.Limbs)
                    {
                        var ca = new GameObject("ca");
                        ca.transform.SetParent(Instance.transform.Find("Head"));
                        ca.transform.localPosition = new Vector3(0f, 0f, 0f);
                        ca.transform.localScale = new Vector3(1f, 1f);
                        var caSprite = ca.AddComponent<SpriteRenderer>();
                        caSprite.sprite = ModAPI.LoadSprite("hat.png");
                        ca.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        ca.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        body.transform.root.localScale *= 1f;

                    }

                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;

                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #15",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android15_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                 
                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;

                         
                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("Human"),
               NameOverride = "Common Android #16",
               NameToOrderByOverride = "ANDROID",
               DescriptionOverride = "Just a civil android",
               CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
               ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
               AfterSpawn = (Instance) =>
               {
                   var person = Instance.GetComponent<PersonBehaviour>();
                   var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                   person.SetBodyTextures(ModAPI.LoadTexture("android16_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                   person.SetBruiseColor(86, 62, 130);
                   person.SetSecondBruiseColor(0, 180, 230);
                   person.SetThirdBruiseColor(86, 90, 206);
                   person.SetRottenColour(78, 92, 12);
                   person.SetBloodColour(0, 255, 255);
                   var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                   var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();


                   foreach (LimbBehaviour limb in person.Limbs)
                   {

                       foreach (var body in person.Limbs)
                       {


                           body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                           body.Health *= 10f;
                           

                       }

                       cal.Sprites = limb.BloodDecal.Sprites;
                       cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                       cal.Color = new Color(0, 1f, 1f, 1f);
                       limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                       limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                       limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                       limb.PhysicalBehaviour.Properties = prop;
                   }
                   var Safe = new GameObject();
                   person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                   person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                   prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                   Safe.SetActive(false);
                   cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                   cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                   cal2.Color = new Color(0, 1f, 1f, 1f);
                   person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                   {
                       var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                       main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                       {
                           thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                       }
                       var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                       renderer.material.color = new Color32(0, 255, 255, 255);
                   }

                   foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                   {
                       var moon = thi.main;
                       moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                   }

                   foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                   {
                       con.Decal = cal2;
                   }

                   foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                   {
                       var moon = thi.main;
                       moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                       {
                           prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                       }
                   }
               }
           }
       );

            ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("Human"),
               NameOverride = "Common Android #17",
               NameToOrderByOverride = "ANDROID",
               DescriptionOverride = "Just a civil android",
               CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
               ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
               AfterSpawn = (Instance) =>
               {
                   var person = Instance.GetComponent<PersonBehaviour>();
                   var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                   person.SetBodyTextures(ModAPI.LoadTexture("android19_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                   person.SetBruiseColor(86, 62, 130);
                   person.SetSecondBruiseColor(0, 180, 230);
                   person.SetThirdBruiseColor(86, 90, 206);
                   person.SetRottenColour(78, 92, 12);
                   person.SetBloodColour(0, 255, 255);
                   var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                   var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                   foreach (LimbBehaviour limb in person.Limbs)
                   {
                       foreach (var body in person.Limbs)
                       {


                           body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                           body.Health *= 10f;
                           var ca = new GameObject("ca");
                           ca.transform.SetParent(Instance.transform.Find("Head"));
                           ca.transform.localPosition = new Vector3(0f, 0f, 0f);
                           ca.transform.localScale = new Vector3(1f, 1f);
                           var caSprite = ca.AddComponent<SpriteRenderer>();
                           caSprite.sprite = ModAPI.LoadSprite("hat2.png");
                           ca.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                           ca.GetComponent<SpriteRenderer>().sortingOrder = 1;
                           body.transform.root.localScale *= 1f;
                       }

                       cal.Sprites = limb.BloodDecal.Sprites;
                       cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                       cal.Color = new Color(0, 1f, 1f, 1f);
                       limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                       limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                       limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                       limb.PhysicalBehaviour.Properties = prop;
                   }
                   var Safe = new GameObject();
                   person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                   person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                   prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                   Safe.SetActive(false);
                   cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                   cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                   cal2.Color = new Color(0, 1f, 1f, 1f);
                   person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                   {
                       var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                       main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                       {
                           thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                       }
                       var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                       renderer.material.color = new Color32(0, 255, 255, 255);
                   }

                   foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                   {
                       var moon = thi.main;
                       moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                   }

                   foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                   {
                       con.Decal = cal2;
                   }

                   foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                   {
                       var moon = thi.main;
                       moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                       {
                           prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                       }
                   }
               }
           }
       );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Common Android #18",
                NameToOrderByOverride = "ANDROID",
                DescriptionOverride = "Just a civil android",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/androids.png"),
                AfterSpawn = (Instance) =>
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                    person.SetBodyTextures(ModAPI.LoadTexture("android20_skin.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                    person.SetBruiseColor(86, 62, 130);
                    person.SetSecondBruiseColor(0, 180, 230);
                    person.SetThirdBruiseColor(86, 90, 206);
                    person.SetRottenColour(78, 92, 12);
                    person.SetBloodColour(0, 255, 255);
                    var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                    var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                    foreach (LimbBehaviour limb in person.Limbs)
                    {
                        foreach (var body in person.Limbs)
                        {


                            body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                            body.Health *= 10f;
                            var ca = new GameObject("ca");
                            ca.transform.SetParent(Instance.transform.Find("Head"));
                            ca.transform.localPosition = new Vector3(0f, 0f, 0f);
                            ca.transform.localScale = new Vector3(1f, 1f);
                            var caSprite = ca.AddComponent<SpriteRenderer>();
                            caSprite.sprite = ModAPI.LoadSprite("hat3.png");
                            ca.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                            ca.GetComponent<SpriteRenderer>().sortingOrder = 1;
                            body.transform.root.localScale *= 1f;
                        }

                        cal.Sprites = limb.BloodDecal.Sprites;
                        cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                        cal.Color = new Color(0, 1f, 1f, 1f);
                        limb.BloodDecal = cal; //Lazy
                        limb.BloodLiquidType = "Thirium 310";
                        limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                        limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                        limb.PhysicalBehaviour.Properties = prop;
                    }
                    var Safe = new GameObject();
                    person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                    person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                    prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                    Safe.SetActive(false);
                    cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                    cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                    cal2.Color = new Color(0, 1f, 1f, 1f);
                    person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                    foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                        main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                        var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                        renderer.material.color = new Color32(0, 255, 255, 255);
                    }

                    foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                    }

                    foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                    {
                        con.Decal = cal2;
                    }

                    foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                    {
                        var moon = thi.main;
                        moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                        {
                            prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                        }
                    }
                }
            }
        );
            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Human"),
                 NameOverride = "Markus",
                 NameToOrderByOverride = "ANDROID",
                 DescriptionOverride = "RK200 android model, one of main protagonists in detroit, leader of Jericho, cause of revolution.",
                 CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                 ThumbnailOverride = ModAPI.LoadSprite("thumbnails/markus.png"),
                 AfterSpawn = (Instance) =>
                 {
                     var person = Instance.GetComponent<PersonBehaviour>();
                     var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                     person.SetBodyTextures(ModAPI.LoadTexture("Markus.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                     person.SetBruiseColor(86, 62, 130);
                     person.SetSecondBruiseColor(0, 180, 230);
                     person.SetThirdBruiseColor(86, 90, 206);
                     person.SetRottenColour(78, 92, 12);
                     person.SetBloodColour(0, 255, 255);
                     var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                     var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                     foreach (LimbBehaviour limb in person.Limbs)
                     {
                         foreach (var body in person.Limbs)
                         {


                             body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                             body.Health *= 10f;
                            
                         }

                         cal.Sprites = limb.BloodDecal.Sprites;
                         cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                         cal.Color = new Color(0, 1f, 1f, 1f);
                         limb.BloodDecal = cal; //Lazy
                          limb.BloodLiquidType = "Thirium 310";
                         limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                         limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                         limb.PhysicalBehaviour.Properties = prop;
                     }
                     var Safe = new GameObject();
                     person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                     person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                     prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                     Safe.SetActive(false);
                     cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                     cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                     cal2.Color = new Color(0, 1f, 1f, 1f);
                     person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                      foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                         main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                         var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                         renderer.material.color = new Color32(0, 255, 255, 255);
                     }

                     foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                     }

                     foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                     {
                         con.Decal = cal2;
                     }

                     foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                     {
                         var moon = thi.main;
                         moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                         if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                         {
                             prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                         }
                     }
                 }
             }
         );
            ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("Human"),
               NameOverride = "Carlos' Android",
               NameToOrderByOverride = "ANDROID",
               DescriptionOverride = "Carlos' Android is a HK400 android in Detroit: Become Human owned by Carlos Ortiz.",
               CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
               ThumbnailOverride = ModAPI.LoadSprite("thumbnails/carlos.png"),
               AfterSpawn = (Instance) =>
               {
                   var person = Instance.GetComponent<PersonBehaviour>();
                   var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                   person.SetBodyTextures(ModAPI.LoadTexture("Deviant.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                   person.SetBruiseColor(86, 62, 130);
                   person.SetSecondBruiseColor(0, 180, 230);
                   person.SetThirdBruiseColor(86, 90, 206);
                   person.SetRottenColour(78, 92, 12);
                   person.SetBloodColour(0, 255, 255);
                   var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                   var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                   foreach (LimbBehaviour limb in person.Limbs)
                   {
                       foreach (var body in person.Limbs)
                       {


                           body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                           body.Health *= 10f;

                       }

                       cal.Sprites = limb.BloodDecal.Sprites;
                       cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                       cal.Color = new Color(0, 1f, 1f, 1f);
                       limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "Thirium 310";
                       limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                       limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                       limb.PhysicalBehaviour.Properties = prop;
                   }
                   var Safe = new GameObject();
                   person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                   person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                   prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                   Safe.SetActive(false);
                   cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                   cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                   cal2.Color = new Color(0, 1f, 1f, 1f);
                   person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                   {
                       var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                       main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                       {
                           thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                       }
                       var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                       renderer.material.color = new Color32(0, 255, 255, 255);
                   }

                   foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                   {
                       var moon = thi.main;
                       moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                   }

                   foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                   {
                       con.Decal = cal2;
                   }

                   foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                   {
                       var moon = thi.main;
                       moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                       if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                       {
                           prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                       }
                   }
               }
           }
       );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Kara",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "Her model is AX400, made for home tasks",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/kara.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("Kara.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       
                        foreach (var body in person.Limbs)
                        {
                            var ca = new GameObject("ca");
                            ca.transform.SetParent(Instance.transform.Find("Head"));
                            ca.transform.localPosition = new Vector3(0f, 0.008f, 0f);
                            ca.transform.localScale = new Vector3(1f, 1f);
                            var caSprite = ca.AddComponent<SpriteRenderer>();
                            caSprite.sprite = ModAPI.LoadSprite("Kara Hair.png");
                            ca.GetComponent<SpriteRenderer>().sortingLayerName = "default";
                            ca.GetComponent<SpriteRenderer>().sortingOrder = 1;
                            body.transform.root.localScale *= 1f;

                        }
                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                            {


                                body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;
                               
                            }

                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Markus <b>(REVOLUTION)</b>",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "Deviant Leader in moments in Revolution",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/Markus2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("Markus2.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();
                        foreach (var body in person.Limbs)
                        {
                            var backpack = new GameObject("Backpack");
                            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                            backpack.transform.localPosition = new Vector3(0, 0f);
                            backpack.transform.localScale = new Vector3(1f, 1f);
                            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                            backpackSprite.sprite = ModAPI.LoadSprite("backpack.png");
                            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                        }
                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                            {


                                body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;

                            }
                           

                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Nort <b>(REVOLUTION)</b>",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "Strong woman which always choses war, loves Markus and has a talent at lead",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/north.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("nort.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                            {


                                body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;
                                var ca = new GameObject("ca");
                                ca.transform.SetParent(Instance.transform.Find("Head"));
                                ca.transform.localPosition = new Vector3(0f, 0f, 0f);
                                ca.transform.localScale = new Vector3(1f, 1f);
                                var caSprite = ca.AddComponent<SpriteRenderer>();
                                caSprite.sprite = ModAPI.LoadSprite("northair.png");
                                ca.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                ca.GetComponent<SpriteRenderer>().sortingOrder = 1;
                                body.transform.root.localScale *= 1f;
                            }


                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Simon <b>(REVOLUTION)</b>",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "Best Markus' friend, important character for Jericho",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/Simon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("Simon.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();
                        
                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                            {


                                body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;

                            }


                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Josh <b>(REVOLUTION)</b>",
                    NameToOrderByOverride = "ANDROID",
                    DescriptionOverride = "Peacefull android, never choses fight, important character for Jericho",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/josh.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                        person.SetBodyTextures(ModAPI.LoadTexture("josh.png"), ModAPI.LoadTexture("Android Flesh.png"), ModAPI.LoadTexture("Android Skeleton.png"), 1);
                        person.SetBruiseColor(86, 62, 130);
                        person.SetSecondBruiseColor(0, 180, 230);
                        person.SetThirdBruiseColor(86, 90, 206);
                        person.SetRottenColour(78, 92, 12);
                        person.SetBloodColour(0, 255, 255);
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                        foreach (LimbBehaviour limb in person.Limbs)
                        {
                            foreach (var body in person.Limbs)
                            {


                                body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Plastic");
                                body.Health *= 10f;

                            }


                            cal.Sprites = limb.BloodDecal.Sprites;
                            cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                            cal.Color = new Color(0, 1f, 1f, 1f);
                            limb.BloodDecal = cal; //Lazy
                            limb.BloodLiquidType = "Thirium 310";
                            limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                            limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Thirium 310"), limb.CirculationBehaviour.Limits.y);
                            limb.PhysicalBehaviour.Properties = prop;
                        }
                        var Safe = new GameObject();
                        person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                        person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                        prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                        Safe.SetActive(false);
                        cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                        cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                        cal2.Color = new Color(0, 1f, 1f, 1f);
                        person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                        foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                            main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                            var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                            renderer.material.color = new Color32(0, 255, 255, 255);
                        }

                        foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                        }

                        foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                        {
                            con.Decal = cal2;
                        }

                        foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                        {
                            var moon = thi.main;
                            moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
                            if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
                                prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                            }
                        }
                    }
                }
            );
            ModAPI.Register(
                                            new Modification()
                                            {
                                                OriginalItem = ModAPI.FindSpawnable("Human"),
                                                NameOverride = "Hank Anderson",
                                                NameToOrderByOverride = "HUMAN",
                                                DescriptionOverride = "Connor's Partner and Friend, he has complicated past, but Connor helps him",
                                                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/hank.png"),
                                                AfterSpawn = (Instance) =>
                                                {
                                                    var skin = ModAPI.LoadTexture("Hank.png");
                                                    var flesh = ModAPI.LoadTexture("Flesh.png");
                                                    var bone = ModAPI.LoadTexture("bone.png");
                                                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                    var person = Instance.GetComponent<PersonBehaviour>();

                                                    person.SetBodyTextures(skin, flesh, bone, 1);

                                                    person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                     person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                     person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                     person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                     person.SetBloodColour(108, 0, 4);


                                                }
                                            }
                                        );
            ModAPI.Register(
                                            new Modification()
                                            {
                                                OriginalItem = ModAPI.FindSpawnable("Human"),
                                                NameOverride = "Gavin Reed",
                                                NameToOrderByOverride = "HUMAN",
                                                DescriptionOverride = "Gavin was a member of Deviant case, works in Detroit Police",
                                                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/gavin.png"),
                                                AfterSpawn = (Instance) =>
                                                {
                                                    var skin = ModAPI.LoadTexture("Gavin.png");
                                                    var flesh = ModAPI.LoadTexture("Flesh.png");
                                                    var bone = ModAPI.LoadTexture("bone.png");
                                                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                    var person = Instance.GetComponent<PersonBehaviour>();

                                                    person.SetBodyTextures(skin, flesh, bone, 1);

                                                    person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                    person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                    person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                    person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                    person.SetBloodColour(108, 0, 4);


                                                }
                                            }
                                        );
            ModAPI.Register(
                                           new Modification()
                                           {
                                               OriginalItem = ModAPI.FindSpawnable("Human"),
                                               NameOverride = "Detroit Police Soldier",
                                               NameToOrderByOverride = "HUMAN",
                                               DescriptionOverride = "Detroit Police soldier, has rainfoced armour",
                                               CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                               ThumbnailOverride = ModAPI.LoadSprite("thumbnails/police.png"),
                                               AfterSpawn = (Instance) =>
                                               {
                                                   var skin = ModAPI.LoadTexture("police1.png");
                                                   var flesh = ModAPI.LoadTexture("Flesh.png");
                                                   var bone = ModAPI.LoadTexture("bone.png");
                                                   Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                   var person = Instance.GetComponent<PersonBehaviour>();

                                                   person.SetBodyTextures(skin, flesh, bone, 1);

                                                   person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                   person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                   person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                   person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                   person.SetBloodColour(108, 0, 4);
                                                   foreach (LimbBehaviour limb in person.Limbs)
                                                   {
                                                       foreach (var body in person.Limbs)
                                                       {


                                                           body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                                           body.Health *= 13f;
                                                           
                                                       }

                                                   }
                                               }
                                           }
                                       );
            ModAPI.Register(
                                          new Modification()
                                          {
                                              OriginalItem = ModAPI.FindSpawnable("Human"),
                                              NameOverride = "U.S. Army Soldier",
                                              NameToOrderByOverride = "HUMAN",
                                              DescriptionOverride = "2032 U.S Army soldier, Has rainfoced armour, soldiers were deviants catchers in Battle for detroit mission",
                                              CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                              ThumbnailOverride = ModAPI.LoadSprite("thumbnails/police 2.png"),
                                              AfterSpawn = (Instance) =>
                                              {
                                                  var skin = ModAPI.LoadTexture("soldat.png");
                                                  var flesh = ModAPI.LoadTexture("Flesh.png");
                                                  var bone = ModAPI.LoadTexture("bone.png");
                                                  Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                  var person = Instance.GetComponent<PersonBehaviour>();

                                                  person.SetBodyTextures(skin, flesh, bone, 1);

                                                  person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                   person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                   person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                   person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                   person.SetBloodColour(108, 0, 4);
                                                  foreach (LimbBehaviour limb in person.Limbs)
                                                  {
                                                      foreach (var body in person.Limbs)
                                                      {


                                                          body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                                          body.Health *= 17f;
                                                         
                                                      }

                                                  }
                                              }
                                          }
                                      );
            ModAPI.Register(
                                          new Modification()
                                          {
                                              OriginalItem = ModAPI.FindSpawnable("Human"),
                                              NameOverride = "Detroit Riot",
                                              NameToOrderByOverride = "HUMAN",
                                              DescriptionOverride = "Used to watch the peace in Detroit",
                                              CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                              ThumbnailOverride = ModAPI.LoadSprite("thumbnails/riot.png"),
                                              AfterSpawn = (Instance) =>
                                              {
                                                  var skin = ModAPI.LoadTexture("police3.png");
                                                  var flesh = ModAPI.LoadTexture("Flesh.png");
                                                  var bone = ModAPI.LoadTexture("bone.png");
                                                  Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                  var person = Instance.GetComponent<PersonBehaviour>();

                                                  person.SetBodyTextures(skin, flesh, bone, 1);

                                                  person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                  person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                  person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                  person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                  person.SetBloodColour(108, 0, 4);
                                                  foreach (LimbBehaviour limb in person.Limbs)
                                                  {
                                                      foreach (var body in person.Limbs)
                                                      {


                                                          body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                                          body.Health *= 17f;

                                                      }

                                                  }
                                              }
                                          }
                                      );
           
            ModAPI.Register(
                                          new Modification()
                                          {
                                              OriginalItem = ModAPI.FindSpawnable("Human"),
                                              NameOverride = "Detroit S.W.A.T",
                                              NameToOrderByOverride = "HUMAN",
                                              DescriptionOverride = "Covered Deviant case when revolution began",
                                              CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                              ThumbnailOverride = ModAPI.LoadSprite("thumbnails/swat.png"),
                                              AfterSpawn = (Instance) =>
                                              {
                                                  var skin = ModAPI.LoadTexture("swat.png");
                                                  var flesh = ModAPI.LoadTexture("Flesh.png");
                                                  var bone = ModAPI.LoadTexture("bone.png");
                                                  Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                  var person = Instance.GetComponent<PersonBehaviour>();

                                                  person.SetBodyTextures(skin, flesh, bone, 1);

                                                  person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                  person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                  person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                  person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                  person.SetBloodColour(108, 0, 4);
                                                  foreach (LimbBehaviour limb in person.Limbs)
                                                  {
                                                      foreach (var body in person.Limbs)
                                                      {


                                                          body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                                          body.Health *= 17f;

                                                      }

                                                  }
                                              }
                                          }
                                      );
            ModAPI.Register(
                                          new Modification()
                                          {
                                              OriginalItem = ModAPI.FindSpawnable("Human"),
                                              NameOverride = "Capitan Allen",
                                              NameToOrderByOverride = "HUMAN",
                                              DescriptionOverride = "Leads S.W.A.T Crew in Detroit, Master in his job",
                                              CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                              ThumbnailOverride = ModAPI.LoadSprite("thumbnails/allen.png"),
                                              AfterSpawn = (Instance) =>
                                              {
                                                  var skin = ModAPI.LoadTexture("Allen.png");
                                                  var flesh = ModAPI.LoadTexture("Flesh.png");
                                                  var bone = ModAPI.LoadTexture("bone.png");
                                                  Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                  var person = Instance.GetComponent<PersonBehaviour>();

                                                  person.SetBodyTextures(skin, flesh, bone, 1);

                                                  person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                  person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                  person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                  person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                  person.SetBloodColour(108, 0, 4);
                                                  foreach (LimbBehaviour limb in person.Limbs)
                                                  {
                                                      foreach (var body in person.Limbs)
                                                      {


                                                          body.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                                          Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Human");
                                                          body.Health *= 18f;

                                                      }

                                                  }
                                              }
                                          }
                                      );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "MS853 Black Hawk",
                    NameToOrderByOverride = "PISTOL",
                    DescriptionOverride = "Pistol that we saw in Detroit as evidence in back",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/pistol 1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Black HawkS.png");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Black Hawk.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        //                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                              ModAPI.LoadSound("Black Hawk.wav"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "connor's gun";
                        customCartridge.Damage = 0.5f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 1f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "ECW1727",
                    NameToOrderByOverride = "PISTOL",
                    DescriptionOverride = "Weaon used by Connor at least in first mission",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/pistol 2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECW1727s.png");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ECW1727.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        //                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                              ModAPI.LoadSound("glokk sound.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "connor's gun";
                        customCartridge.Damage = 0.5f;
                        customCartridge.Recoil = 0.8f;
                        customCartridge.ImpactForce = 0.4f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "HK USP",
                    NameToOrderByOverride = "PISTOL",
                    DescriptionOverride = "Just a pistol used in detroit",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/pistol 3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HK USPs.png");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HK USP.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        //                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                              ModAPI.LoadSound("usp hk.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "connor's gun";
                        customCartridge.Damage = 4f;
                        customCartridge.Recoil = 0.8f;
                        customCartridge.ImpactForce = 0.4f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Magnum",
                    NameToOrderByOverride = "PISTOL",
                    DescriptionOverride = "Revolver used in detroit",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/magnum.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var RevolverSlide = Instance.transform.Find("hammer center").Find("pixel");
                        RevolverSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("revolvers.png");
                        RevolverSlide.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
                        RevolverSlide.localScale = new Vector3(1f, 1f);

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rev.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        //                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                              ModAPI.LoadSound("rev.wav"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "connor's gun";
                        customCartridge.Damage = 0.5f;
                        customCartridge.Recoil = 0.8f;
                        customCartridge.ImpactForce = 0.8f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = ".153 Magnum",
                    NameToOrderByOverride = "PISTOL",
                    DescriptionOverride = "This is Hank's revolver, by the story he nearly killed Connor with that one",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/magnum 2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Revolver.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.03923f;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("Revolver.wav")
               
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Magnum";
                        customCartridge.Damage = 0.5f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 1f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "H&K PSG1",
                    NameToOrderByOverride = "ARMORY",
                    DescriptionOverride = "Connors sniper rifle, he used it in one of his missions",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/sniper 1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var AWPSlide = Instance.transform.Find("Slide");
                        AWPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sns.png");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sn.png");
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(1.7f, 0.05f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0f;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("sns.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("7.62x51mm");
                        customCartridge.name = "AWM";
                        customCartridge.Damage = 5f;
                        customCartridge.Recoil = 2f;
                        customCartridge.ImpactForce = 2f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "H&K PSG1(2cnd model)",
                    NameToOrderByOverride = "ARMORY",
                    DescriptionOverride = "Connors sniper rifle, he used it in one of his missions",
                    CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/sniper 2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var AWPSlide = Instance.transform.Find("Slide");
                        AWPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sns2.png");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sn2.png");
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(1f, 0.05f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0f;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("sns.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("7.62x51mm");
                        customCartridge.name = "AWM";
                        customCartridge.Damage = 4f;
                        customCartridge.Recoil = 2.5f;
                        customCartridge.ImpactForce = 1f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
            ModAPI.Register(
                 new Modification()
                 {
                     OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                     NameOverride = "Millitary Rifle",
                     NameToOrderByOverride = "ARMORY",
                     DescriptionOverride = "Rifle, used by police soilders and the common ones, very powerful but not automatic",
                     CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                     ThumbnailOverride = ModAPI.LoadSprite("thumbnails/weapon 1.png"),
                     AfterSpawn = (Instance) =>
                     {
                         ModAPI.KeepExtraObjects();

                         var MakarovSlide = Instance.transform.Find("Slide");
                         MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rs.png");

                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Assault Rifle #1963.png");
                         foreach (var c in Instance.GetComponents<Collider2D>())
                         {
                             GameObject.Destroy(c);
                         }
                         Instance.FixColliders();
                         Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                         Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.57f, 0.07f);

                         var firearm = Instance.GetComponent<FirearmBehaviour>();
                         firearm.Automatic = false;
                         firearm.AutomaticFireInterval = 0.13f;


                         firearm.ShotSounds = new AudioClip[]
                         {
                              ModAPI.LoadSound("rs.mp3"),
                              
                         };

                         Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                         customCartridge.name = "Rifle";
                         customCartridge.Damage *= 0.5f;
                         customCartridge.Recoil *= 4f;
                         customCartridge.ImpactForce *= 3f;
                         firearm.Cartridge = customCartridge;

                     }
                 }
             );
            ModAPI.Register(
                 new Modification()
                 {
                     OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                     NameOverride = "Millitary Rifle (2cnd model)",
                     NameToOrderByOverride = "ARMORY",
                     DescriptionOverride = "Rifle, used by police soilders and the common ones, very powerful, this version is automatic, but less controllable",
                     CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                     ThumbnailOverride = ModAPI.LoadSprite("thumbnails/weapon 2.png"),
                     AfterSpawn = (Instance) =>
                     {
                         ModAPI.KeepExtraObjects();

                         var MakarovSlide = Instance.transform.Find("Slide");
                         MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("r2s.png");

                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Assault Rifle #1963 2.png");
                         foreach (var c in Instance.GetComponents<Collider2D>())
                         {
                             GameObject.Destroy(c);
                         }
                         Instance.FixColliders();
                         Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                         Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.57f, 0.07f);

                         var firearm = Instance.GetComponent<FirearmBehaviour>();
                         firearm.Automatic = true;
                         firearm.AutomaticFireInterval = 0.18f;


                         firearm.ShotSounds = new AudioClip[]
                         {
                              ModAPI.LoadSound("rs.mp3"),

                         };

                         Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                         customCartridge.name = "Rifle";
                         customCartridge.Damage *= 0.5f;
                         customCartridge.Recoil *= 4f;
                         customCartridge.ImpactForce *= 3f;
                         firearm.Cartridge = customCartridge;

                     }
                 }
             );
            
            ModAPI.Register(
                                   new Modification()
                                   {
                                       OriginalItem = ModAPI.FindSpawnable("Rod"),
                                       NameToOrderByOverride = "OTHER",
                                       NameOverride = "Quater coin",
                                       DescriptionOverride = "Connors coin, he spins it on his hands for luck", 
                                       CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"), 
                                       ThumbnailOverride = ModAPI.LoadSprite("thumbnails/quater .png"), 
                                       AfterSpawn = (Instance) => 
                                       {
                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("coin.png", 2f);
                                           Instance.FixColliders();
                                       }
                                   }
                               );
           
            ModAPI.Register(
                                   new Modification()
                                   {
                                       OriginalItem = ModAPI.FindSpawnable("Rod"),
                                       NameToOrderByOverride = "OTHER",
                                       NameOverride = "Poliece Baton",
                                       DescriptionOverride = "Used by poliece to quickly take androids down",
                                       CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                       ThumbnailOverride = ModAPI.LoadSprite("thumbnails/baton.png"),
                                       AfterSpawn = (Instance) =>
                                       {
                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Poliece Baton.png");
                                           Instance.FixColliders();
                                           
                                           Instance.AddComponent<UseEventTrigger>().Action = () => 
                                           {
                                              Instance.GetComponent<PhysicalBehaviour>().Charge = 8f;
                                               
                                           };
                                       }
                                   }
                               );
            ModAPI.Register(
                                  new Modification()
                                  {
                                      OriginalItem = ModAPI.FindSpawnable("Knife"),
                                      NameToOrderByOverride = "OTHER",
                                      NameOverride = "Kitchen Knife",
                                      DescriptionOverride = "28 stabs were made using it",
                                      CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                      ThumbnailOverride = ModAPI.LoadSprite("thumbnails/knife.png"),
                                      AfterSpawn = (Instance) =>
                                      {
                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Knife.png");
                                          Instance.FixColliders();

                                          
                                      }
                                  }
                              );
            ModAPI.Register(
                                 new Modification()
                                 {
                                     OriginalItem = ModAPI.FindSpawnable("Rod"),
                                     NameToOrderByOverride = "OTHER",
                                     NameOverride = "Riot Shield",
                                     DescriptionOverride = "Shield used by Detroit Riot units",
                                     CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                                     ThumbnailOverride = ModAPI.LoadSprite("thumbnails/shield.png"),
                                     AfterSpawn = (Instance) =>
                                     {
                                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Shield.png");
                                         Instance.FixColliders();

                                         Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");

                                     }
                                 }
                             );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
                NameToOrderByOverride = "OTHER",
                NameOverride = "Assult Grenade",
                DescriptionOverride = "Grenade Used by androids and humans when revolution began",
                CategoryOverride = ModAPI.FindCategory("Detroit: Become Human"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbnails/grenade.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("grenade.png");
                    Instance.FixColliders();
                    Sprite on = ModAPI.LoadSprite("grenade2.png");
                    Instance.AddComponent<UseEventTrigger>().Action = () =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = on;
                    };
                }
            }

);


        }
    }
}
public class Purp : Liquid
{
    public Purp()
    {
        this.Color = new Color32(0, 255, 255, 255);
    }

    public override void OnEnterContainer(BloodContainer container)
    {
    }

    public override void OnEnterLimb(LimbBehaviour limb)
    {
        if (limb.SpeciesIdentity == "Android" && UnityEngine.Random.value > 0.995f)
        {
            limb.PhysicalBehaviour.Charge += 0.1f;
        }
    }

    public override void OnExitContainer(BloodContainer container)
    {
    }

    public const string ID = "Thirium 310";
}
    