using UnityEngine;
using UnityEngine.SceneManagement;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine.Events;
using TMPro;
using UnityEngine.UI;
using System.IO;

namespace Mod
{
    public class Mod //I've added a fair bit of comments due because I get bored from time to time. Helpful for some people, I guess.
    {
		public static string Tag = " [OCM]"; //This tag was made after I had like 9+ items in the mod. If I want to change the tag, I can do it here, otherwise I'll have to go through each item and change it manually.
		public static AudioClip Beat1 = ModAPI.LoadSound("Beat1.wav");
		public static AudioClip Beat2 = ModAPI.LoadSound("Beat2.wav");
		public static AudioClip Appear = ModAPI.LoadSound("appear.wav");
		public static AudioClip Disappear = ModAPI.LoadSound("disappear.wav");
		public static AudioClip Constant = ModAPI.LoadSound("constantloop.wav");
		public static AudioClip Constant2 = ModAPI.LoadSound("grill.wav");
		public static AudioClip GrillUp = ModAPI.LoadSound("grillup.wav");
		public static AudioClip TongueIn = ModAPI.LoadSound("Spont/TongueIn.wav");
		public static AudioClip TongueOut = ModAPI.LoadSound("Spont/TongueOut.wav");
		public static AudioClip GrillDown = ModAPI.LoadSound("grilldown.wav");
		public static AudioClip Kick = ModAPI.LoadSound("kick.wav");
		public static AudioClip Fizzle = ModAPI.LoadSound("fizzle.wav");
		public static AudioClip TauTHeme = ModAPI.LoadSound("tautheme.mp3"); //Too lazy to change the error
		public static AudioClip Lemon = ModAPI.LoadSound("toyguy.wav");
		public static AudioClip CupSound = ModAPI.LoadSound("cuphit.wav");
		public static AudioClip PropaneGo = ModAPI.LoadSound("PropaneAndPropaneAccessories.wav");
		public static AudioClip TauCharge = ModAPI.LoadSound("taucharge.wav");
		public static Sprite Monitor = ModAPI.LoadSprite("Monitor.png");
		public static Sprite Muscle = ModAPI.LoadSprite("FleshWire.png");
		public static Sprite Beam = ModAPI.LoadSprite("GluonBeam2.png");
		public static Sprite Button1 = ModAPI.LoadSprite("Exit.png");
		public static Sprite Flake = ModAPI.LoadSprite("Flake.png");
		public static Sprite Ash = ModAPI.LoadSprite("Ash.png");
		public static Texture2D Tongue = ModAPI.LoadTexture("Spont/SpiderTongue.png");
		public static Sprite Tau = ModAPI.LoadSprite("taucannon.png");
		public static Sprite TauCoil = ModAPI.LoadSprite("taucannonActual.png");
		public static Sprite TauCoil2 = ModAPI.LoadSprite("taucannonMask.png");
		public static Sprite TauHull = ModAPI.LoadSprite("taucannonbody.png");
		public static Sprite White = ModAPI.LoadSprite("blank.png");
		public static Sprite Orange = ModAPI.LoadSprite("blank2.png");
		public static Sprite Ball = ModAPI.LoadSprite("blank3.png");
		public static Sprite HealthPlus = ModAPI.LoadSprite("MediPlus.png");
		public static Sprite ShieldSprite = ModAPI.LoadSprite("Shield.png");
		public static Sprite ShieldColSprite = ModAPI.LoadSprite("ShieldCol.png");
		public static Sprite BShieldSprite = ModAPI.LoadSprite("BubbleShield.png", 0.5f);
		public static Sprite BShieldColSprite = ModAPI.LoadSprite("BubbleShieldCol.png", 0.5f);
		public static Material UberMat;
		///public static Sprite FavouriteItem = ModAPI.LoadSprite("favourite.png");
		///public static Sprite HollowStar = ModAPI.LoadSprite("hollowstar.png");
		///public static Sprite Star = ModAPI.LoadSprite("star.png");
		public static Sprite OxyWire = ModAPI.LoadSprite("OxygenPipe.png");
		public static Sprite OxygenTankDestroyed = ModAPI.LoadSprite("tankbroke.png");
		public static string Path = ModAPI.Metadata.MetaLocation;
		public static bool Set = false;
		public static bool TauSpawnedIn = false;
		public static List<SpawnableAsset> AllFavourites = new List<SpawnableAsset>();
		public static bool Started = false;
		public static bool BoringModFound = false;
		public static Sprite[] ShatterSprites = new Sprite[]
		{
			ModAPI.LoadSprite("Bottle1.png"),
			ModAPI.LoadSprite("Bottle2.png")
		};

		public static AudioClip[] BottleImpacts = new AudioClip[]
		{
			ModAPI.LoadSound("BottleBang1.wav"),
			///ModAPI.LoadSound("BottleBang2.wav"),
			ModAPI.LoadSound("BottleBang3.wav")
		};

		public static AudioClip[] Coughs = new AudioClip[]
		{
			ModAPI.LoadSound("Cough1.wav"),
			ModAPI.LoadSound("Cough2.wav"),
			ModAPI.LoadSound("Cough3.wav"),
			ModAPI.LoadSound("Cough4.wav")
		};

		public static AudioClip[] DoomGun = new AudioClip[]
		{
			ModAPI.LoadSound("SuperGunSfx/ShotMain.wav")
		};

		public static AudioClip[] DoomGun2 = new AudioClip[]
		{
			ModAPI.LoadSound("SuperGunSfx/Shot1.wav"),
			ModAPI.LoadSound("SuperGunSfx/Shot2.wav"),
			ModAPI.LoadSound("SuperGunSfx/Shot4.wav")
		};
		public static AudioClip BottleShatter = ModAPI.LoadSound("BottleShatter.wav");
		public static Sprite ShieldMat = ModAPI.LoadSprite("thing.png");
		public static Sprite Caber = ModAPI.LoadSprite("caber.png");
		public static GameObject Editor;
		public static PhysicalProperties sharp;
		public static PhysicalProperties sharp2;
		public static float RetainedNumber;
		public static Category Favourites;
		public static string[] SavedFavourites = new string[0];
		public const string Key = "ActivateRedChannel";

		public static void OnLoad()
		{
			if (!InputSystem.Has(Mod.Key))
			{
				ModAPI.RegisterInput("Activate Red Channel", Mod.Key, KeyCode.H);
			}
			Mod.UberMat = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("VeryBright"));
			Mod.UberMat.color = new Color(1f, 0.1f, 0.1f, 1f);
			Mod.UberMat.SetColor("_GlowColour", new Color(1f, 0.1f, 0.1f, 1f));
			Mod.UberMat.SetFloat("_GlowIntensity", 0.2f);
		}

		public static void UpdateNumberRetainer(Slider slider)
        {
			Mod.RetainedNumber = slider.value;
		}

		public static void Main() //GetOrAddComponent is much better to use than a class check.
        {
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Piston"),
					NameOverride = "Advanced Piston" + Tag,
					NameToOrderByOverride = "Piston2",
					DescriptionOverride = "A type of piston which constantly pushes. Pretty boring.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("SusThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SUSpension1.png");
						PistonBehaviour a = Instance.GetComponent<PistonBehaviour>();
						PistonBehaviourClone b = Instance.GetOrAddComponent<PistonBehaviourClone>();
						b.AudioSource = a.AudioSource;  //20x easier to do this instead of setting them myself;
						b.PhysicalBehaviour = a.PhysicalBehaviour;
						b.PistonHead = a.PistonHead;
						b.Slider = a.Slider;
						GameObject.Destroy(a);
						b.PistonHead.gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SUSpension2.png");
						b.PistonHead.localScale = new Vector2(1.06f, 1f);
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Detached 120mm Cannon"),
					NameOverride = "Detached 120mm Cannon: Explosive Rounds Variant" + Tag,
					NameToOrderByOverride = "de2",
					DescriptionOverride = "It's literally an 120mm cannon which shoots explosive shells. Shells explode again if they make contact again.",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("explocannonThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("explocannon.png");
						GameObject Safe = new GameObject();
						Safe.SetActive(false);
						var impact = UnityEngine.Object.Instantiate(Instance.GetComponentInChildren<MachineGunBehaviour>().ImpactEffect);
						impact.transform.SetParent(Safe.transform);
						Instance.GetComponentInChildren<MachineGunBehaviour>().ImpactEffect = impact;
						impact.GetOrAddComponent<BoomingBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Super Shotgun" + Tag,
					NameToOrderByOverride = "SuperShot",
					DescriptionOverride = "Double Barreled Sawn-off Shotgun. Bullets ignite flammable objects. Highly powerful.",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("SSThumb.png"),
					AfterSpawn = (Instance) =>
					{
						var gun = ModAPI.FindSpawnable("Shotgun").Prefab.GetComponentInChildren<FirearmBehaviour>();
						var other = Instance.GetOrAddComponent<SuperGunBehaviour>();
						other.LayersToHit = gun.LayersToHit;
						other.Cartridge = UnityEngine.Object.Instantiate<Cartridge>(gun.Cartridge);
						other.Cartridge.Damage *= 12f;
						other.Cartridge.Recoil *= 12f;
						other.Cartridge.ImpactForce *= 12f;
						other.Cartridge.StartSpeed *= 8;
						other.ShotSounds = Mod.DoomGun2;
						other.TriggerSound = Mod.DoomGun[0];
						other.casingDirection = gun.casingDirection;
						other.casingPosition = gun.casingPosition;
						other.barrelDirection = gun.barrelDirection;
						other.barrelPosition = gun.barrelPosition;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Weapon");
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SuperShotgun.png");
						Instance.FixColliders();
					}
				}
			);

			Liquid.Register("LEMONADE", new Lemonade());
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Blood Flask"),
					NameOverride = "Nuclear Lemonade" + Tag,
					NameToOrderByOverride = "Nuclear Lemonade",
					DescriptionOverride = "Nuclear Lemonade from Rival Rebels.",
					CategoryOverride = ModAPI.FindCategory(null),
					ThumbnailOverride = ModAPI.LoadSprite("akThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akoriginal.png");
						Instance.transform.localScale = new Vector2(0.3f, 0.3f);
						Instance.GetComponent<FlaskBehaviour>().LiquidContainer.Container = new Bounds(new Vector2(0f, 0f), new Vector2(0f, 0f));
						Instance.GetComponent<FlaskBehaviour>().LiquidContainer.transform.localScale = new Vector2(0f, 0f);
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Glass");
						Instance.GetComponent<FlaskBehaviour>().StartLiquid.LiquidID = "LEMONADE";
						Instance.FixColliders();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Flask"),
					NameOverride = "Styrofoam Cup" + Tag,
					NameToOrderByOverride = "Styro",
					DescriptionOverride = "A small styrofoam cup which can capture liquid particles.", //Haha.
					CategoryOverride = ModAPI.FindCategory("Misc."),
					ThumbnailOverride = ModAPI.LoadSprite("CupThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cup.png");
						Instance.GetComponent<FlaskBehaviour>().LiquidContainer.Container = new Bounds(new Vector2(0f, 0f), new Vector2(0f, 0f));
						Instance.GetComponent<FlaskBehaviour>().LiquidContainer.transform.localScale = new Vector2(0f, 0f);
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Soft");
						Instance.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = false;
						Instance.FixColliders();
						Instance.GetOrAddComponent<CupperBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Molotov Cocktail" + Tag,
					NameToOrderByOverride = "Molotov",
					DescriptionOverride = "A bottle filled with a mixture of gasoline and vodka. Great for throwing, not great for drinking.",
					CategoryOverride = ModAPI.FindCategory("Explosives"),
					ThumbnailOverride = ModAPI.LoadSprite("CocktailThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cocktail.png");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().Properties = UnityEngine.Object.Instantiate<PhysicalProperties>(ModAPI.FindPhysicalProperties("Glass"));
						Instance.GetComponent<PhysicalBehaviour>().Properties.SoftImpact = Mod.BottleImpacts;

						Mod.sharp = UnityEngine.Object.Instantiate<PhysicalProperties>(ModAPI.FindPhysicalProperties("Glass"));
						Mod.sharp.Sharp = true;
						Mod.sharp.SharpAxes = new SharpAxis[]
						{
							new SharpAxis(new Vector2(0f, -1f), -0.26f, 0.14f, false, true)
						};

						Mod.sharp2 = UnityEngine.Object.Instantiate<PhysicalProperties>(ModAPI.FindPhysicalProperties("Glass"));
						Mod.sharp2.Sharp = true;
						Mod.sharp2.SharpAxes = new SharpAxis[]
						{
							new SharpAxis(new Vector2(0f, 1f), -0.26f, 0.14f)
						};

						Instance.GetOrAddComponent<MolotovBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Blood Flask"),
					NameOverride = "Heart" + Tag,
					NameToOrderByOverride = "Heart",
					DescriptionOverride = "Generates power. It is an organ.",
					CategoryOverride = ModAPI.FindCategory("Entities"),
					ThumbnailOverride = ModAPI.LoadSprite("HeartThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Heart.png");
						Instance.FixColliders();
						Instance.transform.localScale = new Vector2(1f, 1f);
						Instance.GetOrAddComponent<HeartBeatBehaviour>();
						Instance.GetOrAddComponent<OrganCirculation>();
						Instance.GetComponent<FlaskBehaviour>().LiquidContainer.transform.localScale = new Vector2(0f, 0f);
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Human");
						Instance.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Blood Flask"),
					NameOverride = "Brain" + Tag,
					NameToOrderByOverride = "Brain",
					DescriptionOverride = "A powerful jumble of neurons. Can change it's mode in the context menu. Please read the mod page for info on how to use the brain.",
					CategoryOverride = ModAPI.FindCategory("Entities"),
					ThumbnailOverride = ModAPI.LoadSprite("BrainThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Brain.png");
						Instance.FixColliders();
						Instance.GetOrAddComponent<OrganCirculation>();
						Instance.GetComponent<FlaskBehaviour>().LiquidContainer.transform.localScale = new Vector2(0f, 0f);
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Human");
						Instance.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
						Instance.GetOrAddComponent<BigBrainBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Blood Flask"),
					NameOverride = "Lungs" + Tag,
					NameToOrderByOverride = "Lungs",
					DescriptionOverride = "One of the most important organs in the body. You literally need it to breathe. Attach to the brain via a nerve to give the brain oxygen.",
					CategoryOverride = ModAPI.FindCategory("Entities"),
					ThumbnailOverride = ModAPI.LoadSprite("LungThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lung.png");
						Instance.FixColliders();
						Instance.GetOrAddComponent<OrganCirculation>();
						Instance.GetComponent<FlaskBehaviour>().LiquidContainer.transform.localScale = new Vector2(0f, 0f);
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Human");
						Instance.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
						Instance.GetOrAddComponent<LungBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Eye" + Tag,
					NameToOrderByOverride = "Eye",
					DescriptionOverride = "A mechanical eye. When attached with a nerve to a brain, it allows the brain to see. Any object in its cone of vision is followed.",
					CategoryOverride = ModAPI.FindCategory("Entities"),
					ThumbnailOverride = ModAPI.LoadSprite("EyeThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Eye.png");
						Instance.transform.localScale = new Vector2(1f, 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Foreground");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Flammable Metal");
						Instance.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
						if (Instance.GetComponent<TestClass>() == null) //Used here for obvious reasons
                        {
							var Cone = new GameObject("Cone");
							Cone.transform.SetParent(Instance.transform);
							Cone.layer = Instance.layer;
							Cone.AddComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ConeHit.png");
							Cone.AddComponent<PolygonCollider2D>().isTrigger = true;
							Cone.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cone.png");
							Cone.transform.localPosition = new Vector3(1.7f, 0f, -5f);
							///Cone.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Back");
							Cone.AddComponent<EyeSeeingBehaviour>().Self = Instance;
						}
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Walled Holographic Shield" + Tag,
					NameToOrderByOverride = "Bub",
					DescriptionOverride = "A holographic shield which stops bullets, sharp objects and rockets from going through. Appears in the form of a wall.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("WallShieldThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BubbleTest.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Foreground");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						Instance.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
						Instance.GetOrAddComponent<Protect>().Parent = Instance.transform;
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Material Emancipation Grill" + Tag,
					NameToOrderByOverride = "Bub3",
					DescriptionOverride = "Aperture's variant of the Walled Holographic Shield, designed to fizzle any unauthorised material. Only living entities will be able to bypass the grill.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("GrillThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BubbleTest3.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Foreground");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						Instance.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
						Instance.GetOrAddComponent<ProtDestroyer>().Parent = Instance.transform;
					}
				}
			);

			/*ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "HEV Suit" + Tag,
					NameToOrderByOverride = "Hev",
					DescriptionOverride = "The Hazardous Environments suit, designed by Black Mesa, is a suit designed to protect the user from radiation, blunt-force trauma and other dangerous hazards.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("hevsuitByYik.png"),
					AfterSpawn = (Instance) =>
					{
						var li = Instance.GetComponent<SpriteRenderer>();
						li.sprite = ModAPI.LoadSprite("HevSuit/UpperTorso.png");
						Instance.GetOrAddComponent<HEVSuitComplicatedAndStupidBehaviour>(); //Since I started to use Sln files, I was able to find this. Nice.
					}
				}
			);*/

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
					NameOverride = "Implosion Handgrenade" + Tag,
					NameToOrderByOverride = "HandGreImp",
					DescriptionOverride = "Grenade designed to pull all objects in a radius towards the centre. Blame fawful for asking for it like 2+ times or something, I don't remember.",
					CategoryOverride = ModAPI.FindCategory("Explosives"),
					ThumbnailOverride = ModAPI.LoadSprite("GrenadeThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Grenade.png");
						GameObject.Destroy(Instance.GetComponent<ExplosiveBehaviour>());
						Instance.GetOrAddComponent<Implos>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Bubbled Holographic Shield" + Tag,
					NameToOrderByOverride = "Bub2",
					DescriptionOverride = "A holographic shield which stops bullets, sharp objects and rockets from going through. Appears in the form of a bubble.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("BubbleShieldThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BubbleTest2.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Foreground");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						Instance.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
						Instance.GetOrAddComponent<ProtectBubble>().Parent = Instance.transform;
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Muscle Puller" + Tag,
					NameToOrderByOverride = "Muscle",
					DescriptionOverride = "A machine which when activated pulls all muscles attached to it to a certain value determined by its pull / push distances. Can be changed in the context menu.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("MusclePullerThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MusclePuller.png");
						Instance.FixColliders();
						Instance.GetOrAddComponent<MusclePullerBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Tau Cannon" + Tag,
					NameToOrderByOverride = "Tau",
					DescriptionOverride = "Handheld particle accelerator.",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("tauThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = Mod.Tau;
						Instance.FixColliders();
						Instance.GetOrAddComponent<TauCannonBehaviour>().ShootSound = ModAPI.LoadSound("gauss2.wav");
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Physics Gun"),
					NameOverride = "Medigun" + Tag,
					NameToOrderByOverride = "Medi",
					DescriptionOverride = "It's a medigun. It derives from TF2. Update to this weapon is WIP, and such that it's very buggy right now. Leave me be!",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("medigunThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("medigun.png");
						Instance.FixColliders();
						var Gun = Instance.GetOrAddComponent<MedigunBehaviour>();
						var Phys = Instance.GetComponent<PhysicsGunBehaviour>();
						Phys.enabled = false;
						Gun.AudioSource = Phys.AudioSource;
						Gun.StartSound = ModAPI.LoadSound("MediGunStart.wav");
						Gun.EndSound = ModAPI.LoadSound("MediGunEnd.wav");
						Gun.LineRenderer = Phys.LineRenderer;
						Gun.LineStart = Phys.LineStart;
						Gun.LineStart.transform.position = Instance.transform.position;
						Gun.LineStart.transform.position += new Vector3((Instance.transform.localScale.x > 0f)? 0.5f : -0.5f, 0.05f, 0f);
						Gun.LineTarget = Phys.LineTarget;
						Gun.LayersToHit = Phys.LayersToHit;
						Gun.LayersToGrab = Phys.LayersToGrab;
						Gun.Target = null;
						Gun.MaxRange = 10.2f;
						GameObject.Destroy(Phys);
						GameObject.Destroy(Instance.GetComponent<DamagableMachineryBehaviour>());
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Physics Gun"),
					NameOverride = "Handheld Gluon Gun" + Tag,
					NameToOrderByOverride = "Gluon",
					DescriptionOverride = "An incredibly powerful weapon that has been downsized to an handheld version. Fires a beam which disintegrates any object.",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("GluonThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gluon.png");
						Instance.FixColliders();
						GameObject.Destroy(Instance.GetComponent<DamagableMachineryBehaviour>());
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						var Glow = new GameObject("Glow", new Type[] { typeof(SpriteRenderer)});
						Glow.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GluonGlowMask.png");
						Glow.GetComponent<SpriteRenderer>().material = ModAPI.FindMaterial("VeryBright");
						Glow.GetComponent<SpriteRenderer>().material.SetColor("_GlowColour", new Color32(92, 245, 250, 140));
						Glow.GetComponent<SpriteRenderer>().color = new Color32(92, 245, 250, 0);
						Glow.transform.SetParent(Instance.transform);
						Glow.transform.SetPositionAndRotation(Instance.transform.position, Instance.transform.rotation);
						Glow.transform.localScale = (Instance.transform.lossyScale.x > 0f)? new Vector2(1f, 1f): new Vector2(-1f, 1f);
						var Gun = Instance.GetOrAddComponent<GluonGun>();
						var Phys = Instance.GetComponent<PhysicsGunBehaviour>();
						Phys.enabled = false;
						Mod.Beam.texture.wrapMode = TextureWrapMode.Repeat;
						Mod.Beam.texture.Apply();
						Gun.Glow = Glow.GetComponent<SpriteRenderer>();
						Gun.AudioSource = Phys.AudioSource;
						Gun.AudioSource.clip = ModAPI.LoadSound("run2.wav");
						Gun.StartSound = ModAPI.LoadSound("up2.wav");
						Gun.EndSound = ModAPI.LoadSound("off2.wav");
						Gun.LineRenderer = Phys.LineRenderer;
						Gun.LineRenderer.LineRenderer.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("VeryBright"));
						Gun.LineRenderer.LineRenderer.material.mainTexture = Mod.Beam.texture;
						Gun.LineRenderer.LineRenderer.material.SetColor("_GlowColour", new Color32(92, 245, 250, 140));
						Gun.LineRenderer.LineRenderer.material.SetFloat("_GlowIntensity", 0.35f);
						Gun.LineRenderer.LineRenderer.startColor = new Color32(92, 245, 250, 255);
						Gun.LineRenderer.LineRenderer.endColor = new Color32(92, 245, 250, 255);
						Gun.LineRenderer.LineRenderer.SetWidth(0.42f, 0.42f);
						Gun.LineRenderer.LineRenderer.textureMode = LineTextureMode.Tile;
						Gun.LineStart = Phys.LineStart;
						Gun.LineStart.transform.position = Instance.transform.position;
						Gun.LineStart.transform.position += new Vector3((Instance.transform.localScale.x > 0f) ? 0.4f : -0.4f, -0.06f, 0f);
						Gun.LineTarget = Phys.LineTarget;
						Gun.LayersToHit = Phys.LayersToHit;
						Gun.LayersToGrab = Phys.LayersToGrab;
						Gun.Target = null;
						Gun.MaxRange = 5000f;
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 10f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 10f;
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Oxygen Tank" + Tag,
					NameToOrderByOverride = "Oxygen",
					DescriptionOverride = "Basically a tank full of oxygen. Can be used as scuba gear, and explodes if shot 4 times. Don't ask.",
					CategoryOverride = ModAPI.FindCategory("Misc."),
					ThumbnailOverride = ModAPI.LoadSprite("tankThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tank.png");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						Instance.GetOrAddComponent<OxygenTankBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Propane Tank" + Tag,
					NameToOrderByOverride = "Oxygen2",
					DescriptionOverride = "Tank full of Propane. Not fun to be in the blood stream, or lungs. Also used as common fuel for modern BBQs.",
					CategoryOverride = ModAPI.FindCategory("Misc."),
					ThumbnailOverride = ModAPI.LoadSprite("ptankThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("propanetank.png");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						Instance.GetOrAddComponent<PropaneTankBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Helium Tank" + Tag,
					NameToOrderByOverride = "Oxygen3",
					DescriptionOverride = "Tank full of Helium. Lighter than air.",
					CategoryOverride = ModAPI.FindCategory("Misc."),
					ThumbnailOverride = ModAPI.LoadSprite("htankThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("heliumtank.png");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						Instance.GetOrAddComponent<HeliumTankBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Janky Rope" + Tag, //Couldn't be bothered making it into an actual tool.
					NameToOrderByOverride = "Rope",
					DescriptionOverride = "Basically just the intestines of a human. Actually, literally. It's very janky, which is why advanced gore is discouraged against.",
					CategoryOverride = ModAPI.FindCategory("Misc."),
					ThumbnailOverride = ModAPI.LoadSprite("RopeThumb.png", 1f, false),
					AfterSpawn = (Instance) =>
					{
						GameObject Rope = Instance.gameObject; //Originally was a separate object
						Rope.GetOrAddComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RopeEnd.png");
						Rope.transform.localScale = Vector2.one * 2f;
						Rope.FixColliders();
						Rope.GetComponent<SpriteRenderer>().sortingOrder = 20;
						PhysicalBehaviour phys = Rope.GetComponent<PhysicalBehaviour>();
						phys.Properties = ModAPI.FindPhysicalProperties("Insulator");
						phys.SpawnSpawnParticles = false;
						phys.Disintegratable = false;
						Rope.layer = 9;
						GameObject RopeEnd = new GameObject("RopeEnd");
						RopeEnd.GetOrAddComponent<Rigidbody2D>();
						RopeEnd.GetOrAddComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RopeEnd.png");
						RopeEnd.GetComponent<SpriteRenderer>().sortingOrder = 20;
						RopeEnd.transform.localScale = Vector2.one * 2f;
						RopeEnd.FixColliders();
						RopeEnd.layer = 9;
						PhysicalBehaviour phys2 = RopeEnd.GetOrAddComponent<PhysicalBehaviour>();
						phys2.Properties = ModAPI.FindPhysicalProperties("Insulator");
						phys2.SpawnSpawnParticles = false;
						phys2.Disintegratable = false;
						RopeEnd.transform.position = Instance.transform.position + new Vector3(0.5f, 0f, 0f);
						RopeEnd.transform.SetParent(Rope.transform);
						var beh = Rope.GetOrAddComponent<RopeBehaviour>();
						beh.collisionLayer = Instance.layer;
						beh.lineRenderer = Rope.GetOrAddComponent<LineRenderer>();
						beh.lineRenderer.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("Sprites-Default"));
						beh.lineRenderer.material.mainTexture = ModAPI.LoadTexture("RopeTexture.png");
						beh.lineRenderer.material.mainTexture.wrapMode = TextureWrapMode.Repeat;
						beh.lineRenderer.widthMultiplier = 0.2f;
						beh.lineRenderer.textureMode = LineTextureMode.Tile;
						beh.connected = RopeEnd.GetComponent<Rigidbody2D>();
						///Instance.GetComponent<PhysicalBehaviour>().Disintegrate();
						ModAPI.KeepExtraObjects();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Deadly Gas Tank" + Tag,
					NameToOrderByOverride = "Oxygen4",
					DescriptionOverride = "Tank full of a deadly gas. I don't know what type it is, even though I made it.",
					CategoryOverride = ModAPI.FindCategory("Misc."),
					ThumbnailOverride = ModAPI.LoadSprite("dtankThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("deathtank.png");
						Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
						Instance.GetOrAddComponent<DeadlyGasTankBehaviour>();
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Heating Element"),
					NameOverride = "Advanced Element" + Tag,
					NameToOrderByOverride = "Advanced Ele",
					DescriptionOverride = "A heating and cooling element in one. Capable of heating / cooling to very large numbers. Also instantly changes the temperature of anything within about 8.6 meters of the element.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("eleThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetOrAddComponent<AdvancedElementBehaviour>();
					}
				}
			);

			Liquid.Register("LIGHTBLUE", new Purp());
			Liquid.Register("ZOMBIEBLOOD", new ZBlood());

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"),
					NameOverride = "Blue Guy" + Tag,
					NameToOrderByOverride = "AGuy",
					DescriptionOverride = "Yo listen up here's a story, about a little guy that lives in a blue world, and all day and all night and everything he sees is just blue, like him inside and outside. Blue his house with a blue little window, and a blue corvette, and everything is blue for him, and himself and everybody around, 'cause he ain't got nobody to listen",
					CategoryOverride = ModAPI.FindCategory("Entities"),
					ThumbnailOverride = ModAPI.LoadSprite("GuyThumb.png"),
					AfterSpawn = (Instance) =>
					{
						var person = Instance.GetComponent<PersonBehaviour>();
						var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
						person.SetBodyTextures(ModAPI.LoadTexture("skin.png"), ModAPI.LoadTexture("flesh.png"), null, 1);
						person.SetBruiseColor(86, 62, 130);
						person.SetSecondBruiseColor(0, 180, 230);
						person.SetThirdBruiseColor(86, 90, 206);
						person.SetRottenColour(78, 92, 12);
						person.SetBloodColour(0, 255, 255);
						var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
						var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

						foreach (LimbBehaviour limb in person.Limbs)
						{
							cal.Sprites = limb.BloodDecal.Sprites;
							cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
							cal.Color = new Color(0, 1f, 1f, 1f);
							limb.BloodDecal = cal; //Lazy
							limb.BloodLiquidType = "LIGHTBLUE";
							limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
							limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("LIGHTBLUE"), limb.CirculationBehaviour.Limits.y);
							limb.PhysicalBehaviour.Properties = prop;
						}
						var Safe = new GameObject();
						person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
						person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
						prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
						Safe.SetActive(false);
						cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
						cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
						cal2.Color = new Color(0, 1f, 1f, 1f);
						person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

						foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
						{
							var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
							main.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
							if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
							{
								thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
							}
							var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
							renderer.material.color = new Color32(0, 255, 255, 255);
						}

						foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
						{
							var moon = thi.main;
							moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
						}

						foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
						{
							con.Decal = cal2;
						}

						foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
						{
							var moon = thi.main;
							moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(0, 255, 255, 255));
							if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                            {
								prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
							}
						}
					}
				}
			);

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Stopwatch" + Tag,
					NameToOrderByOverride = "Stopwatch",
					DescriptionOverride = "Upon being activated, starts timing. Stopped once activated again. The time can be reset via a red channel activation.",
					CategoryOverride = ModAPI.FindCategory("Machinery"),
					ThumbnailOverride = ModAPI.LoadSprite("AlarmThumb.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Alarm.png");
						Instance.FixColliders();
						Instance.GetOrAddComponent<StopwatchBehaviour>();
					}
				}
			);

			ModAPI.Register( //Credits to Talon due to me just checking how he dealt with deleting limbs since last time I got a million errors.
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"),
					NameOverride = "Sponter" + Tag,
					NameToOrderByOverride = "Spont",
					DescriptionOverride = "A weird spider-like human creature. Tends to stab other creatures with its very long tongue. (This can be disabled by breaking the upper torso)",
					CategoryOverride = ModAPI.FindCategory("Entities"),
					ThumbnailOverride = ModAPI.LoadSprite("SpontThumb.png"),
					AfterSpawn = (Instance) =>
					{
						PersonBehaviour Person = Instance.GetComponent<PersonBehaviour>();
						Person.CountDeathAsStat = false;

						if (Instance.GetComponent<NewAnimations>())
                        {
							GameObject.Destroy(Instance.GetComponent<NewAnimations>());
							GameObject.Destroy(Instance.GetComponent<DeathAnimations>());
						}
						foreach (var Limb in Person.Limbs)
                        {
							if (Limb.gameObject.name.Contains("Foot"))
                            {
								Limb.PhysicalBehaviour.Disintegrate();
								continue;
                            }
							Limb.CirculationBehaviour.ForceSetAllLiquid(3f);
							Limb.CirculationBehaviour.BloodFlow += 2f;
							Limb.BloodMuscleStrengthRatio -= 0.3f;
							Limb.BaseStrength += 0.3f;
                        }
						GameObject Head = Person.Limbs[0].gameObject;
						Head.GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[0];
						Head.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderHeadFlesh.png"));
						Head.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderHeadBone.png"));
						Head.transform.localPosition = new Vector2(-0.5909f, 0.202f);
						Head.GetOrAddComponent<SponterLickingBehaviour>();

						var hjoint = Head.GetComponent<LimbBehaviour>().Joint;
						hjoint.anchor = new Vector2(-0.1393495f, -0.1903614f);
						hjoint.connectedAnchor = new Vector2(0.2471505f, 0.01163858f);
						var lim = hjoint.limits;
						lim.max = 40f;
						lim.min = -40f;
						hjoint.limits = lim;

						GameObject Torso1 = Person.Limbs[1].gameObject;
						Person.Limbs[1].CirculationBehaviour.IsPump = true;
						Person.Limbs[1].CirculationBehaviour.WasInitiallyPumping = true;
						Torso1.GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[1];
						Torso1.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderTorsoFlesh.png"));
						Torso1.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderTorsoBone.png"));
						Torso1.transform.localPosition = new Vector2(-0.9774f, 0f);
						GameObject Torso2 = Person.Limbs[2].gameObject;
						Person.Limbs[2].CirculationBehaviour.IsPump = true;
						Person.Limbs[2].CirculationBehaviour.WasInitiallyPumping = true;
						Torso2.GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[2];
						Torso2.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderAbdomenFlesh.png"));
						Torso2.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderAbdomenBone.png"));
						Torso2.transform.localPosition = new Vector2(-1.52f, 0f);

						GameObject.Destroy(Torso1.GetComponent<LimbBehaviour>().Joint);
						Torso1.GetComponent<LimbBehaviour>().HasJoint = false;

						var tjoint = Torso2.AddComponent<HingeJoint2D>();
						Torso2.GetComponent<LimbBehaviour>().Joint = tjoint;
						Torso2.GetComponent<LimbBehaviour>().HasJoint = true;
						tjoint.connectedBody = Torso1.GetComponent<Rigidbody2D>();
						tjoint.anchor = new Vector2(0.3142858f, 0f);
						tjoint.connectedAnchor = new Vector2(-0.2283142f, 0f);
						var lim1 = tjoint.limits;
						lim1.max = 80f;
						lim1.min = -80f;
						tjoint.limits = lim1;

						GameObject[] FrontLegs = new GameObject[]
						{
							Person.Limbs[4].gameObject,
							Person.Limbs[5].gameObject
						};
						FrontLegs[0].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[3];
						FrontLegs[0].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderUpperLegFlesh.png"));
						FrontLegs[0].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderUpperLegBone.png"));
						var ID = FrontLegs[0].GetComponent<SpriteRenderer>().sortingLayerID;
						FrontLegs[0].transform.localPosition = new Vector2(-1.727f, -0.125f);
						FrontLegs[1].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[4];
						FrontLegs[1].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderLowerLegFlesh.png"));
						FrontLegs[1].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderLowerLegBone.png"));
						FrontLegs[1].transform.localPosition = new Vector2(-1.727f, -0.539f);

						GameObject[] BackLegs = new GameObject[]
						{
							Person.Limbs[7].gameObject,
							Person.Limbs[8].gameObject
						};
						BackLegs[0].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[3];
						BackLegs[0].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderUpperLegFlesh.png"));
						BackLegs[0].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderUpperLegBone.png"));
						BackLegs[0].GetComponent<SpriteRenderer>().sortingLayerID = ID;
						BackLegs[0].transform.localPosition = new Vector2(-1.5341f, -0.125f);
						BackLegs[0].GetComponent<LimbBehaviour>().ConnectedLimbs.Add(Torso2.GetComponent<LimbBehaviour>());
						BackLegs[1].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[4];
						BackLegs[1].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderLowerLegFlesh.png"));
						BackLegs[1].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderLowerLegBone.png"));
						BackLegs[1].GetComponent<SpriteRenderer>().sortingLayerID = ID;
						BackLegs[1].transform.localPosition = new Vector2(-1.5341f, -0.539f);

						var newPushes = Torso2.GetComponent<CirculationBehaviour>().PushesTo.ToList();
						newPushes.Add(FrontLegs[0].GetComponent<CirculationBehaviour>());
						newPushes.Add(BackLegs[0].GetComponent<CirculationBehaviour>());
						Torso2.GetComponent<CirculationBehaviour>().PushesTo = newPushes.ToArray();

						GameObject[] FrontArms = new GameObject[]
						{
							Person.Limbs[10].gameObject,
							Person.Limbs[12].gameObject
						};
						Instance.transform.Find("FrontArm").localPosition = Instance.transform.Find("FrontLeg").localPosition;
						Instance.transform.Find("BackArm").localPosition = Instance.transform.Find("FrontLeg").localPosition;
						FrontArms[0].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[3];
						FrontArms[0].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderUpperLegFlesh.png"));
						FrontArms[0].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderUpperLegBone.png"));
						FrontArms[0].GetComponent<SpriteRenderer>().sortingLayerID = ID;
						FrontArms[0].transform.localPosition = new Vector2(-1.3343f, -0.125f);
						FrontArms[1].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[4];
						FrontArms[1].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderLowerLegFlesh.png"));
						FrontArms[1].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderLowerLegBone.png"));
						FrontArms[1].GetComponent<SpriteRenderer>().sortingLayerID = ID;
						FrontArms[1].transform.localPosition = new Vector2(-1.3343f, -0.539f);

						GameObject[] BackArms = new GameObject[]
						{
							Person.Limbs[11].gameObject,
							Person.Limbs[13].gameObject
						};
						BackArms[0].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[3];
						BackArms[0].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderUpperLegFlesh.png"));
						BackArms[0].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderUpperLegBone.png"));
						BackArms[0].GetComponent<SpriteRenderer>().sortingLayerID = ID;
						BackArms[0].transform.localPosition = new Vector2(-1.1348f, -0.127f); //+0.002
						BackArms[1].GetComponent<SpriteRenderer>().sprite = Mod.SpontSkin[4];
						BackArms[1].GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("Spont/SpiderLowerLegFlesh.png"));
						BackArms[1].GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("Spont/SpiderLowerLegBone.png"));
						BackArms[1].GetComponent<SpriteRenderer>().sortingLayerID = ID;
						BackArms[1].transform.localPosition = new Vector2(-1.1348f, - 0.542f);

						var legjoint1 = FrontLegs[0].GetComponent<LimbBehaviour>().Joint;
						legjoint1.anchor = new Vector2(-0.001070976f, 0.1242427f);
						legjoint1.connectedAnchor = new Vector2(-0.208071f, -0.0007572919f);
						legjoint1.connectedBody = Torso2.GetComponent<Rigidbody2D>();
						var lim2 = legjoint1.limits;
						lim2.max = 359f;
						lim2.min = -90f;
						legjoint1.limits = lim2;

						var legjoint2 = FrontLegs[1].GetComponent<LimbBehaviour>().Joint;
						legjoint2.anchor = new Vector2(-0.0003910065f, 0.2414933f);
						legjoint2.connectedAnchor = new Vector2(-0.0003910065f, -0.1725067f);
						var lim3 = legjoint2.limits;
						lim3.max = 90f;
						lim3.min = -90f;
						legjoint2.limits = lim3;

						var legjoint3 = BackLegs[0].GetComponent<LimbBehaviour>().Joint;
						legjoint3.anchor = new Vector2(-0.001070976f, 0.1242427f);
						legjoint3.connectedAnchor = new Vector2(-0.01517105f, -0.0007572919f);
						legjoint3.connectedBody = Torso2.GetComponent<Rigidbody2D>();
						var lim4 = legjoint3.limits;
						lim4.max = 359f;
						lim4.min = -90f;
						legjoint3.limits = lim4;

						var legjoint4 = BackLegs[1].GetComponent<LimbBehaviour>().Joint;
						legjoint4.anchor = new Vector2(-0.0003910065f, 0.2414933f);
						legjoint4.connectedAnchor = new Vector2(-0.0003910065f, -0.1725067f);
						var lim5 = legjoint4.limits;
						lim5.max = 90f;
						lim5.min = -90f;
						legjoint4.limits = lim5;

						var legjoint5 = FrontArms[0].GetComponent<LimbBehaviour>().Joint;
						legjoint5.anchor = new Vector2(-0.001070976f, 0.1242427f);
						legjoint5.connectedAnchor = new Vector2(0.184629f, -0.0007572919f);
						legjoint5.connectedBody = Torso2.GetComponent<Rigidbody2D>();
						var lim6 = legjoint5.limits;
						lim6.max = 359f;
						lim6.min = -90f;
						legjoint5.limits = lim6;

						var legjoint6 = FrontArms[1].GetComponent<LimbBehaviour>().Joint;
						legjoint6.anchor = new Vector2(-0.0003910065f, 0.2414933f);
						legjoint6.connectedAnchor = new Vector2(-0.0003910065f, -0.1725067f);
						legjoint6.connectedBody = FrontArms[0].GetComponent<Rigidbody2D>();
						var lim7 = legjoint6.limits;
						lim7.max = 90f;
						lim7.min = -90f;
						legjoint6.limits = lim7;

						var legjoint7 = BackArms[0].GetComponent<LimbBehaviour>().Joint;
						legjoint7.anchor = new Vector2(-0.001070976f, 0.1242427f);
						legjoint7.connectedAnchor = new Vector2(-0.01517105f, -0.0007572919f);
						legjoint7.connectedBody = Torso1.GetComponent<Rigidbody2D>();
						var lim8 = legjoint7.limits;
						lim8.max = 359f;
						lim8.min = -90f;
						legjoint7.limits = lim8;

						var legjoint8 = BackArms[1].GetComponent<LimbBehaviour>().Joint;
						legjoint8.anchor = new Vector2(-0.0003910065f, 0.2414933f);
						legjoint8.connectedAnchor = new Vector2(-0.0003910065f, -0.1725067f);
						legjoint8.connectedBody = BackArms[0].GetComponent<Rigidbody2D>();
						var lim9 = legjoint8.limits;
						lim9.max = 90f;
						lim9.min = -90f;
						legjoint8.limits = lim9;
						Person.Limbs[3].PhysicalBehaviour.Disintegrate();
						foreach (var Limb in Person.Limbs)
                        {
							Limb.gameObject.FixColliders();
                        }
						var nocol = Instance.AddComponent<NoCollide>();
						nocol.NoCollideSetA = Instance.GetComponentsInChildren<Collider2D>();
						nocol.NoCollideSetB = Instance.GetComponentsInChildren<Collider2D>();
						///////////////////////////////////////////////////////////////////// ANIMATIONS
						var StandPose = Person.ActivePose;
						StandPose.Angles = new List<RagdollPose.LimbPose>();
						foreach (var limb in Person.Limbs)
						{
							if (limb.gameObject.name == "MiddleTorso" || limb.gameObject.name == "Head")
							{
								var animstuff = new RagdollPose.LimbPose(limb, -15f);
								StandPose.Angles.Add(animstuff);
							}
							else
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								StandPose.Angles.Add(animstuff);
							}
						}
						StandPose.ConstructDictionary();

						var SitPose = Person.LinkedPoses[PoseState.Sitting];
						SitPose.Angles = new List<RagdollPose.LimbPose>();
						foreach (var limb in Person.Limbs)
						{
							if (limb.gameObject.name.Contains("Upper"))
							{
								var animstuff = new RagdollPose.LimbPose(limb, -90f);
								SitPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name.Contains("Lower"))
							{
								var animstuff = new RagdollPose.LimbPose(limb, 30f);
								SitPose.Angles.Add(animstuff);
							}
							else
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								SitPose.Angles.Add(animstuff);
							}
						}
						SitPose.ConstructDictionary();

						var WalkPose = Person.LinkedPoses[PoseState.Walking];
						WalkPose.Angles = new List<RagdollPose.LimbPose>();
						WalkPose.AnimationSpeedMultiplier = 1.5f;
						WalkPose.Rigidity += 0.7f;
						foreach (var limb in Person.Limbs)
						{
							if (limb.gameObject.name == "UpperArm")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = 75f;
								animstuff.EndAngle = -5f;
								animstuff.TimeOffset = 0f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "LowerArm")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = 75f;
								animstuff.EndAngle = -5f;
								animstuff.TimeOffset = 0f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "UpperArmFront")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = -75f;
								animstuff.EndAngle = 5f;
								animstuff.TimeOffset = -0.2f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "LowerArmFront")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = -75f;
								animstuff.EndAngle = 5f;
								animstuff.TimeOffset = -0.2f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "UpperLeg")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = -75f;
								animstuff.EndAngle = 5f;
								animstuff.TimeOffset = -0.4f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "LowerLeg")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = 75f;
								animstuff.EndAngle = -5f;
								animstuff.TimeOffset = -0.4f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "UpperLegFront")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = -75f;
								animstuff.EndAngle = 5f;
								animstuff.TimeOffset = -0.6f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "LowerLegFront")
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								animstuff.Animated = true;
								animstuff.StartAngle = 75f;
								animstuff.EndAngle = -5f;
								animstuff.TimeOffset = -0.6f;
								animstuff.AnimationDuration = 0.5f;
								WalkPose.Angles.Add(animstuff);
							}
							else
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								WalkPose.Angles.Add(animstuff);
							}
						}
						WalkPose.ConstructDictionary();

						var CowerPose = Person.LinkedPoses[PoseState.Protective];
						CowerPose.Angles = new List<RagdollPose.LimbPose>();
						foreach (var limb in Person.Limbs)
						{
							if (limb.gameObject.name.Contains("UpperArmFront"))
							{
								var animstuff = new RagdollPose.LimbPose(limb, -90f);
								CowerPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name.Contains("UpperArm"))
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								CowerPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name.Contains("LowerArmFront"))
							{
								var animstuff = new RagdollPose.LimbPose(limb, -90f);
								CowerPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name.Contains("UpperLeg"))
							{
								var animstuff = new RagdollPose.LimbPose(limb, -90f);
								CowerPose.Angles.Add(animstuff);
							}
							else if (limb.gameObject.name == "Head")
							{
								var animstuff = new RagdollPose.LimbPose(limb, -45f);
								CowerPose.Angles.Add(animstuff);
							}
							else
							{
								var animstuff = new RagdollPose.LimbPose(limb, 0f);
								CowerPose.Angles.Add(animstuff);
							}
						}
						CowerPose.ConstructDictionary();
					}
				}
			);

			if (!Mod.Set)
            {
				ModAPI.Register<SetUp2>();
			}

			ModAPI.Register<GrossFavouriteWriter>();
			ModAPI.Register<SetUp>();
			ModAPI.Register<FindAllLimbBehaviours>();
			ModAPI.RegisterTool<NerveWireTool>("Nerves", "Custom activation wires which goes with the brain. Attach from the brain to the destination.", ModAPI.LoadSprite("NeuronThumb.png", 1f, false));
			ModAPI.RegisterTool<NerveBWireTool>("B-Nerves", "Nerves but they're in the blue channel.", ModAPI.LoadSprite("NeuronBlueThumb.png", 1f, false), "Nerves");
			ModAPI.RegisterTool<NerveRWireTool>("R-Nerves", "Nerves but they're in the red channel.", ModAPI.LoadSprite("NeuronRedThumb.png", 1f, false), "Nerves");
			ModAPI.RegisterTool<Nerve2WireTool>("Motor Nerves", "Nerves that change the delta (angle) of servos towards a point defined by an eye. Attach from the brain to the servo.", ModAPI.LoadSprite("NeuronMotorThumb.png", 1f, false), "Nerves");
			ModAPI.RegisterTool<NewMuscleWireTool>("Muscle", "Muscles expand and contract. Can be linked with a brain, or attached normal. Press Right Click to cancel selecting a brain, I guess.", ModAPI.LoadSprite("FleshWireThumb.png", 1f, false));
			ModAPI.RegisterTool<OxygenPipeTool>("Gas Pipe", "Transports oxygen and other gases. Can be attached to an entity as well.", ModAPI.LoadSprite("OxygenPipeThumb.png", 1f, false));
			ModAPI.RegisterTool<PhaseLinkToolDetailed>("Invisible Phase link", "Literally a phase link which can only be seen in detailed view.", ModAPI.LoadSprite("phaseThumb.png", 1f, false), "Phase link");
		}

		public static Sprite[] SpontSkin = new Sprite[]
		{
			ModAPI.LoadSprite("Spont/SpiderHead.png"),
			ModAPI.LoadSprite("Spont/SpiderTorso.png"),
			ModAPI.LoadSprite("Spont/SpiderAbdomen.png"),
			ModAPI.LoadSprite("Spont/SpiderUpperLeg.png"),
			ModAPI.LoadSprite("Spont/SpiderLowerLeg.png"),
		};

		public class SponterLickingBehaviour : MonoBehaviour
        {
			private LineRenderer Tongue;
			private Transform LineEnd;
			private LimbBehaviour Head;
			private RaycastHit2D[] losBuffer = new RaycastHit2D[5];
			private bool IsAttacking;
			private bool Idle;
			private AudioSource Aud;
			private LimbBehaviour Limb;

			public bool HasTarget
			{
				get
				{
					return this.Limb;
				}
			}

			public bool Disabled
			{
				get
				{
					return this.gameObject.GetComponent<LimbBehaviour>().Person.Limbs[1].Broken;
				}
			}

			private void Awake()
            {
				this.Aud = this.gameObject.AddComponent<AudioSource>();
				this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
				this.Tongue = this.gameObject.AddComponent<LineRenderer>();
				this.Tongue.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("Sprites-Default"));
				this.Tongue.material.mainTexture = Mod.Tongue;
				this.Tongue.widthMultiplier = 0.04f;
				this.Tongue.enabled = false;
				GameObject End = new GameObject("LineEnd");
				End.transform.SetParent(this.transform);
				End.transform.localPosition = Vector2.zero;
				End.transform.localScale = Vector2.zero;
				var rig = End.AddComponent<Rigidbody2D>();
				rig.mass = 0f;
				rig.bodyType = RigidbodyType2D.Kinematic;
				this.LineEnd = End.transform;
				this.Tongue.positionCount = 2;
				this.Tongue.SetPosition(0, this.transform.TransformPoint(new Vector3(0.13f, 0.02f, 0f)));
			}

			private void Update()
            {
				if (this.IsAttacking)
                {
					this.Tongue.SetPosition(0, this.transform.TransformPoint(new Vector3(0.13f, 0.02f, 0f)));
				}
				if (this.Idle)
                {
					this.Tongue.SetPosition(1, this.Limb.transform.position);
				}
            }

			private void FixedUpdate()
            {
				Collider2D[] Results = new Collider2D[30];
				if (this.IsAttacking || UnityEngine.Random.value < 0.975f || !this.gameObject.GetComponent<LimbBehaviour>().IsConsideredAlive || this.gameObject.GetComponent<LimbBehaviour>().Person.Consciousness < 0.9f || this.Disabled)
                {
					return;
                }
				int cols = Physics2D.OverlapCircleNonAlloc(this.transform.position, 5f, Results, LayerMask.GetMask(new string[] { "Objects", "Bounds", "CollidingDebris" }));
				for (var i = 0; i < cols; i++)
                {
					if (Results[i].gameObject.TryGetComponent<LimbBehaviour>(out this.Limb) && Limb.RoughClassification == LimbBehaviour.BodyPart.Head && Limb.transform.root != this.transform.root && Limb.IsConsideredAlive)
                    {
						if (HasLineOfSight(Limb))
                        {
							this.StartCoroutine(Attack(this.Limb));
							return;
                        }
                    }
                }
            }

			private bool HasLineOfSight(LimbBehaviour Limb)
            {
				int num = Physics2D.LinecastNonAlloc(this.transform.position, Limb.transform.position, this.losBuffer, LayerMask.GetMask(new string[] { "Objects", "Bounds", "CollidingDebris" }));
				if (num == 0)
				{
					return false;
				}
				for (int i = 0; i < num; i++)
				{
					RaycastHit2D raycastHit2D = this.losBuffer[i];
					if (raycastHit2D.transform.root != Limb.transform.root && raycastHit2D.transform.root != transform.root)
					{
						return false;
					}
				}
				return true;
			}

			private IEnumerator Attack(LimbBehaviour Limb)
            {
				ModAPI.Notify("Seen!");
				Debug.Log(this.IsAttacking.ToString());
				this.IsAttacking = true;
				this.Tongue.enabled = true;
				this.Aud.PlayOneShot(Mod.TongueOut);
				while (Vector2.Distance(this.LineEnd.transform.position, Limb.transform.position) > 0.15f)
                {
					if (this.HasTarget)
					{
						this.LineEnd.transform.position = Vector3.Lerp(this.LineEnd.transform.position, Limb.transform.position, Time.deltaTime * 10f);
						this.Tongue.SetPosition(1, this.LineEnd.transform.position);
					}
                    else
                    {
						this.IsAttacking = false;
						this.Tongue.SetPosition(1, this.transform.TransformPoint(new Vector3(0.13f, 0.02f, 0f)));
						this.Tongue.enabled = false;
						Debug.Log("Gone?");
						yield break;
					}
					yield return new WaitForEndOfFrame();
				}
				var Joint = Limb.gameObject.AddComponent<FrictionJoint2D>();
				Joint.autoConfigureConnectedAnchor = true;
				Joint.enableCollision = false;
				Joint.maxForce = 1f;
				Joint.connectedBody = this.LineEnd.gameObject.GetComponent<Rigidbody2D>();
				Joint.maxTorque = 1f;
				Joint.anchor = this.LineEnd.InverseTransformPoint(this.LineEnd.transform.position);
				Limb.Damage(0.3f);
				Limb.Health -= 0.3f;
				Limb.SkinMaterialHandler.ShotDamage(2f, this.LineEnd.transform.position);
				Limb.PhysicalBehaviour.PlayClipOnce(Limb.PhysicalBehaviour.Properties.StabSound.PickRandom<AudioClip>(), 0.5f);
				this.Idle = true;
				yield return new WaitForSeconds(0.5f);
				this.Idle = false;
				if (this.HasTarget)
				{
					Limb.CirculationBehaviour.Cut(this.LineEnd.transform.position, this.transform.position - Limb.transform.position);
					Limb.PhysicalBehaviour.PlayClipOnce(Limb.PhysicalBehaviour.Properties.StabSound.PickRandom<AudioClip>(), 1.5f);
					Limb.SkinMaterialHandler.ShotDamage(7f, this.LineEnd.transform.position);
					GameObject.Destroy(Joint);
					Limb.PhysicalBehaviour.rigidbody.AddForce((this.transform.position - Limb.transform.position), ForceMode2D.Impulse);
					this.Aud.PlayOneShot(Mod.TongueIn);
				}
                else
                {
					this.IsAttacking = false;
					this.Tongue.SetPosition(1, this.transform.TransformPoint(new Vector3(0.13f, 0.02f, 0f)));
					this.Tongue.enabled = false;
					Debug.Log("Gone?");
					yield break;
				}
				while (Vector2.Distance(this.LineEnd.transform.position, this.transform.TransformPoint(new Vector3(0.13f, 0.02f, 0f))) > 0.15f)
				{
					this.LineEnd.transform.position = Vector3.Lerp(this.LineEnd.transform.position, this.transform.TransformPoint(new Vector3(0.12f, -0.04f, 0f)), Time.deltaTime * 10f);
					this.Tongue.SetPosition(1, this.LineEnd.transform.position);
					yield return new WaitForEndOfFrame();
				}
				this.IsAttacking = false;
				this.Limb = null;
				this.Tongue.SetPosition(1, this.transform.TransformPoint(new Vector3(0.13f, 0.02f, 0f)));
				this.Tongue.enabled = false;
				yield return new WaitForEndOfFrame();
			}
        }

		/*public class SecurityCameraBehaviour : MonoBehaviour //Cut due to being very buggy and stupid
        {
			private GameObject Monitor;
			private RenderTexture Render;
			private Camera RenderCamera;

			private void Awake()
            {
				this.Monitor = ModAPI.CreatePhysicalObject("Monitor [OCM]", Mod.Monitor);
				this.Monitor.FixColliders();
				this.Monitor.GetComponent<SpriteRenderer>().sprite = Sprite.Create(new Texture2D(256, 256, TextureFormat.RGB24, false), new Rect(0.0f, 0.0f, 256, 256), new Vector2(0.5f, 0.5f), 560f);
				Debug.Log("Test");
				this.RenderCamera = UnityEngine.Object.Instantiate<Camera>(Camera.main, this.transform);
				///this.RenderCamera.name = "SecurityCameraCamera";
				///this.RenderCamera.Reset();
				///this.RenderCamera.transform.localPosition = Vector2.zero;
				foreach (var Mono in this.RenderCamera.gameObject.GetComponentsInChildren<MonoBehaviour>(true))
                {
					Debug.Log(Mono.ToString());
					GameObject.Destroy(Mono);
                }
				foreach (var Mono in this.RenderCamera.gameObject.GetComponentsInChildren<Component>())
				{
					if (Mono.GetType() != typeof(Transform) && Mono.GetType() != typeof(Camera) && Mono.GetType() != typeof(AudioSource) && Mono.GetType() != typeof(AudioListener))
                    {
						Debug.Log(Mono.ToString());
						GameObject.Destroy(Mono);
					}
				}
				this.Render = new RenderTexture(256, 256, 1, RenderTextureFormat.Default); //Directly from the documentation, maybe 8x4?
				this.Render.Create();
				this.RenderCamera.targetTexture = this.Render;
			}

			private void OnWillRenderObject()
            {
				Texture2D tex = this.Monitor.GetComponent<SpriteRenderer>().sprite.texture;
				RenderTexture.active = this.Render;
				tex.ReadPixels(new Rect(0, 0, this.Render.width, this.Render.height), 0, 0);
				tex.Apply();
			}

			private void OnDestroy()
            {
				this.Render.Release();
            }
        }*/

		public class StopwatchBehaviour : MonoBehaviour //Suggestion
		{
			private TextMeshPro label;
			private float time;
			private bool On;
			private void Awake() //Cluster of things in hope that it would position the text properly
            {
				this.label = UnityEngine.Object.Instantiate<TextMeshPro>(ModAPI.FindSpawnable("Thermometer").Prefab.GetComponent<ThermometerBehaviour>().TextMesh);
				this.label.text = "00:00";
				this.label.sortingLayerID = this.gameObject.GetComponent<SpriteRenderer>().sortingLayerID;
				this.label.sortingOrder = this.gameObject.GetComponent<SpriteRenderer>().sortingOrder + 1;
				this.label.rectTransform.SetParent(this.transform);
				this.label.rectTransform.anchoredPosition = this.transform.position;
				ModAPI.CreateLight(this.transform, Color.red, 2f, 1.25f);
				this.label.rectTransform.transform.localPosition = new Vector3(-0.255f * this.transform.localScale.x, 0.065f, 0f);
				this.label.color = Color.red;
			}

			private void Update()
            {
				if (this.On)
                {
					this.time += Time.deltaTime;
					TimeSpan ActualTime = TimeSpan.FromSeconds(this.time);
					this.label.text = string.Format("{0:00}:{1:00}", ActualTime.Seconds, Mathf.Round(ActualTime.Milliseconds / 10)); //https://forum.unity.com/threads/convert-float-to-time-minutes-and-seconds.676414/
				}
			}

			public void Use(ActivationPropagation Channel)
            {
				if (Channel.Channel == 1U)
                {
					this.time = 0f;
					this.label.text = "00:00";
					return;
                }
				this.On = !this.On;
            }
        }

		public class HEVSuitComplicatedAndStupidBehaviour : MonoBehaviour
        {
			
        }

		public class TauCannonBehaviour : MonoBehaviour
        {
			public Material Mat;
			public AudioClip ShootSound;
			private float time;
			private float rot;
			private bool used;
			private float timer;
			private float power;
			private bool used2;
			private AudioSource Aud;
			private AudioSource MusAud;
			private Transform LaserEnd;
			private LineRenderer line;
			private int index;
			private int maxIndex = 4;
			private GameObject PrevObj;

			private void Awake()
            {
				Mod.TauCoil.texture.wrapMode = TextureWrapMode.Repeat;
				Mod.TauCoil.texture.Apply();
				GameObject Hull = new GameObject("Hull", new Type[] { typeof(SpriteRenderer) });
				Hull.transform.SetPositionAndRotation(this.transform.position, this.transform.rotation);
				Hull.transform.localScale = this.transform.localScale;
				Hull.transform.SetParent(this.transform);
				Hull.GetComponent<SpriteRenderer>().sprite = Mod.TauHull;
				Hull.GetComponent<SpriteRenderer>().sortingOrder = 40;
				this.Mat = new Material(Shader.Find("Unlit/MinigunBarrelShader"));
				this.Mat.SetTexture("_MainTex", Mod.Tau.texture);
				this.Mat.SetTexture("_ActualSprite", Mod.TauCoil.texture);
				this.Mat.SetTexture("_Mask", Mod.TauCoil2.texture);
				this.Mat.SetColor("_GlowColour", ModAPI.FindSpawnable("Minigun").Prefab.GetComponent<SpriteRenderer>().material.GetColor("_GlowColour"));
				this.GetComponent<SpriteRenderer>().material = this.Mat;
				this.gameObject.AddComponent<GlowingHotMetalBehaviour>().UpperTemperatureBound = 800f;
				this.Aud = this.gameObject.AddComponent<AudioSource>();
				this.Aud.clip = Mod.TauCharge;
				this.Aud.loop = true;
				this.line = this.gameObject.AddComponent<LineRenderer>();
				//line.enabled = false;
				line.startColor = new Color(1f, 1f, 1f, 1f);
				line.endColor = new Color(1f, 1f, 1f, 1f);
				line.startWidth = 0.1f;
				line.endWidth = 0.1f;
				line.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("VeryBright"));
				line.material.SetColor("_GlowColour", new Color(1f, 1f, 1f, 0.3f));
				line.material.SetFloat("_GlowIntensity", 0.2f);
				line.material.mainTexture = Mod.White.texture;
				line.sortingOrder = -5;
				line.sortingLayerID = this.gameObject.GetComponent<SpriteRenderer>().sortingLayerID;
				this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
				if (!Mod.TauSpawnedIn)
                {
					Mod.TauSpawnedIn = true;
					///this.MusAud.PlayOneShot(Mod.TauTHeme, 0.7f);
                }
			}

			private void Use()
			{
				this.used2 = true;
				this.Aud.Play();
			}

			private void Update()
            {
				this.time += this.rot * Time.deltaTime * 60f;
				this.Aud.pitch = Mathf.Clamp((this.power / 10f) + 0.1f, 1f, 3.85f);
				this.timer -= 0.5f;
				if (this.timer < 0.5f && this.used2)
                {
					this.used2 = false;
					this.Aud.Stop();
					this.Aud.pitch = 1f;
					this.Aud.PlayOneShot(this.ShootSound);
					if (this.power <= 0f)
                    {
						this.power = 0.2f;
                    }
					Debug.Log(power);
					this.UsePrev = false;
					CameraShakeBehaviour.main.Shake(this.power * 15f, this.transform.position, this.power * 10f);
					this.gameObject.GetComponent<Rigidbody2D>().AddForce(-this.transform.right * (this.power + 1f), ForceMode2D.Impulse);
					this.StartCoroutine(ShootRay());
					this.StartCoroutine(DisableRenderer());
					this.power = 0f;
                }
				else if (this.timer < 0.5f)
                {
					this.rot *= 0.93f;
				}
				if (this.power / 10f > 10f)
				{
					ExplosionCreator.CreateFragmentationExplosion(25U, this.transform.position, 0.4f, 25f, true, false, 0.01f);
					this.power = 0f;
				}
				this.gameObject.GetComponent<PhysicalBehaviour>().Temperature = Mathf.Lerp(this.gameObject.GetComponent<PhysicalBehaviour>().Temperature, this.rot * 2000f, Time.deltaTime * 8f);
			}

			private void CreateThings(Vector2 Pos)
            {
				GameObject Glow = new GameObject("GlowEffect");
				Glow.AddComponent<SpriteRenderer>().sprite = Mod.Ball;
				Glow.GetComponent<SpriteRenderer>().material = ModAPI.FindMaterial("VeryBright");
				Glow.transform.position = Pos;
				Glow.transform.localScale = Vector2.one * 0.5f;
				GameObject ParticleHolder = new GameObject("Holder");
				ParticleHolder.transform.SetParent(Glow.transform);
				ParticleHolder.transform.position = Glow.transform.position;
				ParticleHolder.transform.localScale = Vector2.one;
				ParticleSystem YellowStuff = ParticleHolder.AddComponent<ParticleSystem>();
				var main = YellowStuff.main;
				main.duration = 3f;
				main.loop = true;
				main.playOnAwake = true;
				main.flipRotation = 70f;
				main.startLifetime = 1.5f;
				main.startSize = new ParticleSystem.MinMaxCurve(0.09f);
				main.simulationSpace = ParticleSystemSimulationSpace.World;
				main.scalingMode = ParticleSystemScalingMode.Shape;
				main.gravityModifier = new ParticleSystem.MinMaxCurve(0.8f);
				main.startSpeedMultiplier = 0.6f;
				var shape = YellowStuff.shape;
				shape.enabled = true;
				shape.spriteRenderer = Glow.GetComponent<SpriteRenderer>();
				var em = YellowStuff.emission;
				em.enabled = true;
				em.rateOverTime = new ParticleSystem.MinMaxCurve(3f);
				em.rateOverDistance = 1f * Mathf.Sqrt(Glow.GetComponent<SpriteRenderer>().bounds.extents.sqrMagnitude * 4f);
				var rot = YellowStuff.rotationOverLifetime;
				rot.enabled = true;
				rot.z = UnityEngine.Random.Range(-10f, 10f);
				var size = YellowStuff.sizeOverLifetime;
				size.enabled = true;
				size.size = new ParticleSystem.MinMaxCurve(1f, 0f);
				var col = YellowStuff.collision;
				col.enabled = true;
				col.bounce = 0.5f;
				var col2 = YellowStuff.colorOverLifetime;
				col2.enabled = true;
				col2.color = new ParticleSystem.MinMaxGradient(new Color(1f, 1f, 1f, 1f), new Color(1f, 1f, 1f, 0f));
				var rend = YellowStuff.GetComponent<ParticleSystemRenderer>();
				rend.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("VeryBright"));
				rend.material.mainTexture = Mod.Ball.texture;
				rend.material.SetColor("_GlowColour", new Color32(255, 185, 0, 40));
				rend.renderMode = ParticleSystemRenderMode.VerticalBillboard;
				Glow.AddComponent<falsebehaviour>().StartCoroutine(this.ColorFade(Glow.GetComponent<SpriteRenderer>(), new Color32(255, 185, 0, 0), 4f));
			}

			private class falsebehaviour : MonoBehaviour
			{
			}

			private IEnumerator ColorFade(SpriteRenderer render, Color FinalColor, float Delta)
			{
				while (render.gameObject.activeInHierarchy && render.color != FinalColor)
				{
					render.color = Color.Lerp(render.color, FinalColor, Time.deltaTime * Delta);
					yield return new WaitForEndOfFrame();
				}
				render.gameObject.SetActive(false);
				var em = render.transform.Find("Holder").GetComponent<ParticleSystem>().emission;
				render.transform.Find("Holder").SetParent(null);
				em.rateOverTimeMultiplier = 0f;
				yield return new WaitForEndOfFrame();
			}

			private IEnumerator DisableRenderer()
            {
				yield return new WaitForSeconds(0.05f);
				this.line.enabled = false;
            }

			private IEnumerator ShootRay()
            {
				//linerenderer add a new vertex or whatever and set it's position to the hit point
				//Make ray reflect!
				this.index = 0;
				line.positionCount = 1;
				line.SetPosition(0, this.transform.position);
				GameObject Previous = null;
				RaycastHit2D hit = Physics2D.Raycast(this.transform.position, (this.transform.lossyScale.x > 0f) ? this.transform.right : -this.transform.right, 2500f, LayerMask.GetMask(new string[] { "Objects", "Bounds", "CollidingDebris" }));
				PhysicalBehaviour phys;
				if (this.power > 2f)
				{
					line.material.SetColor("_GlowColour", new Color(1f, 0.5f, 0f, 0.3f));
					line.startColor = new Color(1f, 0.5f, 0f, 1f);
					line.endColor = new Color(1f, 0.5f, 0f, 1f);
					line.material.mainTexture = Mod.Orange.texture;
				}
                else
                {
					line.material.SetColor("_GlowColour", new Color(1f, 1f, 1f, 0.1f));
					line.startColor = new Color(1f, 1f, 1f, 0.2f);
					line.endColor = new Color(1f, 1f, 1f, 0.2f);
					line.material.mainTexture = Mod.White.texture;
				}
				if (hit.transform != null)
				{
					line.enabled = true;
					line.positionCount++;
					line.SetPosition(1, hit.point);
					Previous = hit.collider.transform.root.gameObject;
					CreateThings(hit.point);
					if (hit.collider.gameObject.TryGetComponent<PhysicalBehaviour>(out phys))
					{
						PhysicalBehaviour phys2;
						ExplosionCreator.CreateFragmentationExplosion(65U, hit.point, 0.5f * this.power, this.power / 2f, false, false, 0.09f * this.power);
						if (phys.gameObject.GetComponent<LimbBehaviour>() && this.power > 2f && phys.gameObject.GetComponent<LimbBehaviour>().SpeciesIdentity == "Human")
						{
							ModAPI.CreateParticleEffect("BloodExplosion", hit.point);
							phys.Disintegrate();
						}
						else if (phys.gameObject.GetComponent<LimbBehaviour>() && this.power > 2f)
						{
							GameObject BloodParticle = UnityEngine.Object.Instantiate<GameObject>(phys.gameObject.GetComponent<LimbBehaviour>().Person.BloodExplosionPrefab, null);
							BloodParticle.transform.position = hit.point;
							phys.Disintegrate();
							///var main = BloodParticle.GetComponentInChildren<ParticleSystem>().main;
							///main.startColor = phys.gameObject.GetComponent<LimbBehaviour>().GetOriginalBloodType().Color;
						}
						var others = Physics2D.OverlapCircleAll(hit.point, 0.2f * this.power);
						foreach (var other in others)
						{
							if (other.gameObject.GetComponent<LimbBehaviour>())
							{
								other.gameObject.GetComponent<LimbBehaviour>().Damage((this.power > 2f) ? 20f : Mathf.Clamp(20f * this.power, 20f, 200f));
								other.GetComponent<LimbBehaviour>().Health -= (this.power > 2f) ? 0.2f : Mathf.Clamp(0.2f * this.power, 0.2f, 6f);
								other.gameObject.GetComponent<LimbBehaviour>().SkinMaterialHandler.ImpactDamage((this.power > 2f) ? 20f : Mathf.Clamp(20f * this.power, 20f, 200f), other.transform.position);
							}
						}
						var oldlayer = hit.transform.gameObject.layer;
						if (this.power < 0.05f)
                        {
							yield break;
                        }
						///hit.transform.gameObject.layer = LayerMask.NameToLayer("Ignore Raycast");
						if (hit.transform.GetComponent<LimbBehaviour>() == null) ///Vector2.Angle(this.transform.position, hit.point) <= 30f
						{
							ReflectBeam(hit);
						}
						else
						{
							PeneBeam(hit);
						}
						hit.transform.gameObject.layer = oldlayer;
					}
				}
				yield return new WaitForEndOfFrame();
            }

			private void PeneBeam(RaycastHit2D hit)
            {
				RaycastHit2D hit2 = Physics2D.Raycast(hit.point, (this.transform.lossyScale.x > 0f) ? this.transform.right : -this.transform.right, 2500f, LayerMask.GetMask(new string[] { "Objects", "Bounds", "CollidingDebris" }));
				PhysicalBehaviour phys0;
				if (hit2.transform != null)
				{
					this.index++;
					line.positionCount++;
					line.SetPosition(line.positionCount - 1, hit2.point);
					CreateThings(hit.point);
					if (hit2.collider.gameObject.TryGetComponent<PhysicalBehaviour>(out phys0))
					{
						PhysicalBehaviour phys1;
						ExplosionCreator.CreateFragmentationExplosion(30U, hit2.point, 0.07f * this.power, this.power / 6f, false, false, 0.02f * this.power);
						if (phys0.gameObject.GetComponent<LimbBehaviour>() && phys0.gameObject.GetComponent<LimbBehaviour>().SpeciesIdentity == "Human" && this.power > 10f)
						{
							ModAPI.CreateParticleEffect("BloodExplosion", hit2.point);
							phys0.Disintegrate();
						}
						else if (phys0.gameObject.GetComponent<LimbBehaviour>() && this.power > 10f)
						{
							GameObject BloodParticle = UnityEngine.Object.Instantiate<GameObject>(phys0.gameObject.GetComponent<LimbBehaviour>().Person.BloodExplosionPrefab, null);
							BloodParticle.transform.position = hit2.point;
							phys0.Disintegrate();
							///var main = BloodParticle.GetComponentInChildren<ParticleSystem>().main;
							///main.startColor = phys.gameObject.GetComponent<LimbBehaviour>().GetOriginalBloodType().Color;
						}
						var others2 = Physics2D.OverlapCircleAll(hit2.point, 0.2f * this.power);
						foreach (var other in others2)
						{
							if (other.gameObject.GetComponent<LimbBehaviour>())
							{
								other.gameObject.GetComponent<LimbBehaviour>().Damage((this.power > 2f) ? 20f : Mathf.Clamp(20f * this.power, 20f, 200f));
								other.GetComponent<LimbBehaviour>().Health -= (this.power > 2f) ? 0.2f : Mathf.Clamp(0.2f * this.power, 0.2f, 6f);
								other.gameObject.GetComponent<LimbBehaviour>().SkinMaterialHandler.ImpactDamage((this.power > 2f) ? 20f : Mathf.Clamp(20f * this.power, 20f, 200f), other.transform.position);
							}
						}
					}
					var oldlayer = hit2.transform.gameObject.layer;
					hit2.transform.gameObject.layer = LayerMask.NameToLayer("Ignore Raycast");
					if (this.index < this.maxIndex)
					{
						if (hit2.transform.GetComponent<LimbBehaviour>() == null) ///Vector2.Angle(this.transform.position, hit.point) <= 30f
						{
							ReflectBeam(hit2);
						}
						else
						{
							PeneBeam(hit2);
						}
					}
					hit2.transform.gameObject.layer = oldlayer;
				}
			}

			private Vector2 PrevHit;
			private bool UsePrev;

			private void ReflectBeam(RaycastHit2D hit)
            {
				Vector2 ReflectHit; //Bloody conditional statements or whatever they're called didn't want to work
				if (this.UsePrev == false)
				{
					ReflectHit = (this.transform.lossyScale.x > 0f) ? this.transform.right : -this.transform.right; //These things
				}
                else
                {
					ReflectHit = this.PrevHit;
                }
				Vector2 thing = Vector2.Reflect(ReflectHit, hit.normal);
				RaycastHit2D hit2 = Physics2D.Raycast(hit.point, thing, 2500f, LayerMask.GetMask(new string[] { "Objects", "Bounds", "CollidingDebris" }));
				this.PrevHit = thing;
				this.UsePrev = true;
				PhysicalBehaviour phys0;
				if (hit2.transform != null)
				{
					this.index++;
					line.positionCount++;
					line.SetPosition(line.positionCount - 1, hit2.point);
					CreateThings(hit.point);
					if (hit2.collider.gameObject.TryGetComponent<PhysicalBehaviour>(out phys0))
					{
						PhysicalBehaviour phys1;
						ExplosionCreator.CreateFragmentationExplosion(30U, hit2.point, 0.07f * this.power, this.power / 6f, false, false, 0.02f * this.power);
						if (phys0.gameObject.GetComponent<LimbBehaviour>() && phys0.gameObject.GetComponent<LimbBehaviour>().SpeciesIdentity == "Human" && this.power > 10f)
						{
							ModAPI.CreateParticleEffect("BloodExplosion", hit2.point);
							phys0.Disintegrate();
						}
						else if (phys0.gameObject.GetComponent<LimbBehaviour>() && this.power > 10f)
						{
							GameObject BloodParticle = UnityEngine.Object.Instantiate<GameObject>(phys0.gameObject.GetComponent<LimbBehaviour>().Person.BloodExplosionPrefab, null);
							BloodParticle.transform.position = hit2.point;
							phys0.Disintegrate();
							///var main = BloodParticle.GetComponentInChildren<ParticleSystem>().main;
							///main.startColor = phys.gameObject.GetComponent<LimbBehaviour>().GetOriginalBloodType().Color;
						}
						var others2 = Physics2D.OverlapCircleAll(hit2.point, 0.2f * this.power);
						foreach (var other in others2)
						{
							if (other.gameObject.GetComponent<LimbBehaviour>())
							{
								other.gameObject.GetComponent<LimbBehaviour>().Damage((this.power > 2f) ? 20f : Mathf.Clamp(20f * this.power, 20f, 200f));
								other.GetComponent<LimbBehaviour>().Health -= (this.power > 2f) ? 0.2f : Mathf.Clamp(0.2f * this.power, 0.2f, 6f);
								other.gameObject.GetComponent<LimbBehaviour>().SkinMaterialHandler.ImpactDamage((this.power > 2f) ? 20f : Mathf.Clamp(20f * this.power, 20f, 200f), other.transform.position);
							}
						}
					}
					var oldlayer = hit2.transform.gameObject.layer;
					///hit2.transform.gameObject.layer = LayerMask.NameToLayer("Ignore Raycast");
					if (this.index < this.maxIndex)
					{
						if (hit2.transform.GetComponent<LimbBehaviour>()) ///Vector2.Angle(this.transform.position, hit.point) <= 30f
						{
							PeneBeam(hit2);
						}
						else
						{
							ReflectBeam(hit2);
						}
					}
					hit2.transform.gameObject.layer = oldlayer;
				}
			}

			private void UseContinuous()
			{
				this.rot = Mathf.Lerp(this.rot, 0.4f, Time.deltaTime / 12f);
				this.power += Time.deltaTime * 12f;
				this.timer = 2f;
			}

			private void OnWillRenderObject()
			{
				this.Mat.SetFloat("_Rotation", this.time);
			}
        }

		public class GluonGun : MonoBehaviour //Modfied Physics Gun.
        {
			private void Start()
			{
				this.LineRenderer.Initialise();
				this.LineRenderer.gameObject.SetActive(false);
				this.SetTarget(this.Target);
				this.AudioSource.volume = 12f;
				this.Rigid = this.gameObject.GetComponent<Rigidbody2D>();
			}

			private void FixedUpdate()
			{
				if (this.useHeat <= 0.5f && this.LineRenderer.gameObject.activeSelf)
				{
					this.StopRay();
					return;
				}
				this.useHeat -= 0.5f;
			}

			private void StopRay()
			{
				this.SetTarget(null);
				this.LineRenderer.gameObject.SetActive(false);
				this.AudioSource.Stop();
				this.AudioSource.PlayOneShot(this.EndSound);
				this.ran = false;
				this.useHeat = 0f;
			}

			private void Update()
			{
				this.time += Time.deltaTime;
				if (this.useHeat > 0.5f)
                {
					CameraShakeBehaviour.main.Shake(6.8f * this.useTimer, this.transform.position, 25f);
					this.LineRenderer.LineRenderer.material.SetTextureOffset("_MainTex", new Vector2(-this.time, 0f));
				}
                else
                {
					this.useTimer -= Time.deltaTime;
				}
				///this.Glow.color = new Color(0.36f, 0.96f, 0.98f, 0.76f * (this.useTimer * 2f));
			}

			private void OnDisable()
			{
				this.SetTarget(null);
				this.LineRenderer.gameObject.SetActive(false);
				this.AudioSource.Stop();
			}

			private void UseContinuous()
			{
				if (!base.enabled)
				{
					return;
				}
				if (this.useHeat >= 0.5f)
				{
					if (this.Target)
					{
						this.LineTarget.position = this.Target.transform.position;
					}
					this.LineRenderer.UpdateLine();
					this.QueryTarget();
					this.Update();
					if (!this.ran)
                    {
						this.AudioSource.Play();
						this.Rigid.AddForce((-base.transform.right * base.transform.localScale.x).normalized * 8f, ForceMode2D.Impulse);
						this.ran = true;
					}
					this.LineRenderer.gameObject.SetActive(true);
				}
				else if (this.useHeat < 0.5f)
                {
					this.Update();
					this.LineRenderer.UpdateLine();
					this.AudioSource.PlayOneShot(this.StartSound);
				}
				this.useHeat = 5f;
				this.useTimer += Time.deltaTime * 1.4f;
				this.useTimer = Mathf.Clamp(this.useTimer, 0f, 0.7f);
			}

			private void QueryTarget()
			{
				Vector3 normalized = (base.transform.right * base.transform.localScale.x).normalized;
				RaycastHit2D raycastHit2D = Physics2D.Raycast(this.LineStart.transform.position, normalized, this.MaxRange, this.LayersToHit);
				if (!raycastHit2D.transform)
				{
					this.LineTarget.position = this.LineStart.transform.position + normalized * this.MaxRange;
					return;
				}
				if (this.LayersToGrab.HasLayer(raycastHit2D.transform.gameObject.layer))
				{
					PhysicalBehaviour target;
					if (Global.main.PhysicalObjectsInWorldByTransform.TryGetValue(raycastHit2D.transform, out target) && target != this.gameObject.GetComponent<PhysicalBehaviour>())
					{
						this.SetTarget(target);
					}
					this.LineTarget.position = raycastHit2D.point;
				}
				else
				{
					this.LineTarget.position = raycastHit2D.point;
				}
			}

			private void SetTarget(PhysicalBehaviour p)
			{
				///this.Target = p;
				if (!p || p.colliders.Length == 0)
				{
					return;
				}
				AudioSource.PlayClipAtPoint(Mod.Fizzle, p.gameObject.transform.position, 2.5f);
				foreach (var Phys in p.transform.root.gameObject.GetComponentsInChildren<PhysicalBehaviour>())
                {
					Phys.StartCoroutine(Disintegrate(Phys.gameObject));
                }
			}

			private IEnumerator Disintegrate(GameObject obj)
			{
				///obj.GetComponent<SpriteRenderer>().color = new Color(0f, 0f, 0f, obj.GetComponent<SpriteRenderer>().color.a);
				var phys = obj.GetComponent<PhysicalBehaviour>();
				FreezeStackController.RequestUnfreeze(phys.rigidbody);
				obj.GetComponent<SpriteRenderer>().material = ModAPI.FindMaterial("Sprites-Default");
				phys.StartCoroutine(GluonGun.ColorFade(obj.GetComponent<SpriteRenderer>(), new Color(0f, 0f, 0f, 1f), 15f));
				if (obj.GetComponent<LimbBehaviour>() && obj.GetComponent<LimbBehaviour>().Person.gameObject.GetComponent<DeathAnimations>())
				{
					foreach (var particulate in obj.GetComponent<CirculationBehaviour>().BleedingParticles)
                    {
						particulate.SetActive(false);
                    }
					obj.GetComponent<LimbBehaviour>().Person.gameObject.GetComponent<DeathAnimations>().DisintegratePose();
				}
                else if (obj.GetComponent<LimbBehaviour>())
                {
					foreach (var particulate in obj.GetComponent<CirculationBehaviour>().BleedingParticles)
					{
						particulate.SetActive(false);
					}
					obj.GetComponent<LimbBehaviour>().Person.AddPain(500f);
				}
				foreach (var collider in obj.GetComponentsInChildren<Collider2D>())
				{
					collider.enabled = false;
				}
				obj.GetComponent<Rigidbody2D>().AddForce(UnityEngine.Random.insideUnitCircle * 0.1f, ForceMode2D.Impulse);
				obj.GetComponent<Rigidbody2D>().gravityScale = 0f;
				obj.GetComponent<Rigidbody2D>().drag = 0f;
				obj.GetComponent<Rigidbody2D>().angularVelocity += UnityEngine.Random.Range(-5f, 5f);
				phys.InitialGravityScale = 0f;
				phys.StartCoroutine(CreateParticles(obj));
				yield return new WaitForSeconds(1.5f);
				phys.StartCoroutine(GluonGun.ColorFade(obj.GetComponent<SpriteRenderer>(), new Color(0f, 0f, 0f, 0f), 10f));
				foreach (var parti in obj.GetComponentsInChildren<ParticleSystem>())
                {
					if (parti.transform != obj.transform)
                    {
						var em = parti.emission;
						em.rateOverTime = new ParticleSystem.MinMaxCurve(0f);
						parti.transform.parent = null;
					}
                }
				yield return new WaitForSeconds(0.5f);
				if (obj.GetComponent<CirculationBehaviour>())
                {
					obj.GetComponent<CirculationBehaviour>().ForceSetAllLiquid(0f);
				}
				phys.Disintegrate();
				yield return new WaitForEndOfFrame();
			}

			private IEnumerator CreateParticles(GameObject obj)
            {
				// Blue stuff //
				GameObject ParticleHolder = new GameObject();
				ParticleHolder.transform.SetParent(obj.transform);
				ParticleHolder.transform.position = obj.transform.position;
				ParticleHolder.transform.localScale = Vector2.one;
				ParticleSystem YellowStuff = ParticleHolder.AddComponent<ParticleSystem>();
				var main = YellowStuff.main;
				main.duration = 3f;
				main.loop = true;
				main.playOnAwake = true;
				main.flipRotation = 70f;
				main.startLifetime = 0.6f;
				main.startSize = new ParticleSystem.MinMaxCurve(0.07f);
				main.simulationSpace = ParticleSystemSimulationSpace.World;
				main.scalingMode = ParticleSystemScalingMode.Shape;
				main.gravityModifier = new ParticleSystem.MinMaxCurve(-0.2f);
				main.startSpeedMultiplier = 0.2f;
				var shape = YellowStuff.shape;
				shape.enabled = true;
				shape.spriteRenderer = obj.GetComponent<SpriteRenderer>();
				var em = YellowStuff.emission;
				em.enabled = true;
				em.rateOverTime = new ParticleSystem.MinMaxCurve(12f);
				em.rateOverDistance = 1f * Mathf.Sqrt(obj.GetComponent<SpriteRenderer>().bounds.extents.sqrMagnitude * 4f);
				var rot = YellowStuff.rotationOverLifetime;
				rot.enabled = true;
				rot.z = UnityEngine.Random.Range(-10f, 10f);
				var size = YellowStuff.sizeOverLifetime;
				size.enabled = true;
				size.size = new ParticleSystem.MinMaxCurve(1f, 0f);
				var rend = YellowStuff.GetComponent<ParticleSystemRenderer>();
				rend.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("VeryBright"));
				rend.material.mainTexture = Mod.Flake.texture;
				rend.material.SetColor("_GlowColour", new Color32(92, 245, 250, 60));
				rend.renderMode = ParticleSystemRenderMode.VerticalBillboard;
				// Ash //
				GameObject ParticleHolder2 = new GameObject();
				ParticleHolder2.transform.SetParent(obj.transform);
				ParticleHolder2.transform.position = obj.transform.position;
				ParticleHolder2.transform.localScale = Vector2.one;
				ParticleSystem Ash = ParticleHolder2.AddComponent<ParticleSystem>();
				var main2 = Ash.main;
				main2.duration = 2f;
				main2.loop = true;
				main2.playOnAwake = true;
				main2.flipRotation = 70f;
				main2.startLifetime = 1f;
				main2.startSize = new ParticleSystem.MinMaxCurve(0.04f);
				main2.simulationSpace = ParticleSystemSimulationSpace.World;
				main2.gravityModifier = new ParticleSystem.MinMaxCurve(0.25f);
				main2.scalingMode = ParticleSystemScalingMode.Shape;
				main2.startSpeedMultiplier = 0.1f;
				var shape2 = Ash.shape;
				shape2.enabled = true;
				shape2.spriteRenderer = obj.GetComponent<SpriteRenderer>();
				var em2 = Ash.emission;
				em2.enabled = true;
				em2.rateOverTime = new ParticleSystem.MinMaxCurve(24f);
				em2.rateOverDistance = 1f * Mathf.Sqrt(obj.GetComponent<SpriteRenderer>().bounds.extents.sqrMagnitude * 4f);
				var rot2 = Ash.rotationOverLifetime;
				rot2.enabled = true;
				rot2.z = UnityEngine.Random.Range(-5f, 5f);
				var col2 = Ash.colorOverLifetime;
				col2.enabled = true;
				col2.color = new ParticleSystem.MinMaxGradient(new Color(0f, 0f, 0f, 1f), new Color(0f, 0f, 0f, 0f));
				var rend2 = Ash.GetComponent<ParticleSystemRenderer>();
				rend2.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("Sprites-Default"));
				rend2.material.mainTexture = Mod.Ash.texture;
				rend2.renderMode = ParticleSystemRenderMode.VerticalBillboard;
				yield return new WaitForEndOfFrame();
			}

			private static IEnumerator ColorFade(SpriteRenderer render, Color FinalColor, float Delta)
			{
				while (render.gameObject.activeInHierarchy && render.color != FinalColor)
				{
					render.color = Color.Lerp(render.color, FinalColor, Time.deltaTime * Delta);
					yield return new WaitForEndOfFrame();
				}
				yield return new WaitForEndOfFrame();
			}

			public AudioSource AudioSource;
			public AudioClip StartSound;
			public AudioClip EndSound;
			public AudioClip StartUp;
			public SmoothLineControllerBehaviour LineRenderer;
			public SpriteRenderer Glow;
			public Transform LineStart;
			public Transform LineTarget;
			public LayerMask LayersToHit;
			public LayerMask LayersToGrab;
			public float MaxRange;
			public PhysicalBehaviour Target;
			private Rigidbody2D Rigid;
			private float useHeat;
			private float useTimer;
			private bool ran;
			private float time;
        }

		public class MedigunBehaviour : MonoBehaviour //Wow, it's a modified Physics gun! Who would of thought?
        {
			private bool Using;
			private bool Ubered;

			private void Start()
			{
				this.LineRenderer.Initialise();
				this.LineRenderer.gameObject.SetActive(false);
				this.SetTarget(this.Target);
			}

			private void StopRay()
			{
				LimbBehaviour Limb;
				if (this.Target && this.Target.gameObject.TryGetComponent<LimbBehaviour>(out Limb))
				{
					foreach (var Lime in Limb.Person.Limbs) //hhh
					{
						if (Lime.transform.Find("HealParticles"))
						{
							Lime.transform.Find("HealParticles").GetComponent<ParticleSystem>().Stop();
							Debug.Log("Stop");
						}
					}
					if (this.Ubered)
                    {
						Limb.StartCoroutine(UberOff(Limb));
						this.Ubered = false;
                    }
				}
				this.SetTarget(null);
				this.LineRenderer.gameObject.SetActive(false);
				this.AudioSource.Stop();
				this.AudioSource.PlayOneShot(this.EndSound, 2f);
			}

			private void FixedUpdate()
            {
				if (this.Using)
				{
					if (!this.Target)
                    {
						this.QueryTarget();
						this.Ubered = false;
					}
					this.LineRenderer.UpdateLine();
				}
			}

			private void Update()
			{
				LimbBehaviour Limb;
				if (this.Target)
				{
					this.LineTarget.position = this.Target.transform.position;
					if (this.Target.isDisintegrated)
					{
						this.SetTarget(null);
						return;
					}
					if (Vector3.Distance(this.transform.position, this.Target.transform.position) > this.MaxRange)
                    {
						this.StopRay();
						return;
                    }
					if (this.Target.gameObject.TryGetComponent<LimbBehaviour>(out Limb))
					{
						foreach (var Lime in Limb.Person.Limbs) //hhh
                        {
							if (Lime.transform.Find("HealParticles") && !Lime.transform.Find("HealParticles").GetComponent<ParticleSystem>().isPlaying)
                            {
								Lime.transform.Find("HealParticles").GetComponent<ParticleSystem>().Play();
							}
                            else if (Lime.transform.Find("HealParticles") == null)
                            {
								Lime.StartCoroutine(this.CreateParticles(Lime.gameObject));
                            }
							Lime.HealBone();
							Lime.CirculationBehaviour.HealBleeding();
							Lime.SkinMaterialHandler.AcidProgress *= 0.25f;
							Lime.SkinMaterialHandler.RottenProgress = 0f;
							Lime.PhysicalBehaviour.BurnProgress *= 0.8f;
							if (Lime.RoughClassification == LimbBehaviour.BodyPart.Head)
							{
								Lime.Person.ShockLevel = 0f;
								Lime.Person.PainLevel = 0f;
								Lime.Person.AdrenalineLevel = 1f;
								Lime.Person.Consciousness += 0.5f;
							}
							if (Lime.Health == Lime.InitialHealth && Lime.CirculationBehaviour.TotalLiquidAmount >= 1f)
							{
								continue;
							}
							var Life = Lime.gameObject.GetOrAddComponent<LifePoison>() as PoisonSpreadBehaviour;
							Life.Limb = Lime;
							Lime.Health = Lime.InitialHealth;
							Lime.Numbness *= 0f;
							Lime.CirculationBehaviour.IsPump = Lime.CirculationBehaviour.WasInitiallyPumping;
							Lime.CirculationBehaviour.BloodFlow = 5f;
							Lime.CirculationBehaviour.AddLiquid(Lime.GetOriginalBloodType(), 5f);
							Lime.Frozen = false;
						}
					}
				}
			}

			private void OnDisable()
			{
				this.SetTarget(null);
				this.StopRay();
				this.AudioSource.Stop();
			}

			private IEnumerator CreateParticles(GameObject obj)
			{
				// Healing Particles //
				GameObject ParticleHolder = new GameObject("HealParticles");
				ParticleHolder.transform.SetParent(obj.transform);
				ParticleHolder.transform.position = obj.transform.position;
				ParticleHolder.transform.localScale = Vector2.one;
				ParticleSystem YellowStuff = ParticleHolder.AddComponent<ParticleSystem>();
				var main = YellowStuff.main;
				main.duration = 2f;
				main.startLifetime = 0.6f;
				main.loop = true;
				main.playOnAwake = false;
				main.maxParticles = 4;
				main.startSize = new ParticleSystem.MinMaxCurve(0.16f);
				main.simulationSpace = ParticleSystemSimulationSpace.World;
				main.scalingMode = ParticleSystemScalingMode.Shape;
				main.gravityModifier = new ParticleSystem.MinMaxCurve(-0.07f);
				main.startSpeedMultiplier = 0.2f;
				var em = YellowStuff.emission;
				em.enabled = true;
				em.rateOverTime = 2f;
				var shape = YellowStuff.shape;
				shape.enabled = true;
				shape.spriteRenderer = obj.GetComponent<SpriteRenderer>();
				var size = YellowStuff.sizeOverLifetime;
				size.enabled = true;
				size.size = new ParticleSystem.MinMaxCurve(1f, 0f);
				var col2 = YellowStuff.colorOverLifetime;
				col2.enabled = true;
				col2.color = new ParticleSystem.MinMaxGradient(new Color(1f, 1f, 1f, 1f), new Color(1f, 1f, 1f, 0f));
				var rend = YellowStuff.GetComponent<ParticleSystemRenderer>();
				rend.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("Sprites-Default"));
				rend.material.mainTexture = Mod.HealthPlus.texture;
				rend.renderMode = ParticleSystemRenderMode.VerticalBillboard;
				yield return new WaitForEndOfFrame();
			}

			private Material TestMat;

			private void Uber()
            {
				if (this.Target.gameObject.GetComponent<LimbBehaviour>() == null)
                {
					return;
                }
				var Lime = this.Target.gameObject.GetComponent<LimbBehaviour>().Person.Limbs;
				foreach (var limb in Lime)
                {
					limb.SkinMaterialHandler.enabled = false;
					this.TestMat = limb.SkinMaterialHandler.renderer.material;
					limb.SkinMaterialHandler.renderer.material = Mod.UberMat;
					limb.ImpactPainMultiplier = 0f;
					limb.Numbness = 5f;
					limb.BreakingThreshold += 50000f;
					limb.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bulletproof");
                }
            }

			private IEnumerator UberOff(LimbBehaviour Lime)
			{
				Debug.Log("Off");
				foreach (var limb in Lime.Person.Limbs)
				{
					limb.SkinMaterialHandler.enabled = true;
					limb.PhysicalBehaviour.Properties = (limb.SpeciesIdentity != "Android") ? ModAPI.FindPhysicalProperties(limb.SpeciesIdentity) : ModAPI.FindPhysicalProperties("AndroidArmour");
					limb.SkinMaterialHandler.renderer.material = this.TestMat;
					limb.ImpactPainMultiplier = 1f;
					limb.Numbness = 0f;
					limb.BreakingThreshold -= 50000f;
				}
				yield return new WaitForEndOfFrame();
			}

			private void Use(ActivationPropagation chan) //ActivationPropagation-chan is best
			{
				if (chan.Channel == 0U) 
				{
					this.Using = !this.Using;
					if (this.Using)
					{
						this.QueryTarget();
						this.LineRenderer.gameObject.SetActive(true);
						this.LineRenderer.UpdateLine();
						this.AudioSource.PlayOneShot(this.StartSound, 2f);
					}
					else
					{
						this.StopRay();
					}
					return;
				}
				if (this.Target && this.Target.gameObject.GetComponent<LimbBehaviour>() && !this.Ubered)
                {
					Uber();
					this.Ubered = true;
					Debug.Log("On");
                }
				else if (this.Target && this.Target.gameObject.GetComponent<LimbBehaviour>())
                {
					this.Target.gameObject.GetComponent<LimbBehaviour>().StartCoroutine(UberOff(this.Target.gameObject.GetComponent<LimbBehaviour>()));
					this.Ubered = false;
				}
            }

			private void QueryTarget()
			{
				Vector3 normalized = (base.transform.right * base.transform.localScale.x).normalized;
				RaycastHit2D raycastHit2D = Physics2D.Raycast(this.LineStart.transform.position, normalized, this.MaxRange, this.LayersToHit);
				if (!raycastHit2D.transform)
				{
					//this.LineTarget.position = this.LineStart.transform.position + normalized * this.MaxRange;
					this.LineRenderer.gameObject.SetActive(false);
					return;
				}
				if (this.LayersToGrab.HasLayer(raycastHit2D.transform.gameObject.layer))
				{
					PhysicalBehaviour target;
					if (Global.main.PhysicalObjectsInWorldByTransform.TryGetValue(raycastHit2D.transform, out target) && target.gameObject.GetComponent<LimbBehaviour>())
					{
						this.SetTarget(target);
						this.LineRenderer.gameObject.SetActive(true);
						return;
					}
                    else
                    {
						//this.LineTarget.position = raycastHit2D.point;
						this.LineRenderer.gameObject.SetActive(false);
					}
				}
				else
				{
					//this.LineTarget.position = raycastHit2D.point;
					this.LineRenderer.gameObject.SetActive(false);
				}
			}

			private void SetTarget(PhysicalBehaviour p)
			{
				this.Target = p;
				if (!p)
				{
					return;
				}
				this.LineTarget.position = p.transform.position;
			}

			public AudioSource AudioSource;
			public AudioClip StartSound;
			public AudioClip EndSound;
			public SmoothLineControllerBehaviour LineRenderer;
			public Transform LineStart;
			public Transform LineTarget;
			public LayerMask LayersToHit;
			public LayerMask LayersToGrab;
			public float MaxRange;
			public PhysicalBehaviour Target;
			private float useHeat;
		}

		public abstract class Gas : MonoBehaviour
        {
			public LimbBehaviour Limb;
			public OxygenBlower Blower;
			private void Awake()
            {
				this.gameObject.TryGetComponent<LimbBehaviour>(out this.Limb);
				this.gameObject.TryGetComponent<OxygenBlower>(out this.Blower);
				if (this.Limb)
                {
					Effect();
					return;
				}
				if (this.Blower)
				{
					BlowerEffect();
					return;
				}
			}

			public abstract void Effect();
			public abstract void BlowerEffect();
		}

		public abstract class AirTankBehaviour : MonoBehaviour
        {
			public float OxygenAmount = 1000f;
			public int BulletWithstandAmount = 4;
			private int BulletShotAmount = 0;

			public float ProperAmount()
            {
				return this.OxygenAmount / 1000f;
            }

			public abstract Type GasType();

			public virtual void Shot(Shot Shot)
            {
				this.BulletShotAmount++;
				if (this.BulletShotAmount == this.BulletWithstandAmount)
                {
					Explode();
                }
            }

			public virtual void Explode(bool CreateNewObject = true)
            {
				if (CreateNewObject == false)
                {
					this.gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
					ExplosionCreator.CreateFragmentationExplosion(65U, this.transform.position, 3f, 6f, true, true, 0.1f);
					ModAPI.CreateParticleEffect("RedBarrelExplosion", this.transform.position);
					return;
                }
				this.gameObject.GetComponent<SpriteRenderer>().sprite = Mod.OxygenTankDestroyed;
				this.gameObject.FixColliders();
				this.OxygenAmount = 0f;
				ExplosionCreator.CreateFragmentationExplosion(40U, this.transform.position, 1.3f, 2f, true, false, 0.05f);
            }
        }

		public class OxygenTankBehaviour : AirTankBehaviour
		{
			public override Type GasType()
			{
				return typeof(Oxygen);
			}

			public class Oxygen : Gas
			{
				public override void Effect()
				{
					this.Limb.Person.OxygenLevel = Mathf.Lerp(this.Limb.Person.OxygenLevel, 1f, Time.deltaTime / 1.5f);
					this.Limb.Person.Limbs[0].PhysicalBehaviour.Wetness = 0f;
				}

				public override void BlowerEffect()
				{
					//None
				}
			}
		}

		public class HeliumTankBehaviour : AirTankBehaviour
		{
			public override Type GasType()
			{
				return typeof(Helium);
			}

			public override void Shot(Shot Shot)
			{
			}

			public class Helium : Gas
			{
				public override void Effect()
				{
					foreach (var limb in Limb.Person.Limbs)
                    {
						if (limb.RoughClassification == LimbBehaviour.BodyPart.Torso || limb.gameObject.name.Contains("Upper"))
						{
							float num = (limb.gameObject.name.Contains("Upper")) ? 1.5f : 2f;
							limb.gameObject.transform.localScale = Vector2.LerpUnclamped(limb.gameObject.transform.localScale, new Vector2(num, num), Time.deltaTime / 6f);
						}
						limb.PhysicalBehaviour.rigidbody.gravityScale -= Time.deltaTime / 6;
						limb.PhysicalBehaviour.rigidbody.gravityScale = Mathf.Clamp(limb.PhysicalBehaviour.rigidbody.gravityScale, -0.7f, float.MaxValue);
					}
				}

				public override void BlowerEffect()
				{
					//None
				}
			}
		}

		public class DeadlyGasTankBehaviour : AirTankBehaviour
		{
			private ExplosiveBehaviour explosive;
			public override Type GasType()
			{
				return typeof(Death);
			}
			private void Awake()
            {
				this.explosive = this.gameObject.AddComponent<ExplosiveBehaviour>();
				this.explosive.ShotExplodeChance = 0f;
				this.explosive.Range = 0f;
				this.explosive.ExplodesOnFragmentHit = true;
				this.explosive.ShockwaveStrength = 0f;
				this.explosive.ShockwaveLiftForce = 0f;
				GameObject Safe = new GameObject();
				Safe.SetActive(false);
				this.explosive.VFXOverride = UnityEngine.Object.Instantiate<GameObject>(Resources.Load<GameObject>("Prefabs/Explosion"), Safe.transform);
				var main = this.explosive.VFXOverride.GetComponentInChildren<ParticleSystem>().main;
				main.startColor = new ParticleSystem.MinMaxGradient(new Color(0.4f, 0.05f, 0.4f, 1f), new Color(0.2f, 0.025f, 0.2f, 1f));
			}
			public override void Explode(bool h)
			{
				this.OxygenAmount = 0f;
				var Hit = Physics2D.OverlapCircleAll(this.transform.position, 4f, LayerMask.GetMask(new string[] { "Objects" }));
				foreach (Collider2D col in Hit)
                {
					if (col.gameObject.GetComponent<LimbBehaviour>())
                    {
						col.gameObject.AddComponent<PermaDeath>();
                    }
                }
				this.explosive.ForceImmediateExplosion();
			}

			public class Death : Gas
			{
				public override void Effect()
				{
					Limb.Person.AddPain(0.2f);
					foreach (var limb in Limb.Person.Limbs)
					{
						limb.Health = Mathf.Lerp(limb.Health, 0f, Time.deltaTime / 10);
						if (limb.HasBrain)
						{
							limb.CirculationBehaviour.BleedingRate += Time.deltaTime / 6;
							if (limb.CirculationBehaviour.BleedingPointCount < (byte)2)
							{
								limb.CirculationBehaviour.CreateBleedingParticle(limb.transform.position + new Vector3(0.05f, -0.05f) * UnityEngine.Random.Range(0.97f, 1.02f), UnityEngine.Random.insideUnitCircle * UnityEngine.Random.Range(-0.4f, 0.4f));
							}
						}
					}
				}

				public override void BlowerEffect()
				{
					//None
				}
			}

			public class PermaDeath : MonoBehaviour
			{
				private LimbBehaviour Limb;
				private AudioSource aud;

				private void Start()
                {
					this.Limb = this.gameObject.GetComponent<LimbBehaviour>();
					this.aud = this.gameObject.AddComponent<AudioSource>();
					this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
                }

				public void Dispose()
                {
					GameObject.Destroy(this);
                }

				private void Update()
				{
					if (this.Limb.gameObject.GetComponent(typeof(LifePoison)) || this.Limb.Person.AverageHealth < 0.05f || this.Limb.Person.Limbs[0].Health < 0.05f)
                    {
						Dispose();
						return;
                    }

					if (UnityEngine.Random.value < 0.0001f)
                    {
						this.aud.PlayOneShot(Mod.Coughs.PickRandom<AudioClip>(), 2f);
						foreach (var limb in Limb.Person.Limbs)
						{
							if (limb.HasBrain)
							{
								limb.Health -= 10f;
								limb.CirculationBehaviour.BleedingRate += 0.06f;
								if (limb.CirculationBehaviour.BleedingPointCount < (byte)4)
								{
									limb.CirculationBehaviour.CreateBleedingParticle(limb.transform.position + new Vector3(0.1f, -0.1f) * UnityEngine.Random.Range(0.97f, 1.02f), new Vector2(1f, 0f));
								}
							}
						}
						return;
					}
				}
			}
		}

		public class PropaneTankBehaviour : AirTankBehaviour
        {
			public GameObject ThrusterParticles;
			public AudioSource Aud;
			private Vector2 ShotPoint;
			private Dictionary<GameObject, Vector2> ShotNormal = new Dictionary<GameObject, Vector2>();
			private bool going;
			private float i = 0f;
			private PhysicalBehaviour PhysicalBehaviour;
			private int bulletCount = 0;

			public override Type GasType()
			{
				return typeof(Propane);
			}

			private void Start()
            {
				this.Aud = this.gameObject.AddComponent<AudioSource>();
				this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
				this.Aud.clip = Mod.PropaneGo;
				this.PhysicalBehaviour = this.gameObject.GetComponent<PhysicalBehaviour>();
			}

			private void CreateThruster()
            {
				this.ThrusterParticles = GameObject.Instantiate<GameObject>(ModAPI.FindSpawnable("Mini Thruster").Prefab, this.transform);
				this.ThrusterParticles.GetComponent<SpriteRenderer>().enabled = false;
				GameObject.Destroy(this.ThrusterParticles.GetComponent<Rigidbody2D>());
				this.ThrusterParticles.GetComponent<Collider2D>().enabled = false;
				this.ThrusterParticles.GetComponent<PhysicalBehaviour>().enabled = false;
				this.ThrusterParticles.GetComponent<ThrusterbedBehaviour>().enabled = false;
				this.ThrusterParticles.transform.localPosition = Vector2.zero;
				ParticleSystem.MainModule main = this.ThrusterParticles.GetComponent<ParticleSystem>().main;
				main.startSpeedMultiplier = 3f * UnityEngine.Random.Range(5f, 12f);
				main.startColor = 4f * new Color(0.6f, 0.05f, 0f);
				var noise = this.ThrusterParticles.GetComponent<ParticleSystem>().noise;
				noise.strengthMultiplier = 6f;
				this.ThrusterParticles.GetComponent<ParticleSystem>().Stop(false);
			}

            public override void Shot(Shot Shot)
			{
				//Do propane launch off and explode thing
				this.bulletCount++;
				this.ShotPoint = Shot.point;
				CreateThruster();
				this.ThrusterParticles.transform.position = this.ShotPoint;
				this.ThrusterParticles.transform.rotation = Quaternion.FromToRotation(Vector2.up, Shot.normal);
				this.ThrusterParticles.transform.rotation = Quaternion.Euler(0f, 0f, this.ThrusterParticles.transform.eulerAngles.z - 90f);
				var newObject = new GameObject("Test");
				newObject.transform.SetParent(this.transform);
				newObject.transform.position = this.ShotPoint;
				newObject.transform.rotation = Quaternion.FromToRotation(Vector2.up, Shot.normal);
				newObject.transform.rotation = Quaternion.Euler(0f, 0f, this.ThrusterParticles.transform.eulerAngles.z + 90f);
				this.ShotNormal.Add(newObject, Shot.normal);
				this.ThrusterParticles.GetComponent<ParticleSystem>().Play(false);
				this.Aud.Play();
				this.going = true;
				StartCoroutine(ShootOff(this.ThrusterParticles));
			}

			private void Update()
            {
				if (this.PhysicalBehaviour.Temperature >= 100f || this.PhysicalBehaviour.Charge > 150f)
                {
					base.Explode(false);
                }
            }

			public void OnFragmentHit()
            {
				base.Explode(false);
            }

			private IEnumerator ShootOff(GameObject it)
            {
				while (this.going)
                {
					this.gameObject.GetComponent<Rigidbody2D>().AddForce((-it.transform.right * -18f) * (Time.deltaTime * 125f), ForceMode2D.Force);
					this.gameObject.GetComponent<Rigidbody2D>().AddForceAtPosition((-it.transform.right * -10f) * (Time.deltaTime * 125f), it.transform.position, ForceMode2D.Force);
					this.i += Time.deltaTime / this.bulletCount;
					if (this.i >= 5.5f)
                    {
						this.going = false;
						this.ThrusterParticles.GetComponent<ParticleSystem>().Stop(false);
						this.Aud.Stop();
						base.Explode(false);
                    }
					yield return new WaitForEndOfFrame();
				}
				yield return new WaitForEndOfFrame();
            }

            public class Propane : Gas
			{
				public override void Effect()
				{
					this.Limb.Person.AddPain(0.05f);
					Limb.Person.OxygenLevel = Mathf.Lerp(Limb.Person.OxygenLevel, 0f, Time.deltaTime / 17f);
				}

				public override void BlowerEffect()
				{
					//None (Yet)
				}
			}
		}

		public class OxygenBlower : MonoBehaviour
        {
        }

		public class HelpMeOhGod : MonoBehaviour {}

		public static class FavouriteMenu
        {
			public static HideInOtherCategories Hider;
			public static void CreateNewCategoryButActuallyBetter()
            {
				/*if (File.Exists(Mod.Path + "/Favourites.txt"))
				{
					var Filey = File.ReadAllText(Mod.Path + "/Favourites.txt");
					string[] array = Filey.TrimEnd().Split();
					foreach (string hh in array)
                    {
						Debug.Log(hh);
                    }
					Mod.SavedFavourites = array;
				}*/

				if (ModAPI.FindCategory("Favourites") == null)
                {
					var Category = ScriptableObject.CreateInstance<Category>();
					Category.name = "Favourites";
					///Category.Icon = Mod.FavouriteItem;
					Category.Description = "Category for your favourite items.";

					var thing = CatalogBehaviour.Main.Catalog.Categories.ToList<Category>();
					thing.Insert(8, Category);
					CatalogBehaviour.Main.Catalog.Categories = thing.ToArray<Category>();
				}

				//Funny hhh
				GameObject obj = new GameObject("favourite");
				obj.transform.SetParent(CatalogBehaviour.Main.ItemButtonPrefab.transform);
				var item = obj.AddComponent<FavouritableItem>();
				var button = obj.AddComponent<Button>();
				button.image = obj.AddComponent<Image>();
				///button.image.sprite = Mod.HollowStar;
				var rect = obj.GetOrAddComponent<RectTransform>();
				rect.anchoredPosition = new Vector2(-45f, 45f);
				obj.transform.localScale = new Vector2(0.4f, 0.4f);
				rect.position = new Vector2(0f, 0f); //I think I tried for like 10 minutes trying to get it to move.
				obj.transform.localPosition = new Vector2(0f, 0f);
				UISoundBehaviour.Refresh();
			}

			public class FavouritableItem : MonoBehaviour //SERIALIZE THINGS SO FAVOURITES ARE CARRIED THROUGH GAMES!
            {
				private bool Favourited;
				private GameObject Item;
				private GameObject ItemClone;
				public HideInOtherCategories Hider;

				private void Start()
                {
					this.Item = this.transform.parent.gameObject;
					if (this.Item.GetComponentInChildren<ItemButtonBehaviour>().Local != null && this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item == null)
                    {
						GameObject.Destroy(this.Item.transform.Find("favourite").gameObject);
						return;
                    }
					var thingy = Camera.main.gameObject.GetOrAddComponent<HelpMeOhGod>();
					this.Hider = new HideInOtherCategories();
					thingy.StartCoroutine(this.Hider.Hide());
					this.gameObject.GetComponent<Button>().onClick.AddListener(this.OnClick);
					this.stats = UnityEngine.Object.FindObjectOfType<ToyStatusView>();
					if (Mod.SavedFavourites.Contains(this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item.name.GetHashCode().ToString()))
                    {
						OnClick();
                    }
				}

				public void OnClick()
				{
					///Debug.Log(Favourited.ToString() + " Clicked!");
					Favourited = !Favourited;
					if (Favourited)
                    {
						///this.gameObject.GetComponent<Image>().sprite = Mod.Star;
						CreateFalseItem();
					}
                    else
                    {
						///this.gameObject.GetComponent<Image>().sprite = Mod.HollowStar;
						HideFalseItem();
					}
				}

				private void CreateFalseItem()
                {
					if (!this.ItemClone)
					{
						this.ItemClone = UnityEngine.Object.Instantiate<GameObject>(CatalogBehaviour.Main.ItemButtonPrefab, CatalogBehaviour.Main.ItemContainer);
						GameObject.Destroy(this.ItemClone.transform.Find("favourite").gameObject);
						var Spawnable = UnityEngine.Object.Instantiate<SpawnableAsset>(this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item);
						Spawnable.Category = ModAPI.FindCategory("Favourites");
						Spawnable.name = this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item.name;
						this.ItemClone.GetComponentInChildren<ItemButtonBehaviour>().Item = Spawnable;
						this.ItemClone.GetComponentInChildren<ItemButtonBehaviour>().CatalogBehaviour = CatalogBehaviour.Main;
						this.ItemClone.GetOrAddComponent<Button>().onClick.AddListener(SetItem);
						HasTooltipBehaviour[] componentsInChildren = this.ItemClone.GetComponentInChildren<ItemButtonBehaviour>().GetComponentsInChildren<HasTooltipBehaviour>();
						for (int k = 0; k < componentsInChildren.Length; k++)
						{
							componentsInChildren[k].TooltipText = CatalogBehaviour.Main.TooltipText;
						}
						this.ItemClone.GetComponentInChildren<TextMeshProUGUI>().text = this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item.name;
						UISoundBehaviour.Refresh();
						this.Hider.ItemClone.Add(this.ItemClone);
						Mod.AllFavourites.Add(this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item);
						this.ItemClone.SetActive(true);
						if (this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item.Category != CatalogBehaviour.Main.SelectedCategory)
                        {
							this.Item.SetActive(false);
						}
						return;
					}
					this.Hider.ItemClone.Add(this.ItemClone);
					this.ItemClone.SetActive(true);
				}

				private ToyStatusView stats;
				public void SetItem()
                {
					CatalogBehaviour.Main.SelectedItem = this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item;
					CatalogBehaviour.Main.SelectedContraption = null;
					stats.Image.sprite = CatalogBehaviour.Main.SelectedItem.ViewSprite;
				}

				private void HideFalseItem()
				{
					if (this.ItemClone)
                    {
						this.Hider.ItemClone.Remove(this.ItemClone);
						Mod.AllFavourites.Remove(this.Item.GetComponentInChildren<ItemButtonBehaviour>().Item);
						this.ItemClone.SetActive(false);
					}
				}
			}
        }

		public class HideInOtherCategories
		{
			public bool Disable;
			public bool stopped = true;
			public List<GameObject> ItemClone = new List<GameObject>();

			public IEnumerator Hide()
			{
				while (true)
				{
					if (Disable)
					{
						continue;
					}

					if (CatalogBehaviour.Main.SelectedCategory != ModAPI.FindCategory("Favourites"))
					{
						foreach (var thing in this.ItemClone)
						{
							thing.SetActive(false);
						}
					}
					else
					{
						foreach (var thing in this.ItemClone)
						{
							thing.SetActive(true);
						}
					}
					yield return new WaitForEndOfFrame();
				}
			}
		}

		public class GrossFavouriteWriter : MonoBehaviour
        {
			float time = Time.fixedTime + 5f;

			private void Start()
            {
				for (int i = 0; i < CatalogBehaviour.Main.ItemContainer.childCount; i++)
                {
					var item = CatalogBehaviour.Main.ItemContainer.GetChild(i).gameObject;
					if (item.GetComponentInChildren<ItemButtonBehaviour>().Item == null)
                    {
						continue;
                    }
					if (Mod.SavedFavourites.Contains(item.GetComponentInChildren<ItemButtonBehaviour>().Item.name.GetHashCode().ToString()))
					{
						item.SetActive(true);
					}
				}
            }
			private void FixedUpdateUnused()
			{
				if (Time.fixedTime >= time)
                {
					string it = "";
					foreach (var spawny in Mod.AllFavourites)
					{
						it += (spawny.name.GetHashCode().ToString() + " ");
						//Debug.Log(spawny.name);
					}
					///File.WriteAllText(Mod.Path + "/Favourites.txt", it);
					time = Time.fixedTime + 5f;
				}
			}
		}

		public class AdvancedElementBehaviour : MonoBehaviour //Same as HeatingElementBehaviour but slightly modified
		{
			private void Awake()
            {
				this.ActivationLight = this.gameObject.GetComponent<HeatingElementBehaviour>().ActivationLight;
				this.DamagableMachineryBehaviour = this.gameObject.GetComponent<HeatingElementBehaviour>().DamagableMachineryBehaviour;
				this.PhysicalBehaviour = this.gameObject.GetComponent<HeatingElementBehaviour>().PhysicalBehaviour;
				this.Color = this.gameObject.GetComponent<HeatingElementBehaviour>().Color;
				this.HeatColor = this.gameObject.GetComponent<HeatingElementBehaviour>().Color;
				this.ChillColor = ModAPI.FindSpawnable("Cooling Element").Prefab.GetComponent<HeatingElementBehaviour>().Color;
				this.Glow = this.gameObject.GetComponent<HeatingElementBehaviour>().Glow;
				GameObject.Destroy(this.gameObject.GetComponent<HeatingElementBehaviour>());
			}

			private void Start()
			{
				this.PhysicalBehaviour.ContextMenuOptions.Buttons.Add(new ContextMenuButton("AllElementThingy2", "Set target temperature", "Set target temperature", new UnityAction[]
				{
			delegate()
			{
				Utils.OpenFloatInputDialog<AdvancedElementBehaviour>(this.TargetTemperature, this, delegate(AdvancedElementBehaviour h, float f)
				{
					h.TargetTemperature = Mathf.Clamp(f, this.AllowedTemperatureRange.x, this.AllowedTemperatureRange.y);
					if (f < 0f)
                    {
						this.ActiveCooling = true;
						this.Color = this.ChillColor;
                    }
                    else
                    {
						this.ActiveCooling = false;
						this.Color = this.HeatColor;
                    }
				}, "Set target temperature", string.Format("Target temperature in Celcius ({0} to {1})", this.AllowedTemperatureRange.x, this.AllowedTemperatureRange.y));
			}
				}));
				this.ActivationLight.enabled = this.Activated;
			}

			private void Use()
			{
				if (!this.DamagableMachineryBehaviour.Destroyed)
				{
					this.Activated = !this.Activated;
					this.ActivationLight.enabled = this.Activated;
				}
			}

			private void Update()
			{
				if (this.Activated && !this.DamagableMachineryBehaviour.Destroyed)
				{
					bool flag = this.ActiveCooling ^ this.PhysicalBehaviour.Temperature <= this.TargetTemperature;
					if (flag)
                    {
						this.PhysicalBehaviour.Temperature = Mathf.Lerp(this.PhysicalBehaviour.Temperature, this.TargetTemperature, this.HeatTargetSpeed);
					}
					var cast = Physics2D.OverlapCircleAll(this.transform.position, 10f, LayerMask.GetMask(new string[] { "Objects", "CollidingDebris" })); //Should use NonAlloc.
					foreach (var col in cast)
					{
						if (col.gameObject.GetComponent<PhysicalBehaviour>() && this.gameObject != null)
						{
							col.gameObject.GetComponent<PhysicalBehaviour>().Temperature = Mathf.Lerp(col.gameObject.GetComponent<PhysicalBehaviour>().Temperature, this.TargetTemperature, this.HeatTargetSpeed);
							if (col.gameObject.GetComponent<LimbBehaviour>() && this.TargetTemperature < -75f)
                            {
								col.gameObject.GetOrAddComponent<AntiRotHandler>().step = 10f;
                            }
						}
					}
				}
			}

			private void OnWillRenderObject()
			{
				float value = Mathf.Clamp(this.PhysicalBehaviour.Temperature, (this.ActiveCooling) ? -273f : 0f, (this.ActiveCooling) ? 0f : 1000f);
				float num = Mathf.Clamp01(Utils.MapRange((this.ActiveCooling)? -273f : 0f, (this.ActiveCooling) ? 0f : 1000f, 0f, 1f, value));
				if (this.ActiveCooling)
				{
					num = 1f - num;
				}
				this.Glow.color = Color.Lerp(Color.clear, this.Color, num * num);
			}

			public class AntiRotHandler : MonoBehaviour
            {
				public float step = 10f;

				public void Awake()
                {
					this.gameObject.GetComponent<LimbBehaviour>().SkinMaterialHandler.ShouldRot = false;
				}

				public void Update()
                {
					step -= Time.deltaTime * 10f;
					if (step <= 0f)
                    {
						this.gameObject.GetComponent<LimbBehaviour>().SkinMaterialHandler.ShouldRot = true;
						GameObject.Destroy(this);
						return;
                    }
                }
            }

			public SpriteRenderer ActivationLight;
			public DamagableMachineryBehaviour DamagableMachineryBehaviour;
			public PhysicalBehaviour PhysicalBehaviour;
			public Color Color;
			public Color HeatColor;
			public Color ChillColor;
			public SpriteRenderer Glow;
			public Vector2 AllowedTemperatureRange = new Vector2(-float.MaxValue, float.MaxValue);
			public float HeatTargetSpeed = float.MaxValue;
			public bool ActiveCooling;
			public float TargetTemperature = 1f;
			public bool Activated;
		}

		public class CupperBehaviour : MonoBehaviour //Blood cup hhh
        {
			private AudioSource aud;
			private SpriteRenderer renderer;
			private float step = 0f;

			private void Awake()
            {
				this.aud = this.gameObject.AddComponent<AudioSource>();
				this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
				this.renderer = this.gameObject.GetComponent<SpriteRenderer>();
				aud.clip = Mod.CupSound; //This sound is weird.
				aud.loop = true;
				aud.Play();
			}

			private void Update()
            {
				if (this.gameObject.GetComponent<BloodContainer>().LiquidDistribution.Count >= 1)
                {
					this.renderer.color = (this.gameObject.GetComponent<BloodContainer>().GetComputedColor() * this.gameObject.GetComponent<BloodContainer>().TotalLiquidAmount + new Color(1.5f, 1.5f, 1.5f, 2f)) / 2;
				}
                else
                {
					this.renderer.color = new Color(0.75f, 0.75f, 0.75f, 1f);
				}
				step -= 1f;
				if (step <= 0)
                {
					aud.volume = 0f;
                }
                else
                {
					aud.volume = 0.5f;
                }
			}

			private void OnParticleCollision(GameObject other)
            {
				if (other.transform.parent.gameObject.GetComponentInChildren<BloodContainer>() && other.transform.parent.gameObject.GetComponentInChildren<BloodContainer>().LiquidDistribution.Count >= 1 && this.gameObject.GetComponent<BloodContainer>().TotalLiquidAmount < 2f)
                {
					BloodContainer Contain = other.transform.parent.gameObject.GetComponentInChildren<BloodContainer>();
					foreach (KeyValuePair<Liquid, BloodContainer.RefFloat> pair in Contain.LiquidDistribution)
					{
						this.gameObject.GetComponent<BloodContainer>().AddLiquid(pair.Key, 0.002f / Contain.LiquidDistribution.Count);
					}
					step = 10f;
				}
            }
		}

		public class MusclePullerBehaviour : MonoBehaviour
        {
			public List<SpringJoint2D> Muscles = new List<SpringJoint2D>();
			public float StartValue = 1f;
			public float EndValue = 1f;
			private bool End;
			private PhysicalBehaviour PhysicalBehaviour;
			private bool NullEntries;

			public void Awake()
            {
				this.PhysicalBehaviour = this.gameObject.GetComponent<PhysicalBehaviour>();
				List<ContextMenuButton> buttons = this.PhysicalBehaviour.ContextMenuOptions.Buttons;
				ContextMenuButton contextMenuButton = new ContextMenuButton("muscleend", "Set End Value", "Set the end value of the muscle puller / pullers", new UnityAction[]
				{
					delegate()
					{
						Utils.OpenFloatInputDialog<MusclePullerBehaviour>(this.EndValue, this, delegate(MusclePullerBehaviour w, float v)
						{
							w.EndValue = v;
						}, "Set End Value", "Set the end value of the muscle puller / pullers");
					}
				})
				{
					LabelWhenMultipleAreSelected = "Set End Values"
				};

				ContextMenuButton contextMenuButton2 = new ContextMenuButton("amusclestart", "Set Start Value", "Set the start value of the muscle puller / pullers", new UnityAction[]
				{
					delegate()
					{
						Utils.OpenFloatInputDialog<MusclePullerBehaviour>(this.StartValue, this, delegate(MusclePullerBehaviour w, float v)
						{
							w.StartValue = v;
						}, "Set Start Value", "Set the start value of the muscle puller / pullers");
					}
				})
				{
					LabelWhenMultipleAreSelected = "Set Start Values"
				};
				
				buttons.Add(contextMenuButton2);
				buttons.Add(contextMenuButton);
			}

			private void Start()
            {
				this.StartCoroutine(FindMeAllMusclesPlease());
			}
			
			private IEnumerator FindMeAllMusclesPlease()
            {
				yield return new WaitForEndOfFrame();
				var h = UnityEngine.Object.FindObjectsOfType<SpringCableBehaviour>(); //Stupid and slow. I literally can't find all the muscles attached to this muscle puller otherwise.
				foreach (SpringCableBehaviour joint in h)
				{
					if (joint.gameObject == this.gameObject && joint.typedJoint.name.Contains("Muscle") || joint.otherPhysicalBehaviour.gameObject == this.gameObject && joint.typedJoint.name.Contains("Muscle"))
					{
						Debug.Log("Fixing Muscle...");
						this.Muscles.Add(joint.typedJoint);
					}
				}
				yield return new WaitForEndOfFrame();
			}

			public void Use()
            {
				if (!this.NullEntries)
                {
					this.End = !End;
				}
				this.NullEntries = false;
				foreach (var Muscle in this.Muscles)
				{
					if (Muscle == null)
                    {
						Muscles.RemoveAll(SpringJoint2D => SpringJoint2D == null); //Got this somewhere online. Credit to them, even though I don't have the source.
						Debug.Log("Removing null entries...");
						this.NullEntries = true;
						Use();
						return;
                    }
					Muscle.distance = (this.End) ? this.EndValue : this.StartValue;
					Muscle.connectedBody.WakeUp();
					Muscle.gameObject.GetComponent<Rigidbody2D>().WakeUp();
				}
			}
		}

		public class TestClass : MonoBehaviour
        {
        }

		public class SuperGunBehaviour : CanShoot
		{
			public override Vector2 BarrelPosition
			{
				get
				{
					return base.transform.TransformPoint(this.barrelPosition);
				}
			}

			public Vector2 BarrelDirection
			{
				get
				{
					return base.transform.TransformDirection(this.barrelDirection) * base.transform.localScale.x;
				}
			}

			public Vector2 CasingPosition
			{
				get
				{
					return base.transform.TransformPoint(this.casingPosition);
				}
			}

			public Vector2 CasingDirection
			{
				get
				{
					return base.transform.TransformDirection(this.casingDirection);
				}
			}

			public void ResetIndex()
			{
				this.shotIndex = 0;
			}

			private void Awake()
			{
				this.WaterLayer = (LayerMask.GetMask(new string[]
				{
			"Water"
				}) | this.LayersToHit);
				this.bulletCasing = UnityEngine.Object.Instantiate<GameObject>(Resources.Load<GameObject>("Prefabs/BulletCasing"), base.transform).GetComponent<ParticleSystem>();
				this.rb = base.GetComponent<Rigidbody2D>();
				this.audioSource = base.gameObject.AddComponent<AudioSource>();
				this.audioSource.spread = 35f;
				this.audioSource.volume = this.ShotVolume;
				this.audioSource.minDistance = 15f;
				this.audioSource.spatialBlend = 1f;
				this.audioSource.dopplerLevel = 0f;
				this.muzzleTransform = UnityEngine.Object.Instantiate<GameObject>(Resources.Load<GameObject>("Prefabs/MuzzleSmoke"), base.transform).transform;
				this.flash = this.muzzleTransform.GetComponentInChildren<ParticleSystem>();
				if (this.UseCustomCasingTexture && this.Cartridge.Casing)
				{
					this.bulletCasing.GetComponent<ParticleSystemRenderer>().sharedMaterial = this.Cartridge.Casing;
				}
			}

			private void Start()
			{
				this.BallisticsEmitter = new BallisticsEmitter(this, this.Cartridge);
				this.BallisticsEmitter.LayersToHit = this.LayersToHit;
				this.BallisticsEmitter.WaterLayer = this.WaterLayer;
				this.SetTraversalSettings();
				this.BallisticsEmitter.BulletRicochetCallback = new Action<BallisticsEmitter.CallbackParams>(this.OnRicochet);
				this.BallisticsEmitter.BulletEntryCallback = new Action<BallisticsEmitter.CallbackParams>(this.OnEntry);
			}

			private void SetTraversalSettings()
			{
				if (UserPreferenceManager.Current.TracerBullets)
				{
					this.BallisticsEmitter.MaxRange = Mathf.Clamp(this.Cartridge.StartSpeed / 4f, 4f, 8f);
					this.BallisticsEmitter.DoTraversal = true;
					return;
				}
				this.BallisticsEmitter.MaxRange = 1000f;
				this.BallisticsEmitter.DoTraversal = false;
			}

			public void OnEntry(BallisticsEmitter.CallbackParams info)
			{
				if (info.HitObject.gameObject.GetComponent<PhysicalBehaviour>())
				{
					info.HitObject.gameObject.GetComponent<PhysicalBehaviour>().Ignite(true);
					info.HitObject.gameObject.GetComponent<PhysicalBehaviour>().burnIntensity += 0.8f;
					if (info.HitObject.gameObject.GetComponent<LimbBehaviour>())
					{
						info.HitObject.gameObject.GetComponent<LimbBehaviour>().Person.AddPain(0.4f);
					}

					ExplosionCreator.CreateFragmentationExplosion(3U, info.Position, 0.1f, 0.2f, false, false, 0.2f);
				}
			}

			private void OnRicochet(BallisticsEmitter.CallbackParams args)
			{
				UnityEngine.Object.Instantiate<GameObject>(Resources.Load<GameObject>("Prefabs/Ricochet"), args.Position, Quaternion.identity);
			}

			public void ShootContinuous()
			{
				if (!this.Automatic)
				{
					return;
				}
				this.timer += Time.deltaTime;
				if (this.timer > this.AutomaticFireInterval)
				{
					this.Shoot();
				}
			}

			private void UseContinuous()
			{
				if (this.IgnoreUse)
				{
					return;
				}
				this.ShootContinuous();
			}

			private void Use()
			{
				if (this.IgnoreUse)
				{
					return;
				}
				this.shotIndex = 0;
				this.Shoot();
			}

			public override void Shoot()
			{
				bool flag = this.shotIndex == 0;
				if (this.Automatic)
				{
					this.audioSource.PlayOneShot(this.ShotSounds.PickRandom<AudioClip>(), flag ? 1f : 0.5f);
				}
				else
				{
					//this.audioSource.PlayOneShot(this.ShotSounds.PickRandom<AudioClip>());
				}
				if (flag)
				{
					this.SetTraversalSettings();
					if (this.TriggerSound)
					{
						this.audioSource.PlayOneShot(this.TriggerSound, 4f);
						this.audioSource.PlayOneShot(Mod.DoomGun2.PickRandom<AudioClip>(), 0.8f);
					}
				}
				this.shotIndex++;
				this.timer = 0f;
				ExplosionCreator.CreatePulseExplosion(this.BarrelPosition, this.Cartridge.Recoil / 25f, this.Cartridge.Recoil / 3f, false, false);
				CameraShakeBehaviour.main.Shake(this.Cartridge.ImpactForce * 3f * (float)this.BulletsPerShot / 0.9f, base.transform.position, 1f);
				this.muzzleTransform.localScale = Vector3.one * Mathf.Clamp(Mathf.Pow(this.Cartridge.Damage * (float)this.BulletsPerShot, 0.6f) / 4f, 0.25f, 2.2f);
				this.muzzleTransform.localScale = new Vector3(base.transform.lossyScale.x * this.muzzleTransform.localScale.x, this.muzzleTransform.localScale.y, this.muzzleTransform.localScale.z);
				this.muzzleTransform.position = this.BarrelPosition;
				this.muzzleTransform.right = this.BarrelDirection;
				this.flash.Play(true);
				if (this.EjectShells)
				{
					this.bulletCasing.transform.position = this.CasingPosition;
					this.bulletCasing.transform.right = this.CasingDirection;
					this.bulletCasing.Play();
				}
				for (int i = 0; i < this.BulletsPerShot; i++)
				{
					this.Fire();
				}
			}

			private void Fire()
			{
				this.rb.AddForceAtPosition(base.transform.right * -this.Cartridge.Recoil * base.transform.lossyScale.x, this.BarrelPosition, ForceMode2D.Impulse);
				this.BallisticsEmitter.Emit(this.BarrelPosition, this.BarrelDirection + UnityEngine.Random.insideUnitCircle * Mathf.Max(0.0025f, this.InitialInaccuracy));
			}

			private void OnDrawGizmos()
			{
				Gizmos.DrawRay(this.BarrelPosition, this.BarrelDirection);
				Gizmos.color = Color.gray;
				Gizmos.DrawRay(this.CasingPosition, this.CasingDirection);
			}

			private void OnDestroy()
			{
				this.BallisticsEmitter.Dispose();
			}

			public Vector2 barrelPosition;
			public Vector2 barrelDirection;
			public Vector2 casingPosition;
			public Vector2 casingDirection;
			public AudioClip[] ShotSounds;
			public AudioClip TriggerSound;
			public float ShotVolume = 10f;
			public float InitialInaccuracy = 0.005f;
			public bool Automatic = false;
			public int BulletsPerShot = 4;
			public float AutomaticFireInterval = 0.02f;
			public Cartridge Cartridge;
			public LayerMask LayersToHit;
			public bool StartInCollider = true;
			public bool EjectShells = false;
			public bool UseCustomCasingTexture = false;
			public bool IgnoreUse = false;
			private AudioSource audioSource;
			private ParticleSystem flash;
			private Transform muzzleTransform;
			private Rigidbody2D rb;
			private float timer;
			private ParticleSystem bulletCasing;
			private LayerMask WaterLayer;
			private int shotIndex;
			public BallisticsEmitter BallisticsEmitter;
		}

		public class SetUp2 : MonoBehaviour
        {
			private void Awake()
            {
				DontDestroyOnLoad(this);
				Mod.Set = true;
            }
			private void OnApplicationQuit()
            {
				///File.WriteAllText(Mod.Path + "/RetainingNumber.txt", Mod.RetainedNumber.ToString());
			}
        }

		public class SetUp : MonoBehaviour
        {
			private void Awake()
            {
				ModAPI.FindSpawnable("Stielhandgranate").Description = "World War Era German hand grenade. A sober person would throw it...";
				ModAPI.FindSpawnable("Stielhandgranate").Prefab.AddComponent<CaberBehaviour>();
				ModAPI.FindSpawnable("Human").Prefab.AddComponent<NewAnimations>();
				ModAPI.FindSpawnable("Human").Prefab.AddComponent<DeathAnimations>();
				ModAPI.FindSpawnable("Android").Prefab.AddComponent<DeathAnimations>();
				ModAPI.FindSpawnable("Android").Prefab.AddComponent<NewAnimations>();
				var thing = ModAPI.FindSpawnable("Blood Tank").Prefab.GetComponent<BloodTankBehaviour>().BloodDrainParticles.collision;
				thing.enabled = true;
				thing.collidesWith = LayerMask.GetMask(new string[] { "Bounds", "Objects" });
				thing.type = ParticleSystemCollisionType.World;
				thing.mode = ParticleSystemCollisionMode.Collision2D;
				thing.sendCollisionMessages = true;

				var thing2 = ModAPI.FindSpawnable("Human").Prefab.GetComponent<PersonBehaviour>().BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().collision;
				thing2.enabled = true;
				thing2.collidesWith = LayerMask.GetMask(new string[] { "Bounds", "Objects" });
				thing2.type = ParticleSystemCollisionType.World;
				thing2.mode = ParticleSystemCollisionMode.Collision2D;
				thing2.sendCollisionMessages = true;

				var thing3 = ModAPI.FindSpawnable("Gorse").Prefab.GetComponent<PersonBehaviour>().BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().collision;
				thing3.enabled = true;
				thing3.collidesWith = LayerMask.GetMask(new string[] { "Bounds", "Objects" });
				thing3.type = ParticleSystemCollisionType.World;
				thing3.mode = ParticleSystemCollisionMode.Collision2D;
				thing3.sendCollisionMessages = true;
			}

			private void Update()
            {
				if (InputSystem.Down(Mod.Key) && SelectionController.Main.CurrentlyUnderMouse)
				{
					SelectionController.Main.CurrentlyUnderMouse.BroadcastMessage("Use", new ActivationPropagation(true, 1), SendMessageOptions.DontRequireReceiver);
				}
			}
			
			private void OnDestroy()
            {
				string it = "";
				foreach (var spawny in Mod.AllFavourites)
				{
					it += (spawny.name.GetHashCode().ToString() + " ");
					//Debug.Log(spawny.name);
				}
				///File.WriteAllText(Mod.Path + "/Favourites.txt", it);
			}
        }

		public class BoomingBehaviour : MonoBehaviour
        {
			private void Awake()
            {
				ExplosionCreator.CreateFragmentationExplosion(20U, this.transform.position, 4f, 0.6f, true, false, 0.2f);
			}
        }

		public class CaberBehaviour : MonoBehaviour
        {
			private void Awake()
            {
				this.gameObject.GetComponentInChildren<ExplosiveBehaviour>().ArmOnUse = false;
				this.gameObject.GetComponentInChildren<ExplosiveBehaviour>().DestroyOnExplode = false;
			}

			public void Use()
            {
				this.Used = !Used;
            }

			public void OnCollisionEnter2D(Collision2D Col)
			{
				if (!this.Used)
                {
					return;
                }
				int contacts = Col.GetContacts(this.contactBuffer);
				float num = Utils.GetMinImpulse(this.contactBuffer, contacts);
				Vector2 point = this.contactBuffer[0].point;
				Vector2 normal = this.contactBuffer[0].normal;
				if (num < 0.05f)
				{
					return;
				}
				this.gameObject.GetComponent<SpriteRenderer>().sprite = Mod.Caber;
				this.gameObject.GetComponentInChildren<ExplosiveBehaviour>().ForceImmediateExplosion();
				this.gameObject.FixColliders();
			}

			private ContactPoint2D[] contactBuffer = new ContactPoint2D[8];
			private bool Used;
		}

		public class MolotovBehaviour : MonoBehaviour
        {
			private void Awake()
            {
				this.GasolineDecal = ScriptableObject.CreateInstance<DecalDescriptor>();
				this.GasolineDecal.Sprites = Resources.LoadAll<Sprite>("sprites/blood");
				this.GasolineDecal.IgnoreRadius = 0f;
				this.GasolineDecal.Color = new Color32(48, 22, 17, 255);
			}

			public void OnCollisionEnter2D(Collision2D Col)
            {
				int contacts = Col.GetContacts(this.contactBuffer);
				float num = Utils.GetMinImpulse(this.contactBuffer, contacts);
				Vector2 point = this.contactBuffer[0].point;
				Vector2 normal = this.contactBuffer[0].normal;
				if (num < 0.5f)
				{
					return;
				}
				this.Impact(normal, point);
				Col.gameObject.SendMessage("Decal", new DecalInstruction(this.GasolineDecal, point, 1f), SendMessageOptions.DontRequireReceiver);
			}

			public void Impact(Vector2 normal, Vector2 point)
            {
				GameObject Leftover1 = ModAPI.CreatePhysicalObject("Broken Bottle", Mod.ShatterSprites[0]);
				GameObject Leftover2 = ModAPI.CreatePhysicalObject("Broken Bottle", Mod.ShatterSprites[1]);
				Leftover1.transform.position = this.transform.position;
				Leftover1.transform.rotation = this.transform.rotation;
				Leftover1.GetComponent<PhysicalBehaviour>().Properties = Mod.sharp;
				Leftover1.GetComponent<Rigidbody2D>().velocity = this.gameObject.GetComponent<Rigidbody2D>().velocity;
				Leftover1.GetComponent<Rigidbody2D>().angularVelocity = this.gameObject.GetComponent<Rigidbody2D>().angularVelocity;
				Leftover2.transform.position = this.transform.position;
				Leftover2.transform.rotation = this.transform.rotation;
				Leftover2.GetComponent<PhysicalBehaviour>().Properties = Mod.sharp2;
				Leftover2.GetComponent<Rigidbody2D>().velocity = this.gameObject.GetComponent<Rigidbody2D>().velocity;
				Leftover2.GetComponent<Rigidbody2D>().angularVelocity = this.gameObject.GetComponent<Rigidbody2D>().angularVelocity;
				Physics2D.IgnoreCollision(Leftover1.GetComponent<Collider2D>(), Leftover2.GetComponent<Collider2D>());
				ModAPI.CreateParticleEffect("RedBarrelExplosion", this.transform.position);

				var cast = Physics2D.OverlapCircleAll(this.transform.position, 2f, LayerMask.GetMask(new string[] { "Bounds", "Objects" }));
				foreach (var col in cast)
                {
					if (col.gameObject.GetComponent<PhysicalBehaviour>() == null)
                    {
						continue;
                    }
					var Phys = col.gameObject.GetComponent<PhysicalBehaviour>();
					if (Phys.Properties.Flammability <= 0f)
                    {
						continue;
                    }
					Phys.Ignite(true);
					Phys.burnIntensity += 1.2f;
					Phys.BurnProgress += 0.4f;
					if (Phys.gameObject.GetComponent<LimbBehaviour>())
                    {
						Phys.gameObject.GetComponent<LimbBehaviour>().Person.AddPain(0.4f);
					}
				}

				GameObject Fire = ModAPI.CreatePhysicalObject("Fire", Mod.Button1);
				Fire.transform.position = point;
				Fire.transform.rotation = Quaternion.FromToRotation(Fire.transform.up, normal) * Fire.transform.rotation;
				Fire.transform.localScale = new Vector2(1f, 1f);
				Fire.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, 0f);
				Fire.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Wood");
				Fire.GetComponent<Rigidbody2D>().constraints = RigidbodyConstraints2D.FreezeAll;
				Fire.GetComponent<Collider2D>().enabled = false;
				Fire.GetComponent<PhysicalBehaviour>().Ignite(true);
				Fire.GetComponent<PhysicalBehaviour>().burnIntensity = 0.7f;
				this.gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
			}

			private ContactPoint2D[] contactBuffer = new ContactPoint2D[8];
			public DecalDescriptor GasolineDecal;
		}

		public class GorseLegs : MonoBehaviour
        {
        }

		public class ZombieStuff : MonoBehaviour {}

		public class FindAllLimbBehaviours : MonoBehaviour //A bit expensive
        {
			private void FixedUpdate()
            {
				foreach (PhysicalBehaviour physicalBehaviour in Global.main.PhysicalObjectsInWorld)
                {
					if (!physicalBehaviour)
                    {
						continue;
                    }

					if (physicalBehaviour.gameObject.GetComponent<LimbBehaviour>() && physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().SpeciesIdentity != "Gorse")
					{
						if (physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().IsZombie && physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().SpeciesIdentity == "Human" && physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person.gameObject.GetComponent<ZombieStuff>() == null)
                        {
							var person = physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person;
							var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
							var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
							var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

							foreach (LimbBehaviour limb in person.Limbs)
							{
								cal.Sprites = limb.BloodDecal.Sprites;
								cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
								cal.Color = new Color(0.1f, 0f, 0f, 1f);
								limb.BloodDecal = cal; //Lazy
								limb.BloodLiquidType = "ZOMBIEBLOOD";
								limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.TotalLiquidAmount);
								if (limb.CirculationBehaviour.TotalLiquidAmount < 0.5f)
                                {
									limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("ZOMBIEBLOOD"), limb.CirculationBehaviour.Limits.y - 0.3f);
								}
								limb.PhysicalBehaviour.Properties = prop;
								person.gameObject.AddComponent<ZombieStuff>();
							}
							var Safe = new GameObject();
							person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
							person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
							prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
							Safe.SetActive(false);
							cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
							cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
							cal2.Color = new Color(0.1f, 0f, 0f, 1f);
							person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

							foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
							{
								var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
								main.startColor = new ParticleSystem.MinMaxGradient(new Color32(21, 0, 0, 255));
								if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
								{
									thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
								}
								var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
								renderer.material.color = new Color32(21, 0, 0, 255);
							}

							foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
							{
								var moon = thi.main;
								moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(21, 0, 0, 255));
							}

							foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
							{
								con.Decal = cal2;
							}

							foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
							{
								var moon = thi.main;
								moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(21, 0, 0, 255));
								if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
								{
									prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
								}
							}
						}

						if (physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person.gameObject.GetComponent<Help>() != null)
						{
							continue;
						}

						foreach (var Pone in NewAnimations.CustomPoses3)
						{
							
							Debug.Log("Adding " + Pone.Key.Name);
							// CustomPose
							var Pose = new RagdollPose();
							Pose.ShouldStandUpright = true;
							Pose.State = PoseState.Sitting;
							var i = 0;
							if (Pose.Angles == null || Pose.Angles.Count <= 0)
							{
								Pose.Angles = new List<RagdollPose.LimbPose>();
							}
							foreach (var limb in physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person.gameObject.GetComponentsInChildren<LimbBehaviour>()) //See line 465 for reason instead of using Person.Limbs
							{
								RagdollPose.LimbPose animstuff2;
								animstuff2 = new RagdollPose.LimbPose(limb, Pone.Value.Angles[i]);
								Pose.Angles.Add(animstuff2);								
								i++;
							}
							Pose.ConstructDictionary();
							physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person.Poses.Add(Pose);
							int pose = physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person.Poses.Count - 1;
							foreach (var limb in physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person.Limbs)
                            {
								ContextMenuButton item = new ContextMenuButton(() => limb.Person.OverridePoseIndex != -1, "clearOverride", "Clear animation override", "Resets the animation to be controlled by the algorithm again", new UnityAction[]
								{
									delegate()
									{
										limb.Person.OverridePoseIndex = -1;
									}
									})
								{
									LabelWhenMultipleAreSelected = "Reset all animations"
								};
								List<ContextMenuButton> buttons8 = limb.PhysicalBehaviour.ContextMenuOptions.Buttons;
								item = new ContextMenuButton(() => limb.Person.OverridePoseIndex != pose, "startcustomanimation" + pose, Pone.Key.Name, "It's a custom animation!", new UnityAction[]
								{
									delegate()
									{
										limb.Person.OverridePoseIndex = pose;
									}
								})
								{
									LabelWhenMultipleAreSelected = Pone.Key.Name
								};
								buttons8.Add(item);
							}
						}

						physicalBehaviour.gameObject.GetComponent<LimbBehaviour>().Person.gameObject.AddComponent<Help>();
					}
				}
			}
        }

		public class Help : MonoBehaviour
        {
        }

		public class DeathAnimations : MonoBehaviour
        {
			private int DeathPose1;
			private int DeathPose2;
			private int DeathPose3;
			private PersonBehaviour Person;
			private bool running;

			public void DisintegratePose()
            {
				this.Person.OverridePoseIndex = this.DeathPose3;
			}

			private void Start()
            {
				this.Person = this.gameObject.GetComponent<PersonBehaviour>();

				var Pose2 = new RagdollPose();
				Pose2.ShouldStandUpright = false;
				Pose2.UprightForceMultiplier = 0f;
				Pose2.AnimationSpeedMultiplier = 4f;
				Pose2.State = PoseState.Sitting;
				if (Pose2.Angles == null || Pose2.Angles.Count <= 0)
				{
					Pose2.Angles = new List<RagdollPose.LimbPose>();
				}
				foreach (var limb in this.gameObject.GetComponentsInChildren<LimbBehaviour>())
				{
					if (limb.gameObject.name == "UpperArm" || limb.gameObject.name == "UpperArmFront")
					{
						var animstuff = new RagdollPose.LimbPose(limb, 90f);
						animstuff.Animated = true;
						animstuff.RandomInfluence = 0.4f;
						animstuff.RandomSpeed = 0.5f;
						animstuff.StartAngle = (limb.gameObject.name == "UpperArm")? -50f : -70f;
						animstuff.EndAngle = -130f;
						Pose2.Angles.Add(animstuff);
					}
					else
					{
						var animstuff = new RagdollPose.LimbPose(limb, 0f);
						animstuff.Animated = true;
						animstuff.RandomInfluence = 1.3f;
						animstuff.RandomSpeed = 3f;
						animstuff.StartAngle = (limb.gameObject.name.Contains("Lower")) ? -50f * UnityEngine.Random.Range(-1.5f, 1.5f) : -40f * UnityEngine.Random.Range(-1.5f , 1.5f);
						animstuff.EndAngle = -70f * UnityEngine.Random.Range(-1.5f, 1.5f);
						Pose2.Angles.Add(animstuff);
					}
				}
				Pose2.ConstructDictionary();
				this.gameObject.GetComponent<PersonBehaviour>().Poses.Add(Pose2);
				this.DeathPose3 = this.gameObject.GetComponent<PersonBehaviour>().Poses.Count - 1;

				////////////////////////////// Death Animation 1
				var Pose3 = new RagdollPose();
				Pose3.ShouldStandUpright = true;
				Pose3.UprightForceMultiplier = 1.5f;
				Pose3.State = PoseState.Sitting;
				if (Pose3.Angles == null || Pose3.Angles.Count <= 0)
				{
					Pose3.Angles = new List<RagdollPose.LimbPose>();
				}
				foreach (var limb in this.gameObject.GetComponentsInChildren<LimbBehaviour>())
				{
					if (limb.gameObject.name == "LowerLeg" || limb.gameObject.name == "LowerLegFront")
                    {
						var animstuff = new RagdollPose.LimbPose(limb, 90f);
						Pose3.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "Foot" || limb.gameObject.name == "FootFront")
                    {
						var animstuff = new RagdollPose.LimbPose(limb, 60f);
						//animstuff.PoseRigidityModifier = 0.4f;
						Pose3.Angles.Add(animstuff);
					}
                    else
                    {
						var animstuff = new RagdollPose.LimbPose(limb, 0f);
						//animstuff.PoseRigidityModifier = 0.2f;
						Pose3.Angles.Add(animstuff);
					}
				}
				Pose3.ConstructDictionary();
				this.gameObject.GetComponent<PersonBehaviour>().Poses.Add(Pose3);
				this.DeathPose1 = this.gameObject.GetComponent<PersonBehaviour>().Poses.Count - 1;

				var Pose4 = new RagdollPose();
				Pose4.ShouldStandUpright = true;
				///Pose4.UprightForceMultiplier = 0.5f;
				Pose4.State = PoseState.Sitting;
				if (Pose4.Angles == null || Pose4.Angles.Count <= 0)
				{
					Pose4.Angles = new List<RagdollPose.LimbPose>();
				}
				foreach (var limb in this.gameObject.GetComponentsInChildren<LimbBehaviour>())
				{
					if (limb.gameObject.name == "LowerLeg" || limb.gameObject.name == "LowerLegFront")
					{
						var animstuff = new RagdollPose.LimbPose(limb, 90f);
						Pose4.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "Foot" || limb.gameObject.name == "FootFront")
					{
						var animstuff = new RagdollPose.LimbPose(limb, 60f);
						//animstuff.PoseRigidityModifier = 0.4f;
						Pose4.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "UpperArm")
					{
						var animstuff = new RagdollPose.LimbPose(limb, -70f);
						Pose4.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "UpperArmFront")
					{
						var animstuff = new RagdollPose.LimbPose(limb, -50f);
						Pose4.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "LowerArmFront")
					{
						var animstuff = new RagdollPose.LimbPose(limb, -30f);
						Pose4.Angles.Add(animstuff);
					}
					else
					{
						var animstuff = new RagdollPose.LimbPose(limb, 0f);
						//animstuff.PoseRigidityModifier = 0.4f;
						Pose4.Angles.Add(animstuff);
					}
				}
				Pose4.ConstructDictionary();
				this.gameObject.GetComponent<PersonBehaviour>().Poses.Add(Pose4);
				this.DeathPose2 = this.gameObject.GetComponent<PersonBehaviour>().Poses.Count - 1;
				////////////////////////////// Death Animation 1
                
				ModAPI.OnDeath += (sender, life) => {
					if (life == this.Person && !running && life.Limbs[0].SpeciesIdentity != "Android")
                    {
						StartCoroutine(DeathThingy());
                    }
				};
			}

			private IEnumerator DeathThingy()
            {
				running = true;
				yield return new WaitForSeconds(0f);
				
				if (UnityEngine.Random.value < 0.005f)
                {
					this.Person.OverridePoseIndex = this.DeathPose1;
					foreach (var circulationBehaviour in this.Person.gameObject.GetComponentsInChildren<CirculationBehaviour>())
					{
						circulationBehaviour.IsPump = circulationBehaviour.WasInitiallyPumping;
						circulationBehaviour.BloodFlow = 5f;
						circulationBehaviour.BleedingRate = 0.3f;
						circulationBehaviour.AddLiquid(circulationBehaviour.Limb.GetOriginalBloodType(), 1f);
						circulationBehaviour.Limb.Person.AdrenalineLevel += 100f;
						circulationBehaviour.Limb.Person.Consciousness += 4f;
						circulationBehaviour.Limb.Health = 50f;
					}
					yield return new WaitForSeconds(0.75f);
					this.Person.OverridePoseIndex = this.DeathPose2;
					foreach (var circulationBehaviour in this.Person.gameObject.GetComponentsInChildren<CirculationBehaviour>())
					{
						circulationBehaviour.IsPump = circulationBehaviour.WasInitiallyPumping;
						circulationBehaviour.BloodFlow = 5f;
						circulationBehaviour.BleedingRate = 0.3f;
						///circulationBehaviour.AddLiquid(circulationBehaviour.Limb.GetOriginalBloodType(), 1f);
						circulationBehaviour.Limb.Person.AdrenalineLevel += 100f;
						circulationBehaviour.Limb.Person.Consciousness += 4f;
						circulationBehaviour.Limb.Health = 50f;
					}
					yield return new WaitForSeconds(4f);
					this.Person.OverridePoseIndex = -1;
					foreach (var circulationBehaviour in this.Person.gameObject.GetComponentsInChildren<CirculationBehaviour>())
					{
						circulationBehaviour.IsPump = false;
						circulationBehaviour.Limb.Person.AdrenalineLevel = 0f;
						circulationBehaviour.Limb.Health = 0f;
						circulationBehaviour.BleedingRate = 5f;
						circulationBehaviour.Limb.Person.Consciousness = 0.2f;
					}
					///this.Person.gameObject.GetOrAddComponent<AudioSource>().PlayOneShot(Mod.DoomGun2[1]);
				}
				yield return new WaitForSeconds(4f);
				running = false;
			}
		}

		public class NewAnimations : MonoBehaviour
        {
			public static Dictionary<string, int> CustomPoses = new Dictionary<string, int>();
			public static Dictionary<RagdollPose, JointAngles> CustomPoses3 = new Dictionary<RagdollPose, JointAngles>(); //I'm sitting here a week later after making this. How the fuck does this work again? I'm confused.
			public int currentCustomPose;
			public AudioSource Aud;
			private int Pose1;
			private int Pose2;
			private int Pose3;
			private int Pose4;
			private DialogBox dialog;

			public void Awake()
            {
				this.Aud = this.transform.root.gameObject.AddComponent<AudioSource>();
				this.Aud.clip = Mod.Kick;
				this.Aud.loop = true;

				// Crouch
				var Pose2 = new RagdollPose();
				Pose2.ShouldStandUpright = true;
				Pose2.State = PoseState.Sitting;
				if (Pose2.Angles == null || Pose2.Angles.Count <= 0)
				{
					Pose2.Angles = new List<RagdollPose.LimbPose>();
				}
				foreach (var limb in this.gameObject.GetComponentsInChildren<LimbBehaviour>())
				{
					if (limb.gameObject.name == "UpperLeg")
					{
						var animstuff = new RagdollPose.LimbPose(limb, 5f);
						Pose2.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "UpperLegFront")
					{
						var animstuff = new RagdollPose.LimbPose(limb, -90f);
						Pose2.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "LowerLegFront")
					{
						var animstuff = new RagdollPose.LimbPose(limb, 90f);
						Pose2.Angles.Add(animstuff);
					}
					else if (limb.gameObject.name == "LowerLeg")
					{
						var animstuff = new RagdollPose.LimbPose(limb, 90f);
						Pose2.Angles.Add(animstuff);
					}
					else
                    {
						var animstuff2 = new RagdollPose.LimbPose(limb, 0f);
						animstuff2.Animated = true;
						animstuff2.StartAngle = 0f;
						animstuff2.EndAngle = 0f;
						Pose2.Angles.Add(animstuff2);
					}
				}
				Pose2.ConstructDictionary();
				this.gameObject.GetComponent<PersonBehaviour>().Poses.Add(Pose2);
				this.Pose2 = this.gameObject.GetComponent<PersonBehaviour>().Poses.Count - 1;
			}

			public void Start()
			{
				foreach (var Limb in this.gameObject.GetComponentsInChildren<LimbBehaviour>())
				{
					ContextMenuButton item = new ContextMenuButton(() => Limb.Person.OverridePoseIndex != -1, "clearOverride", "Clear animation override", "Resets the animation to be controlled by the algorithm again", new UnityAction[]
					{
						delegate()
						{
							Limb.Person.OverridePoseIndex = -1;
						}
						})
					{
						LabelWhenMultipleAreSelected = "Reset all animations"
					};
					List<ContextMenuButton> buttons8 = Limb.PhysicalBehaviour.ContextMenuOptions.Buttons;
					item = new ContextMenuButton(() => Limb.Person.OverridePoseIndex != Pose2, "startcrouch", "Crouch", "Forces the crouching animation override", new UnityAction[]
					{
						delegate()
						{
							Limb.Person.OverridePoseIndex = Pose2;
						}
						})
					{
						LabelWhenMultipleAreSelected = "Crouch"
					};
					buttons8.Add(item);
					Limb.PhysicalBehaviour.ContextMenuOptions.Buttons.Add(new ContextMenuButton("Save Pose", delegate ()
					{
						return "Save Pose";
					}, "Save Pose", new UnityAction[]
					{
					delegate()
					{
						this.dialog = (DialogBox)null;
						this.dialog = DialogBoxManager.TextEntry("Insert Name of Your Custom Pose!", "Name of Pose", new DialogButton("Create", true, new UnityAction[1]
						{
						(UnityAction)(() => {
							this.CreateCustomPose(this.dialog.EnteredText);
						}),
						}),
						new DialogButton("Cancel", true, (UnityAction)(() => this.dialog.Close())));
					}
					}));
				}
			}

			public void CreateCustomPose(string name)
            {
				// CustomPose
				var HelpMe = new JointAngles();
				this.gameObject.AddComponent<Help>();
				var Pose = new RagdollPose();
				Pose.ShouldStandUpright = true;
				Pose.State = PoseState.Sitting;
				Pose.Name = name;
				if (Pose.Angles == null || Pose.Angles.Count <= 0)
				{
					Pose.Angles = new List<RagdollPose.LimbPose>();
				}
				foreach (var limb in this.gameObject.GetComponentsInChildren<LimbBehaviour>())
				{
					RagdollPose.LimbPose animstuff2;
					if (!limb.HasJoint)
                    {
						animstuff2 = new RagdollPose.LimbPose(limb, 0f);
						HelpMe.Angles.Add(0f);
					}
                    else
                    {
						animstuff2 = new RagdollPose.LimbPose(limb, limb.Joint.jointAngle);
						HelpMe.Angles.Add(limb.Joint.jointAngle);
					}
					Pose.Angles.Add(animstuff2);
				}
				Pose.ConstructDictionary();
				var person = this.gameObject.GetComponent<PersonBehaviour>();
				person.Poses.Add(Pose);
				NewAnimations.CustomPoses3.Add(Pose, HelpMe);
				int pose = person.Poses.Count - 1;
				NewAnimations.CustomPoses.Add(name, pose);
				foreach (var limb in person.Limbs)
				{
					ContextMenuButton item = new ContextMenuButton(() => person.OverridePoseIndex != -1, "clearOverride", "Clear animation override", "Resets the animation to be controlled by the algorithm again", new UnityAction[]
					{
						delegate()
						{
							person.OverridePoseIndex = -1;
						}
						})
					{
						LabelWhenMultipleAreSelected = "Reset all animations"
					};
					List<ContextMenuButton> buttons8 = limb.PhysicalBehaviour.ContextMenuOptions.Buttons;
					item = new ContextMenuButton(() => person.OverridePoseIndex != pose, "startcustomanimation" + pose, name, "It's a custom animation!", new UnityAction[]
					{
						delegate()
						{
							person.OverridePoseIndex = pose;
						}
						})
					{
						LabelWhenMultipleAreSelected = name
					};
					buttons8.Add(item);
				}
			}
        }

		public class JointAngles
        {
			public List<float> Angles = new List<float>();
        }

		public class Protect : MonoBehaviour
        {
			private bool Activated = false;
			public Transform Parent;
			public GameObject Shield;
			public GameObject scaleobj;
			private AudioSource Aud;

			private void Start()
            {
				Aud = this.gameObject.AddComponent<AudioSource>();
				Aud.clip = Mod.Constant;
				Aud.loop = true;
				this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
				var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(ModAPI.FindPhysicalProperties("Metal"));
				prop.BulletSpeedAbsorptionPower = float.MaxValue;
				prop.Brittleness = 0f;
				prop.HitVolumeMultiplier = 1f;
				prop.Softness = float.MaxValue;
				Mod.ShieldMat.texture.wrapMode = TextureWrapMode.Repeat;
				this.Shield = ModAPI.CreatePhysicalObject("Shield", Mod.ShieldColSprite);
				this.Shield.transform.SetParent(Parent);
				this.Shield.transform.localScale = new Vector2(1f, 0f);
				this.Shield.transform.localPosition = new Vector2(0f, 1.2f);
				this.Shield.transform.rotation = Parent.rotation;
				this.Shield.FixColliders();
				this.Shield.GetComponent<SpriteRenderer>().sprite = Mod.ShieldSprite;
				this.Shield.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Objects");
				this.Shield.layer = 9;
				this.Shield.GetComponent<SpriteRenderer>().material = new Material(Shader.Find("Unlit/EnergySword"));
				this.Shield.GetComponent<SpriteRenderer>().material.mainTexture = Mod.ShieldSprite.texture;
				this.Shield.GetComponent<SpriteRenderer>().material.SetTexture("_OverlayTexture", Mod.ShieldMat.texture);
				this.Shield.GetComponent<SpriteRenderer>().material.SetColor("_GlowColour", new Color32(152, 42, 180, 220));
				ModAPI.CreateLight(this.Shield.transform, new Color32(152, 42, 180, 220), 4, 6);
				this.Shield.GetComponent<PhysicalBehaviour>().Properties = prop;
				this.Shield.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
				this.Shield.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = false;
				this.Shield.GetComponent<PhysicalBehaviour>().SpawnSpawnParticles = false;
				this.Shield.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[0];
				this.Shield.GetComponent<PhysicalBehaviour>().OverrideShotSounds = new AudioClip[0];
				this.Shield.AddComponent<ProtectBehaviour>();
			}

			public void Use()
            {
				this.Activated = !this.Activated;
				if (this.Activated)
                {
					Aud.PlayOneShot(Mod.Appear, 1.5f);
					Aud.Play();
                }
                else
                {
					Aud.Stop();
					Aud.PlayOneShot(Mod.Disappear, 1.5f);				
				}
				StopAllCoroutines();
				StartCoroutine(Scale());
            }

			private IEnumerator Scale()
            {
				while (true)
                {
					if (this.Activated && this.Shield.transform.localScale.y <= 1f)
					{
						this.Shield.transform.localScale = Vector3.Lerp(this.Shield.transform.localScale, new Vector2(1f, 1f), Time.deltaTime * 10f);
						yield return new WaitForEndOfFrame();
					}
					else if (this.Activated)
                    {
						yield break;
                    }
					if (!this.Activated && this.Shield.transform.localScale.y > 0f)
					{
						this.Shield.transform.localScale = Vector3.Lerp(this.Shield.transform.localScale, new Vector2(1f, 0f), Time.deltaTime * 40f);
						yield return new WaitForEndOfFrame();
					}
					else if (!this.Activated)
					{
						yield break;
					}
				}
				yield return new WaitForEndOfFrame();
			}
        }

		public class ProtDestroyer : MonoBehaviour
		{
			private bool Activated = false;
			public Transform Parent;
			public GameObject Shield;
			public GameObject scaleobj;
			private AudioSource Aud;

			private void Start()
			{
				Aud = this.gameObject.AddComponent<AudioSource>();
				Aud.clip = Mod.Constant2;
				Aud.loop = true;
				this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
				var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(ModAPI.FindPhysicalProperties("Metal"));
				prop.BulletSpeedAbsorptionPower = float.MaxValue;
				prop.Brittleness = 0f;
				prop.HitVolumeMultiplier = 1f;
				prop.Softness = float.MaxValue;
				Mod.ShieldMat.texture.wrapMode = TextureWrapMode.Repeat;
				this.Shield = ModAPI.CreatePhysicalObject("Shield", Mod.ShieldColSprite);
				this.Shield.transform.SetParent(Parent);
				this.Shield.transform.localScale = new Vector2(1f, 0f);
				this.Shield.transform.localPosition = new Vector2(0f, 1.2f);
				this.Shield.transform.rotation = Parent.rotation;
				this.Shield.FixColliders();
				this.Shield.GetComponent<SpriteRenderer>().sprite = Mod.ShieldSprite;
				this.Shield.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Objects");
				this.Shield.layer = 9;
				this.Shield.GetComponent<SpriteRenderer>().material = new Material(Shader.Find("Unlit/EnergySword"));
				this.Shield.GetComponent<SpriteRenderer>().material.mainTexture = Mod.ShieldSprite.texture;
				this.Shield.GetComponent<SpriteRenderer>().material.SetTexture("_OverlayTexture", Mod.ShieldMat.texture);
				this.Shield.GetComponent<SpriteRenderer>().material.SetColor("_GlowColour", new Color32(75, 150, 240, 180));
				ModAPI.CreateLight(this.Shield.transform, new Color32(75, 150, 240, 180), 4, 6);
				this.Shield.GetComponent<PhysicalBehaviour>().Properties = prop;
				this.Shield.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
				this.Shield.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = false;
				this.Shield.GetComponent<PhysicalBehaviour>().SpawnSpawnParticles = false;
				this.Shield.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[0];
				this.Shield.GetComponent<PhysicalBehaviour>().OverrideShotSounds = new AudioClip[0];
				this.Shield.AddComponent<ProtDestroyBehaviour>();
			}

			public void Use()
			{
				this.Activated = !this.Activated;
				if (this.Activated)
				{
					Aud.PlayOneShot(Mod.GrillUp, 1.5f);
					Aud.Play();
				}
				else
				{
					Aud.Stop();
					Aud.PlayOneShot(Mod.GrillDown, 1.5f);
				}
				StopAllCoroutines();
				StartCoroutine(Scale());
			}

			private IEnumerator Scale()
			{
				while (true)
				{
					if (this.Activated && this.Shield.transform.localScale.y <= 1f)
					{
						this.Shield.transform.localScale = Vector3.Lerp(this.Shield.transform.localScale, new Vector2(1f, 1f), Time.deltaTime * 10f);
						yield return new WaitForEndOfFrame();
					}
					else if (this.Activated)
					{
						yield break;
					}
					if (!this.Activated && this.Shield.transform.localScale.y > 0f)
					{
						this.Shield.transform.localScale = Vector3.Lerp(this.Shield.transform.localScale, new Vector2(1f, 0f), Time.deltaTime * 40f);
						yield return new WaitForEndOfFrame();
					}
					else if (!this.Activated)
					{
						yield break;
					}
				}
				yield return new WaitForEndOfFrame();
			}
		}

		public class ProtDestroyBehaviour : MonoBehaviour
		{
			private List<PhysicalBehaviour> list = new List<PhysicalBehaviour>();

			public void Start()
			{
				var phys = this.gameObject.GetComponent<PhysicalBehaviour>();
				phys.Deletable = false;
				phys.Disintegratable = false;
				phys.Selectable = false;
				this.gameObject.GetComponent<Rigidbody2D>().bodyType = RigidbodyType2D.Kinematic;
				foreach (var Col in this.gameObject.GetComponentsInChildren<Collider2D>())
				{
					Col.isTrigger = true;
				}
			}

			public void OnTriggerEnter2D(Collider2D col)
			{
				if (col.gameObject.GetComponent<LimbBehaviour>() || col.isTrigger || col.gameObject.GetComponent<ProtDestroyer>() || col.gameObject.GetComponent<Protect>() || col.gameObject.GetComponent<ProtectBubble>() || col.gameObject.GetComponent<PhysicalBehaviour>() == null || col.gameObject.GetComponent<CirculationBehaviour>() || col.gameObject.GetComponent<PhysicalBehaviour>().Deletable == false || col.gameObject.GetComponent<PhysicalBehaviour>().Disintegratable == false || col.gameObject.GetComponent<OrganCirculation>() || col.gameObject.tag == "Limb")
                {
					return;
                }
				foreach (var Phys in col.transform.root.gameObject.GetComponentsInChildren<PhysicalBehaviour>())
                {
					Phys.StartCoroutine(this.Disintegrate(Phys.gameObject));
				}
				AudioSource.PlayClipAtPoint(Mod.Fizzle, col.gameObject.transform.position, 2.5f);
			}

			private IEnumerator Disintegrate(GameObject obj)
			{
				///obj.GetComponent<SpriteRenderer>().color = new Color(0f, 0f, 0f, obj.GetComponent<SpriteRenderer>().color.a);
				var phys = obj.GetComponent<PhysicalBehaviour>();
				FreezeStackController.RequestUnfreeze(phys.rigidbody);
				obj.GetComponent<SpriteRenderer>().material = ModAPI.FindMaterial("Sprites-Default");
				phys.StartCoroutine(this.ColorFade(obj.GetComponent<SpriteRenderer>(), new Color(0f, 0f, 0f, 1f), 15f));
				if (obj.GetComponent<LimbBehaviour>() && obj.GetComponent<LimbBehaviour>().Person.gameObject.GetComponent<DeathAnimations>())
				{
					foreach (var particulate in obj.GetComponent<CirculationBehaviour>().BleedingParticles)
					{
						particulate.SetActive(false);
					}
					obj.GetComponent<LimbBehaviour>().Person.gameObject.GetComponent<DeathAnimations>().DisintegratePose();
				}
				else if (obj.GetComponent<LimbBehaviour>())
				{
					foreach (var particulate in obj.GetComponent<CirculationBehaviour>().BleedingParticles)
					{
						particulate.SetActive(false);
					}
					obj.GetComponent<LimbBehaviour>().Person.AddPain(500f);
				}
				foreach (var collider in obj.GetComponentsInChildren<Collider2D>())
				{
					collider.enabled = false;
				}
				obj.GetComponent<Rigidbody2D>().AddForce(UnityEngine.Random.insideUnitCircle * 0.1f, ForceMode2D.Impulse);
				obj.GetComponent<Rigidbody2D>().gravityScale = 0f;
				obj.GetComponent<Rigidbody2D>().drag = 0f;
				obj.GetComponent<Rigidbody2D>().angularVelocity += UnityEngine.Random.Range(-5f, 5f);
				phys.InitialGravityScale = 0f;
				phys.StartCoroutine(CreateParticles(obj));
				yield return new WaitForSeconds(1.5f);
				phys.StartCoroutine(this.ColorFade(obj.GetComponent<SpriteRenderer>(), new Color(0f, 0f, 0f, 0f), 10f));
				foreach (var parti in obj.GetComponentsInChildren<ParticleSystem>())
				{
					if (parti.transform != obj.transform)
					{
						var em = parti.emission;
						em.rateOverTime = new ParticleSystem.MinMaxCurve(0f);
						parti.transform.parent = null;
					}
				}
				yield return new WaitForSeconds(0.5f);
				if (obj.GetComponent<CirculationBehaviour>())
				{
					obj.GetComponent<CirculationBehaviour>().ForceSetAllLiquid(0f);
				}
				phys.Disintegrate();
				yield return new WaitForEndOfFrame();
			}

			private IEnumerator CreateParticles(GameObject obj)
			{
				// Blue stuff //
				GameObject ParticleHolder = new GameObject();
				ParticleHolder.transform.SetParent(obj.transform);
				ParticleHolder.transform.position = obj.transform.position;
				ParticleHolder.transform.localScale = Vector2.one;
				ParticleSystem YellowStuff = ParticleHolder.AddComponent<ParticleSystem>();
				var main = YellowStuff.main;
				main.duration = 3f;
				main.loop = true;
				main.playOnAwake = true;
				main.flipRotation = 70f;
				main.startLifetime = 0.6f;
				main.startSize = new ParticleSystem.MinMaxCurve(0.07f);
				main.simulationSpace = ParticleSystemSimulationSpace.World;
				main.scalingMode = ParticleSystemScalingMode.Shape;
				main.gravityModifier = new ParticleSystem.MinMaxCurve(-0.2f);
				main.startSpeedMultiplier = 0.2f;
				var shape = YellowStuff.shape;
				shape.enabled = true;
				shape.spriteRenderer = obj.GetComponent<SpriteRenderer>();
				var em = YellowStuff.emission;
				em.enabled = true;
				em.rateOverTime = new ParticleSystem.MinMaxCurve(12f);
				em.rateOverDistance = 1f * Mathf.Sqrt(obj.GetComponent<SpriteRenderer>().bounds.extents.sqrMagnitude * 4f);
				var rot = YellowStuff.rotationOverLifetime;
				rot.enabled = true;
				rot.z = UnityEngine.Random.Range(-10f, 10f);
				var size = YellowStuff.sizeOverLifetime;
				size.enabled = true;
				size.size = new ParticleSystem.MinMaxCurve(1f, 0f);
				var rend = YellowStuff.GetComponent<ParticleSystemRenderer>();
				rend.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("VeryBright"));
				rend.material.mainTexture = Mod.Flake.texture;
				rend.material.SetColor("_GlowColour", new Color32(92, 245, 250, 60));
				rend.renderMode = ParticleSystemRenderMode.VerticalBillboard;
				// Ash //
				GameObject ParticleHolder2 = new GameObject();
				ParticleHolder2.transform.SetParent(obj.transform);
				ParticleHolder2.transform.position = obj.transform.position;
				ParticleHolder2.transform.localScale = Vector2.one;
				ParticleSystem Ash = ParticleHolder2.AddComponent<ParticleSystem>();
				var main2 = Ash.main;
				main2.duration = 2f;
				main2.loop = true;
				main2.playOnAwake = true;
				main2.flipRotation = 70f;
				main2.startLifetime = 1f;
				main2.startSize = new ParticleSystem.MinMaxCurve(0.04f);
				main2.simulationSpace = ParticleSystemSimulationSpace.World;
				main2.gravityModifier = new ParticleSystem.MinMaxCurve(0.25f);
				main2.scalingMode = ParticleSystemScalingMode.Shape;
				main2.startSpeedMultiplier = 0.1f;
				var shape2 = Ash.shape;
				shape2.enabled = true;
				shape2.spriteRenderer = obj.GetComponent<SpriteRenderer>();
				var em2 = Ash.emission;
				em2.enabled = true;
				em2.rateOverTime = new ParticleSystem.MinMaxCurve(24f);
				em2.rateOverDistance = 1f * Mathf.Sqrt(obj.GetComponent<SpriteRenderer>().bounds.extents.sqrMagnitude * 4f);
				var rot2 = Ash.rotationOverLifetime;
				rot2.enabled = true;
				rot2.z = UnityEngine.Random.Range(-5f, 5f);
				var col2 = Ash.colorOverLifetime;
				col2.enabled = true;
				col2.color = new ParticleSystem.MinMaxGradient(new Color(0f, 0f, 0f, 1f), new Color(0f, 0f, 0f, 0f));
				var rend2 = Ash.GetComponent<ParticleSystemRenderer>();
				rend2.material = UnityEngine.Object.Instantiate<Material>(ModAPI.FindMaterial("Sprites-Default"));
				rend2.material.mainTexture = Mod.Ash.texture;
				rend2.renderMode = ParticleSystemRenderMode.VerticalBillboard;
				yield return new WaitForEndOfFrame();
			}

			private IEnumerator ColorFade(SpriteRenderer render, Color FinalColor, float Delta)
			{
				while (render.gameObject.activeInHierarchy && render.color != FinalColor)
				{
					render.color = Color.Lerp(render.color, FinalColor, Time.deltaTime * Delta);
					yield return new WaitForEndOfFrame();
				}
				yield return new WaitForEndOfFrame();
			}
		}

		public class ProtectBehaviour : MonoBehaviour
		{
			private List<PhysicalBehaviour> list = new List<PhysicalBehaviour>();

			public void Start()
			{
				this.gameObject.GetComponent<Rigidbody2D>().bodyType = RigidbodyType2D.Kinematic;
				var phys = this.gameObject.GetComponent<PhysicalBehaviour>();
				phys.Deletable = false;
				phys.Disintegratable = false;
				phys.Selectable = false;
			}

			public void Update()
			{
				foreach (PhysicalBehaviour physicalBehaviour in Global.main.PhysicalObjectsInWorld)
				{
					if (!physicalBehaviour)
					{
						continue;
					}
					if (!this.list.Contains(physicalBehaviour))
					{
						if (physicalBehaviour.Properties.Sharp || physicalBehaviour.gameObject.GetComponent<LaunchedRocketBehaviour>() || physicalBehaviour.gameObject.GetComponent<JavelinMissileBehaviour>() || physicalBehaviour.gameObject.GetComponent<ProjectileBehaviour>())
						{
							return;
						}
						var collide = physicalBehaviour.gameObject.AddComponent<NoCollide>();
						collide.NoCollideSetA = this.gameObject.GetComponents<Collider2D>();
						collide.NoCollideSetB = physicalBehaviour.colliders;
						this.list.Add(physicalBehaviour);
					}
				}
			}
		}

		public class GunAntiBlockBehaviour : MonoBehaviour
        {
			private float old = 0f;

			public void OnTriggerEnter2D(Collider2D Col)
			{
				if (Col.gameObject.GetComponent<FirearmBehaviour>())
				{
					
					Col.gameObject.GetComponent<FirearmBehaviour>().BallisticsEmitter.MaterialHardnessMultiplier = -55f; //Best I can do I guess
					Col.gameObject.GetComponent<FirearmBehaviour>().BallisticsEmitter.MaxBallisticsIterations = 60U;
					Col.gameObject.GetComponent<FirearmBehaviour>().BallisticsEmitter.ImpactForceMultiplier = 0.01f; //This is done as using this method literally flings humans towards the gun, and I can't be bothered fixing it.
					old = Col.gameObject.GetComponent<FirearmBehaviour>().Cartridge.PenetrationRandomAngleMultiplier;
					Col.gameObject.GetComponent<FirearmBehaviour>().Cartridge.PenetrationRandomAngleMultiplier = 0f;
					Debug.Log("In");
				}
			}

			public void OnTriggerExit2D(Collider2D Col)
			{
				if (Col.gameObject.GetComponent<FirearmBehaviour>())
				{
					Col.gameObject.GetComponent<FirearmBehaviour>().BallisticsEmitter.MaterialHardnessMultiplier = 1f;
					Col.gameObject.GetComponent<FirearmBehaviour>().BallisticsEmitter.MaxBallisticsIterations = 24U;
					Col.gameObject.GetComponent<FirearmBehaviour>().BallisticsEmitter.ImpactForceMultiplier = 18f;
					Col.gameObject.GetComponent<FirearmBehaviour>().Cartridge.PenetrationRandomAngleMultiplier = old;
					Debug.Log("Out");
				}
			}
		}

		public class ProtectBubble : MonoBehaviour
		{
			private bool Activated = false;
			public Transform Parent;
			public GameObject Shield;
			public GameObject scaleobj;
			private AudioSource Aud;

			private void Start()
			{
				Aud = this.gameObject.AddComponent<AudioSource>();
				Aud.clip = Mod.Constant;
				Aud.loop = true;
				this.gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
				var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(ModAPI.FindPhysicalProperties("Bulletproof"));
				prop.BulletSpeedAbsorptionPower = 50f;
				prop.Brittleness = 0f;
				prop.HitVolumeMultiplier = 1f;
				prop.Softness = 0.1f;
				Mod.ShieldMat.texture.wrapMode = TextureWrapMode.Repeat;
				this.Shield = ModAPI.CreatePhysicalObject("Shield", Mod.BShieldColSprite);
				this.Shield.transform.SetParent(Parent);
				this.Shield.transform.localScale = new Vector2(0f, 0f);
				this.Shield.transform.localPosition = new Vector2(0f, 2f);
				this.Shield.FixColliders();
				this.Shield.GetComponent<SpriteRenderer>().sprite = Mod.BShieldSprite;
				this.Shield.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Objects");
				this.Shield.layer = 9;
				this.Shield.GetComponent<SpriteRenderer>().material = new Material(Shader.Find("Unlit/EnergySword"));
				this.Shield.GetComponent<SpriteRenderer>().material.mainTexture = Mod.ShieldSprite.texture;
				this.Shield.GetComponent<SpriteRenderer>().material.SetTexture("_OverlayTexture", Mod.ShieldMat.texture);
				this.Shield.GetComponent<SpriteRenderer>().material.SetColor("_GlowColour", new Color32(255, 232, 104, 220));
				ModAPI.CreateLight(this.Shield.transform, new Color32(255, 232, 104, 220), 7, 6);
				this.Shield.GetComponent<PhysicalBehaviour>().Properties = prop;
				this.Shield.GetComponent<PhysicalBehaviour>().ForceNoChargeParticles = true;
				this.Shield.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = false;
				this.Shield.GetComponent<PhysicalBehaviour>().SpawnSpawnParticles = false;
				this.Shield.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[0];
				this.Shield.GetComponent<PhysicalBehaviour>().OverrideShotSounds = new AudioClip[0];
				this.Shield.AddComponent<ProtectBehaviour>();

				var Trig = new GameObject();
				Trig.transform.SetParent(this.Shield.transform);
				Trig.transform.localScale = new Vector2(1f, 1f);
				Trig.transform.localPosition = new Vector2(0f, 0f);
				Trig.AddComponent<SpriteRenderer>().sprite = Mod.BShieldColSprite;
				Trig.GetComponent<SpriteRenderer>().sortingLayerID = SortingLayer.NameToID("Objects");
				Trig.layer = 9;
				Trig.FixColliders();
				Trig.GetComponent<PolygonCollider2D>().isTrigger = true;
				Trig.GetComponent<SpriteRenderer>().color = new Color(0f, 0f, 0f, 0f);
				Trig.AddComponent<GunAntiBlockBehaviour>();
			}

			public void Use()
			{
				this.Activated = !this.Activated;
				if (this.Activated)
				{
					Aud.PlayOneShot(Mod.Appear, 1.5f);
					Aud.Play();
				}
				else
				{
					Aud.Stop();
					Aud.PlayOneShot(Mod.Disappear, 1.5f);
				}
				StopAllCoroutines();
				StartCoroutine(Scale());
			}

			private IEnumerator Scale()
			{
				while (true)
				{
					if (this.Activated && this.Shield.transform.localScale.y <= 1f)
					{
						this.Shield.transform.localScale = Vector3.Lerp(this.Shield.transform.localScale, new Vector2(1f, 1f), Time.deltaTime * 10f);
						yield return new WaitForEndOfFrame();
					}
					else if (this.Activated)
					{
						yield break;
					}
					if (!this.Activated && this.Shield.transform.localScale.y > 0f)
					{
						this.Shield.transform.localScale = Vector3.Lerp(this.Shield.transform.localScale, new Vector2(0f, 0f), Time.deltaTime * 40f);
						yield return new WaitForEndOfFrame();
					}
					else if (!this.Activated)
					{
						yield break;
					}
				}
				yield return new WaitForEndOfFrame();
			}
		}

		public class Purp : Liquid
		{
			public Purp()
			{
				this.Color = new Color32(0, 255, 255, 255);
			}

			public override void OnEnterContainer(BloodContainer container)
			{
			}

			public override void OnEnterLimb(LimbBehaviour limb)
			{
				if (limb.SpeciesIdentity == "Android" && UnityEngine.Random.value > 0.995f)
				{
					limb.PhysicalBehaviour.Charge += 0.1f;
				}
			}

			public override void OnExitContainer(BloodContainer container)
			{
			}

			public const string ID = "LIGHTBLUE";
		}

		public class ZBlood : Blood
		{
			public ZBlood()
			{
				this.Color = new Color32(51, 0, 5, 255);
			}

			public override void OnEnterContainer(BloodContainer container)
			{
			}

			public override void OnEnterLimb(LimbBehaviour limb)
			{
				base.OnEnterLimb(limb);
				if (!limb.IsZombie && limb.SpeciesIdentity == "Human" && limb.gameObject.GetComponent<OneOff>() == null)
                {
					/*PoisonSpreadBehaviour h = limb.gameObject.AddComponent<ZombiePoison>() as PoisonSpreadBehaviour;
					h.Limb = limb;
					limb.gameObject.AddComponent<OneOff>();*/
                }
			}

			public override void OnExitContainer(BloodContainer container)
			{
			}

			public class OneOff : MonoBehaviour {}

			public const string ID = "ZOMBIEBLOOD";
		}

		public class Lemonade : Blood
		{
			public Lemonade()
			{
				this.Color = new Color32(247, 205, 11, 255);
			}

			public override void OnEnterContainer(BloodContainer container)
			{
			}

			public override void OnEnterLimb(LimbBehaviour limb)
			{
				PlaySound(limb.Person.gameObject, limb);
			}

			public override void OnExitContainer(BloodContainer container)
			{
			}

			public void PlaySound(GameObject Person, LimbBehaviour limb)
            {
				if (!Person.GetOrAddComponent<AudioSource>().isPlaying && Person.GetComponentInChildren(typeof(LifePoison)) == null)
                {
					Person.GetComponent<AudioSource>().clip = Mod.Lemon;
					Person.GetComponent<AudioSource>().loop = false;
					Person.GetComponent<AudioSource>().Play();
					var thing = limb.gameObject.AddComponent(typeof(LifePoison)) as PoisonSpreadBehaviour;
					thing.Limb = limb;
				}
            }

			public const string ID = "LEMONADE";
		}

		public class Implos : MonoBehaviour
        {
			private bool debounce;

			public void Use()
            {
				if (!debounce)
                {
					debounce = true;
					StartCoroutine(Explode());
				}
            }

			private IEnumerator Explode()
            {
				yield return new WaitForSeconds(4f);
				ModAPI.CreateParticleEffect("BigExplosion", transform.position);
				ModAPI.CreateParticleEffect("Flash", transform.position);
				var cast = Physics2D.OverlapCircleAll(transform.position, 15f, LayerMask.GetMask(new string[] { "Bounds", "Objects" }));
				foreach (Collider2D Col in cast)
                {
					if (Col.GetComponent<Rigidbody2D>())
                    {
						Col.GetComponent<Rigidbody2D>().AddForce(((this.transform.position - Col.transform.position).normalized * 4f), ForceMode2D.Impulse);
					}
                }
				this.gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
			}
        }

		public class EyeSeeingBehaviour : MonoBehaviour
		{
			public float MaxDistance = 3.6f;
			public GameObject TrackingGameObject;
			private float PreviousDistance;
			private float SeenLast = 3f;
			public GameObject Self;
			public BigBrainBehaviour AttachedBrain;
			public enum Mode
			{
				Everything,
				Danger,
				Alive
			}

			public EyeSeeingBehaviour.Mode EyeBehav = EyeSeeingBehaviour.Mode.Everything;

			private EyeSeeingBehaviour.Mode Switcher
			{
				get
				{
					switch (this.EyeBehav)
					{
						case EyeSeeingBehaviour.Mode.Everything:
							return EyeSeeingBehaviour.Mode.Danger;
						case EyeSeeingBehaviour.Mode.Danger:
							return EyeSeeingBehaviour.Mode.Alive;
						case EyeSeeingBehaviour.Mode.Alive:
							return EyeSeeingBehaviour.Mode.Everything;
						default:
							return EyeSeeingBehaviour.Mode.Everything;
					}
				}
			}

			private Dictionary<Type, float> Dangerous = new Dictionary<Type, float>();

			private void Start()
			{
				Dangerous.Add(typeof(CanShoot), 10f); //Guns and stuff. Hurts.
				Dangerous.Add(typeof(EMPBehaviour), 55f); //Destroys machine, pretty bad threat, What should the brain do? RUN.
				Dangerous.Add(typeof(CarBehaviour), 7f); //Cars can run you over, and well, that's it.
				Dangerous.Add(typeof(AtomBombBehaviour), 100f); //Obvious
				Dangerous.Add(typeof(BeamformerBehaviour), 10f); //Shooty boy
				Dangerous.Add(typeof(EnergySwordBehaviour), 20f); //Can literally pierce metal and stuff.
				Dangerous.Add(typeof(ExplosiveBehaviour), 50f); //Avoid.
				Dangerous.Add(typeof(FlamethrowerBehaviour), 15f); //Fire > bullets apparently.
				Dangerous.Add(typeof(JavelinMissileBehaviour), 57f); //Anti-missile machines?!?1?!1?!
				Dangerous.Add(typeof(LaunchedRocketBehaviour), 56f); //Anti-rocket machines?!?!?/!??!
				Dangerous.Add(typeof(LightningGunBehaviour), 17f); //Literally can just completely fry some components.
				Dangerous.Add(typeof(MagnetBehaviour), 51f); //Magnets, ahh
				Dangerous.Add(typeof(ProjectileBehaviour), 35f); //Cool fact: Rubber bands don't count.

				this.Self.GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("Change Eyes's Mode", delegate ()
				{
					return "Change Eyes's Mode";
				}, "Change Eyes's Mode", new UnityAction[]
				{
					delegate()
					{
						this.EyeBehav = this.Switcher;
						this.SeenLast = 3f;
						this.TrackingGameObject = null;
						StopAllCoroutines();
						ModAPI.Notify(this.EyeBehav.ToString());
					}
				}));
			}

			private void OnTriggerEnter2D(Collider2D Col)
            {
				if (this.TrackingGameObject != Col.gameObject && Vector3.Distance(Col.transform.position, Self.transform.position) < this.MaxDistance && SeenLast >= 3f && Col.gameObject.name != "Heart" && Col.gameObject.name != "Lungs" && Col.gameObject.name != "Brain" && Col.gameObject.name != "Eye")
                {
					Debug.Log("Found");
					float panic = 10f;

					if (this.EyeBehav == EyeSeeingBehaviour.Mode.Danger) // I couldn't be bothered trying to fix whatever was causing some bugs as well as general stuff so I just did this terribleness.
                    {
						foreach (KeyValuePair<Type, float> dang in this.Dangerous)
                        {
							if (Col.gameObject.GetComponent(dang.Key) != null)
                            {
								panic = dang.Value;
								this.TrackingGameObject = Col.gameObject;
								this.PreviousDistance = Vector3.Distance(Col.transform.position, Self.transform.position);
								this.SeenLast = 0f;
								if (this.AttachedBrain != null)
								{
									this.AttachedBrain.SightedPos = Mathf.Atan2(this.TrackingGameObject.transform.position.y - this.Self.transform.position.y, this.TrackingGameObject.transform.position.x - this.Self.transform.position.x) * Mathf.Rad2Deg;
									this.AttachedBrain.gameObject.GetComponent(typeof(Component)).SendMessage("Use", new ActivationPropagation(false, (ushort)1), SendMessageOptions.DontRequireReceiver);
								}
								this.StopAllCoroutines();
								Debug.Log("Beginning Following...");
								this.StartCoroutine(Follow(this.TrackingGameObject, panic));
								break;
							}
                        }
                    }
					else if (this.EyeBehav == EyeSeeingBehaviour.Mode.Alive) //Yuck.
					{
						if (Col.gameObject.GetComponent<LimbBehaviour>() != null)
                        {
							this.TrackingGameObject = Col.gameObject;
							this.PreviousDistance = Vector3.Distance(Col.transform.position, Self.transform.position);
							this.SeenLast = 0f;
							if (this.AttachedBrain != null)
							{
								this.AttachedBrain.SightedPos = Mathf.Atan2(this.TrackingGameObject.transform.position.y - this.Self.transform.position.y, this.TrackingGameObject.transform.position.x - this.Self.transform.position.x) * Mathf.Rad2Deg;
								this.AttachedBrain.gameObject.GetComponent(typeof(Component)).SendMessage("Use", new ActivationPropagation(false, (ushort)1), SendMessageOptions.DontRequireReceiver);
							}
							this.StopAllCoroutines();
							Debug.Log("Beginning Following...");
							this.StartCoroutine(Follow(this.TrackingGameObject, panic));
							return;
                        }
					}
                    else //Ew.
                    {
						this.TrackingGameObject = Col.gameObject;
						this.PreviousDistance = Vector3.Distance(Col.transform.position, Self.transform.position);
						this.SeenLast = 0f;
						if (this.AttachedBrain != null)
						{
							this.AttachedBrain.SightedPos = Mathf.Atan2(this.TrackingGameObject.transform.position.y - this.Self.transform.position.y, this.TrackingGameObject.transform.position.x - this.Self.transform.position.x) * Mathf.Rad2Deg;
							this.AttachedBrain.gameObject.GetComponent(typeof(Component)).SendMessage("Use", new ActivationPropagation(false, (ushort)1), SendMessageOptions.DontRequireReceiver);
						}
						this.StopAllCoroutines();
						Debug.Log("Beginning Following...");
						this.StartCoroutine(Follow(this.TrackingGameObject, panic));
					}
				}
            }

			private IEnumerator Follow(GameObject Obj, float PanicAmount)
            {
				while (true)
                {
					if (this.TrackingGameObject == null || this.TrackingGameObject != Obj || !this.TrackingGameObject.activeInHierarchy || SeenLast >= 3f) //Originally these were separate if then statements, due to debugging.
                    {
						Debug.Log("Exit");
						SeenLast = 3f;
						yield break;
					}

					bool InPanic = false; //Tells me if the dangerous object is fucking horrifying
					if (PanicAmount >= 50f)
                    {
						InPanic = true;
                    }
					float dir = Mathf.Atan2(this.TrackingGameObject.transform.position.y - this.Self.transform.position.y, this.TrackingGameObject.transform.position.x - this.Self.transform.position.x) * Mathf.Rad2Deg; //Gets direction towards the object we're looking at, and yes, this did come from the internet 'cause I'm lazy.
					this.Self.transform.rotation = Quaternion.RotateTowards(this.transform.rotation, Quaternion.Euler(new Vector3(0, 0, (dir + (InPanic ? UnityEngine.Random.Range(-10f, 10f) : 0f)))), (65f * (PanicAmount) / 10) * Time.deltaTime); //Look towards smoothly. Includes panic.
					if (this.AttachedBrain != null)
					{
						this.AttachedBrain.SightedPos = dir; //Ey, if the eye has a brain attached to it, then send it the rotational delta towards the object.
					}
					//ModAPI.Draw.Line(this.Self.transform.position, this.TrackingGameObject.transform.position); Debugging purposes.
					var Ray = Physics2D.Raycast(this.Self.transform.position, (this.TrackingGameObject.transform.position - this.Self.transform.position).normalized, Mathf.Infinity, LayerMask.GetMask(new string[] {"Bounds", "Objects"}));
					if (Ray.collider != null && Ray.collider.gameObject == this.TrackingGameObject)
                    {
						SeenLast = 0f;
                    }
                    else
                    {
						if (Ray.collider != null && Ray.collider.transform.root.gameObject == this.TrackingGameObject.transform.root.gameObject) //This checks if the object is in the same group of the tracking object, obviously. It's good to check this as if the object, let's say a limb, is behind another limb from the same person (very likely), then just ignore it.
                        {
							SeenLast = 0f;
                        }
                        else
                        {
							SeenLast += Time.deltaTime * 2;
						}
                    }
					yield return new WaitForEndOfFrame(); //Good to use in looping functions.
				}
            }
		}

		public class LungBehaviour : MonoBehaviour
        {
			public OrganCirculation Organ;

			private void Awake()
            {
				this.Organ = this.gameObject.GetComponent<OrganCirculation>();
				//StartCoroutine(Breathe());
            }

			private void Update()
            {
				if (this.Organ.Dead)
				{
					this.gameObject.GetComponent<SpriteRenderer>().color = Color.Lerp(this.gameObject.GetComponent<SpriteRenderer>().color, new Color(0.8f, 0.8f, 0.5f), Time.deltaTime / 10f); //Just changes the color slowly to yellow because why not
					return;
				}

				if (this.gameObject.GetComponent<PhysicalBehaviour>().Charge < 4f) //Requires charge to survive.
				{
					if (this.Health <= 0f)
					{
						this.Organ.Dead = true;
						return;
					}
					this.Health -= 0.5f * Time.deltaTime;
				}
				else
				{
					this.Health = 10f;
				}
			}

			public float Health = 10f;

			public float OxygenAmount;

			private bool Debounce;

			private IEnumerator Breathe() //Funny story, I tried for like a whole day to get the heart to beat smoothly. It was really, really stubborn and broken. The less blood the heart had, the more instant the beat occurs. By that, I mean that the heart would beat slower, but the speed at which it completes a single expand / contract would become almost instant. So, I just decided to be lazy and make it just change the scale instantly, instead of fixing it like a normal person.
            {
				while (true)
                {
					if (this.Organ.Dead)
                    {
						yield break;
                    }

					yield return new WaitForSeconds(1f / (Health / 10));
					this.transform.localScale = new Vector2(1.2f, 1.2f);
					this.OxygenAmount = 15f;
					yield return new WaitForSeconds(1f / (Health / 10));
					this.OxygenAmount -= 10f;
					this.transform.localScale = new Vector2(1f, 1f);
				}
            }
        }

		public class BigBrainBehaviour : MonoBehaviour //brain
		{
			public enum BrainModes
			{
				Auto, //Automatic, where code loops over and stuff
				Manual //Manual control via nerves and stuff, code doesn't loop
			}

			public OrganCirculation Organ;

			public List<MotorisedHingeBehaviour> MotorServo = new List<MotorisedHingeBehaviour>(); //Keeps track of every servo

			public LungBehaviour Lung;

			public float SightedPos;
			public Vector2 HeadToPos;

			public List<NerveWireBehaviour> nerves = new List<NerveWireBehaviour>(); //Keeps track of every nerve attached to the brain

			public List<SpringCableBehaviour> muscles = new List<SpringCableBehaviour>(); //Keeps track of every muscle connected to the brain

			public BigBrainBehaviour.BrainModes Mode = BigBrainBehaviour.BrainModes.Auto;

			public BigBrainBehaviour.BrainModes SwitchModeThing
			{
				get
				{
					switch (Mode)
					{
						case BigBrainBehaviour.BrainModes.Auto:
							return BigBrainBehaviour.BrainModes.Manual;
						case BigBrainBehaviour.BrainModes.Manual:
							return BigBrainBehaviour.BrainModes.Auto;
						default:
							return BigBrainBehaviour.BrainModes.Auto;
					}
				}
			}

			public bool shouldDie = true;

			private void Awake()
            {
				this.Organ = this.gameObject.GetComponent<OrganCirculation>();
				///StartCoroutine(AutoPulse());
				this.GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("Change Brain's Mode", delegate ()
				{
					return "Change Brain's Mode";
				}, "Change Brain's Mode", new UnityAction[]
				{
					delegate()
					{
						this.Mode = this.SwitchModeThing;
						ModAPI.Notify(this.Mode.ToString());
					}
				}));

				this.GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("Disable Oxygen Starvation", delegate ()
				{
					if (this.shouldDie)
                    {
						return "Disable Oxygen Starvation";
                    }
					return "Enable Oxygen Starvation";
				}, "Disable / Enable Oxygen Starvation", new UnityAction[]
				{
					delegate()
					{
						this.shouldDie = !this.shouldDie;
					}
				}));

				this.GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("Open Pseudo-Code Editor", delegate ()
				{
					return "Open Pseudo-Code Editor";
				}, "Open Pseudo-Code Editor", new UnityAction[]
				{
					delegate()
					{
						Debug.Log("Opening the editor");
						var dialog = (DialogBox)null;
						///this.gameObject.AddComponent<CodeWriterSetup>(); //TESTING HH
                        dialog = DialogBoxManager.TextEntry("", "TESTING", new DialogButton("Apply", true, new UnityAction[1]
						{
						(UnityAction)(() => {
							string dirtystr = dialog.EnteredText.Replace("\t", ";");
							dirtystr = dialog.EnteredText.Replace("\n", ";");
							string[] cleanstr = dirtystr.Split(new string[] {";"}, StringSplitOptions.None); //https://stackoverflow.com/questions/45758587/how-can-i-turn-a-multi-line-string-into-an-array-where-each-element-is-a-line-of
							this.AllLines = cleanstr;
							foreach (string test in cleanstr)
                            {
								Debug.Log(test);
                            }
							foreach (string test in this.AllLines)
							{
								Debug.Log(test);
							}
							Debug.Log(this.AllLines.Length);
						}),
						}),
						new DialogButton("Cancel", true, (UnityAction)(() => dialog.Close())));
						dialog.InputField.lineType = TMP_InputField.LineType.MultiLineNewline;
						foreach (TMP_Text text in dialog.InputField.gameObject.GetComponentsInChildren<TMP_Text>())
                        {
							text.fontSize = 22;
						}
						//dialog.InputField.multiLine = true;
					}
				}));

				this.GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("Run Code", delegate ()
				{
					return "Run Code";
				}, "Run Code", new UnityAction[]
				{
					delegate()
					{
						StopAllCoroutines();
						StartCoroutine(ExecuteCode(this.AllLines));
						ModAPI.Notify("Running!");
					}
				}));

				this.GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("Stop Code", delegate ()
				{
					return "Stop Code";
				}, "Stop Code", new UnityAction[]
				{
					delegate()
					{
						StopAllCoroutines();
						ModAPI.Notify("Stopping!");
					}
				}));
			}

			private void Start()
			{
				this.StartCoroutine(FindMeAllNervesPlease());
			}

			private IEnumerator FindMeAllNervesPlease()
			{
				yield return new WaitForEndOfFrame();
				var h = UnityEngine.Object.FindObjectsOfType<NerveWireBehaviour>(); //Stupid and slow. I literally can't find all the muscles attached to this muscle puller otherwise.
				foreach (NerveWireBehaviour joint in h)
				{
					if (joint.gameObject == this.gameObject || joint.otherPhysicalBehaviour.gameObject == this.gameObject)
					{
						Debug.Log("Fixing Nerve...");
						this.nerves.Add(joint);
					}
				}
				yield return new WaitForEndOfFrame();
			}

			public float Health = 10f;
			public float Oxygen = 20f;

			public void Update()
            {
				if (this.Organ.Dead)
                {
					this.gameObject.GetComponent<SpriteRenderer>().color = Color.Lerp(this.gameObject.GetComponent<SpriteRenderer>().color, new Color(0.8f, 0.8f, 0.5f), Time.deltaTime / 10f);
					return;
                }

				if (this.gameObject.GetComponent<PhysicalBehaviour>().Charge < 4f && this.shouldDie)
                {
					this.Health -= 0.5f * Time.deltaTime;
					if (this.Health <= 0f)
                    {
						this.Organ.Dead = true;
					}
                }
                else
                {
					this.Health = 10f;
				}

				if (!this.Lung && this.shouldDie)
                {
					this.Oxygen -= 0.5f * Time.deltaTime;

					if (this.Oxygen <= 0f)
					{
						this.Organ.Dead = true;
					}
				}
                else if (this.shouldDie && !this.Lung.Organ.Dead)
                {
					this.Oxygen = 20f;
				}

				if (this.MotorServo.Count > 0) //Changes the servo's delta towards the sighted pos
				{
					foreach (var serv in this.MotorServo)
                    {
						serv.SetDelta(SightedPos - 90);
					}
				}

				if (this.Mode == BigBrainBehaviour.BrainModes.Auto) //All code below this only runs if it's in auto mode
                {
					return;
				}

				foreach (var nerve in nerves) //Runs button press for nerves
				{
					if (nerve == null)
					{
						nerves.RemoveAll(NerveWireBehaviour => NerveWireBehaviour == null); //Got this somewhere online. Credit to them, even though I don't have the source.
						Debug.Log("Removing null entries...");
						return;
					}
					if (Input.GetKeyDown(nerve.key))
					{
						nerve.KeyPressed();
					}
				}
			}

			private IEnumerator AutoPulse() //This used to just make the brain emit a channel 1 activation signal when it's close to dying.
            {
				while (true)
                {
					if (this.Organ.Dead)
					{
						yield break;
					}

					if (this.Mode == BigBrainBehaviour.BrainModes.Manual)
					{
						yield return 0;
						continue;
					}

					if (this.Oxygen < 10f || this.Health < 5f)
                    {
						///base.SendMessage("Use", new ActivationPropagation(false, (ushort)0), SendMessageOptions.DontRequireReceiver);
					}
					yield return new WaitForEndOfFrame();
				}
            }

			public string[] AllLines = new string[]
			{
				"Wait 1"
			};

			public IEnumerator ExecuteCode(string[] code) //This runs the code for the code editor. Subpar and botched.
            {
				var debounce = true;
				while (debounce && !this.Organ.Dead)
                {
					foreach (string DirtyLine in code)
					{
						if (this.Organ.Dead)
                        {
							yield break;
                        }
						var Line = new string(DirtyLine.Where(Char.IsLetter).ToArray());
						var NumLine = new string(DirtyLine.Where(Char.IsDigit).ToArray());
						var split = NumLine.Split();
						var linesplit = DirtyLine.Split();
						Line = Line.Trim();
						Debug.Log(Line);
						Debug.Log(split[0]);
						Debug.Log(NumLine);
						if (Line == "Wait")
						{
							yield return new WaitForSeconds(float.Parse(NumLine));
							continue;
						}
						if (linesplit.Length > 1 && NumLine.Length <= 0)
						{
							if (Check(linesplit[0]))
							{
								base.SendMessage(linesplit[0], linesplit[1], SendMessageOptions.DontRequireReceiver);
							}
							continue;
						}
						if (Check(Line) && split.Length > 0 && split.Length < 2)
						{
							base.SendMessage(Line, float.Parse(split[0]), SendMessageOptions.DontRequireReceiver);
						}
						else if (Check(Line) && split.Length >= 2)
						{
							base.SendMessage(Line, split, SendMessageOptions.DontRequireReceiver);
						}
						else if (Check(Line))
						{
							base.SendMessage(Line, "", SendMessageOptions.DontRequireReceiver);
						}
					}

					if (this.Mode == BigBrainBehaviour.BrainModes.Manual)
					{
						debounce = false;
						yield break;
					}
                    else
                    {
						yield return new WaitForEndOfFrame();
					}
				}
            }

			//So here are all the commands you can use.
			public void SelfDestruct(int strength)
            {
				ExplosionCreator.CreateFragmentationExplosion(30U, this.transform.position, 4f, (float)strength, true);
				ModAPI.CreateParticleEffect("BloodExplosion", this.transform.position);
				this.gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
				StopAllCoroutines();
				Destroy(this);
			}

			public void PrintValue(string UnusedMessage)
            {
				ModAPI.Notify(UnusedMessage);
            }

			public void PullMuscle(string[] i)
            {
				var iter = int.Parse(i[0]);
				var iter2 = float.Parse(i[1]);
				muscles[iter].typedJoint.distance = iter2;
				muscles[iter].typedJoint.gameObject.GetComponent<Rigidbody2D>().AddForce(new Vector2(0.3f, 0.3f), ForceMode2D.Impulse);
			}

			public void TriggerNerve(int i)
			{
				this.nerves[i].typedJoint.connectedBody.gameObject.SendMessage("Use", new ActivationPropagation(false, nerves[i].Channel), SendMessageOptions.DontRequireReceiver);
			}

			public void TriggerNerves(string K)
			{
				foreach (var thing in nerves)
                {
					if (K == thing.key.ToString())
                    {
						thing.typedJoint.connectedBody.gameObject.SendMessage("Use", new ActivationPropagation(false, thing.Channel), SendMessageOptions.DontRequireReceiver);
					}
                }
			}

			public void PullMuscles(float i)
            {
				foreach (var musc in muscles)
                {
					musc.typedJoint.distance = i;
					musc.typedJoint.gameObject.GetComponent<Rigidbody2D>().AddForce(new Vector2(0.3f, 0.3f), ForceMode2D.Impulse);
				}
            }

			public void SendPulse(int i)
            {
				base.SendMessage("Use", new ActivationPropagation(false, (ushort)i), SendMessageOptions.DontRequireReceiver);
			}
			//And that's it. I think you can call any public function here, but it's worthless.

			public void ShotHeard(FirearmBehaviour arms) //If a shot is heard in a 35m distance, then emit a red activation signal.
            {
				Debug.Log("Listening...");
				if (Vector3.Distance(arms.gameObject.transform.position, this.transform.position) < 35f && this.Mode == BigBrainBehaviour.BrainModes.Auto && !this.Organ.Dead)
				{
					Debug.Log("Shot heard!");
					base.SendMessage("Use", new ActivationPropagation(false, (ushort)2), SendMessageOptions.DontRequireReceiver);
				}
            }

			public bool Check(string method)
			{
				if (this.GetType().GetMethod(method) != null)
				{
					Debug.Log("Found: " + method);
					return true;
				}
				else
				{
					Debug.LogError("NonExistantMethodException: The called method does not exist.");
					return false;
				}
			}
		}

		public class OxygenPipeTool : DistanceWireTool
		{
			private void Awake()
			{
				this.WireMaterial = new Material(Resources.Load<Material>("Materials/HeatPipe"));
				this.WireMaterial.mainTexture = Mod.OxyWire.texture;
				this.WireMaterial.mainTexture.wrapMode = TextureWrapMode.Repeat;
				this.WireWidth = 0.1f;
				this.WireColor = Color.white;
			}

			protected override void OnJointCreate(DistanceJoint2D joint)
			{
				OxyPipeBehaviour heatPipeBehaviour = joint.gameObject.AddComponent<OxyPipeBehaviour>();
				UndoControllerBehaviour.RegisterAction(new ObjectCreationAction(heatPipeBehaviour, "oxygen pipe"));
				heatPipeBehaviour.WireColor = this.WireColor;
				heatPipeBehaviour.WireMaterial = this.WireMaterial;
				heatPipeBehaviour.WireWidth = this.WireWidth;
				heatPipeBehaviour.typedJoint = joint;
				heatPipeBehaviour.typedJoint.maxDistanceOnly = false;
				heatPipeBehaviour.Joint_Anchor = joint.anchor;
				heatPipeBehaviour.Joint_ConnectedAnchor = joint.connectedAnchor;
			}
		}

		public class RopeBehaviour : MonoBehaviour //Ha. ha. You thought I wouldn't copy code directly from the main code? Ha. Ha. Ha.
		{
			private void Start()
			{
				this.lineRenderer.enabled = false;
				GenerateGuts();
			}

			private void Update()
			{
				this.UpdateRenderer();
			}

			private void Shot(Shot shot)
			{
				if (UnityEngine.Random.value < shot.damage / 800f && UnityEngine.Random.value > 0.4f)
				{
					this.GenerateGuts();
					if (this.CutJointWhenShot && this.triggeringJoint)
					{
						this.triggeringJoint.breakForce = 0f;
					}
				}
			}

			public void GenerateGuts()
			{
				if (!base.enabled)
				{
					return;
				}
				if (this.hasGuts)
				{
					return;
				}
				//this.hasGuts = true;
				this.lineRenderer.positionCount = this.pointCount + 2;
				for (int i = 0; i < this.pointCount; i++)
				{
					GameObject gameObject = new GameObject("Rope Node " + i.ToString(), new Type[]
					{
				typeof(Rigidbody2D),
				typeof(CircleCollider2D)
					});
					Rigidbody2D component = gameObject.GetComponent<Rigidbody2D>();
					this.nodes.Add(component);
					this.nodesCol.Add(gameObject.GetComponent<Collider2D>());
					component.mass = 0.05f;
					component.interpolation = RigidbodyInterpolation2D.Interpolate;
					gameObject.GetComponent<CircleCollider2D>().radius = this.lineRenderer.widthMultiplier / 2.5f;
					gameObject.layer = this.collisionLayer;
					gameObject.transform.SetParent(base.transform);
					gameObject.transform.position = Vector3.Lerp(base.transform.position, this.connected.transform.position, (float)i / ((float)this.pointCount - 1f));
					if (i == 0)
					{
						this.CreateDistanceJoint(gameObject, base.GetComponent<Rigidbody2D>(), this.gutSnapForce);
					}
					else
					{
						this.CreateDistanceJoint(gameObject, this.nodes[i - 1], float.PositiveInfinity);
						if (i == this.pointCount - 1)
						{
							this.CreateDistanceJoint(gameObject, this.connected, float.PositiveInfinity);
						}
					}
				}
				this.lineRenderer.enabled = true;
				/*DistanceJoint2D distanceJoint2D = this.nodes[0].gameObject.AddComponent<DistanceJoint2D>();
				distanceJoint2D.connectedBody = this.nodes.Last<Rigidbody2D>();
				distanceJoint2D.maxDistanceOnly = true;
				distanceJoint2D.autoConfigureDistance = false;
				distanceJoint2D.enableCollision = false;
				distanceJoint2D.distance = (float)this.nodes.Count * this.distanceBetweenNodes;*/
				this.anchor1 = base.transform.InverseTransformPoint(this.anchor1);
				this.anchor2 = this.connected.transform.InverseTransformPoint(this.anchor2);
				var col = this.gameObject.AddComponent<NoCollide>();
				col.NoCollideSetA = Enumerable.Range(0, this.nodesCol.ToArray().Length / 4).Select(i => nodesCol.ToArray()[4 * i]).ToArray();
				col.NoCollideSetB = this.nodesCol.ToArray();
			}

			private void OnDestroy()
            {
				GameObject.Destroy(this.gameObject);
            }

			private void UpdateRenderer()
			{
				this.lineRenderer.SetPosition(0, base.transform.position);
				for (int i = 1; i < this.nodes.Count + (this.connected.gameObject.activeSelf ? 1 : 0); i++)
				{
					this.lineRenderer.SetPosition(i, this.nodes[i - 1].transform.position);
				}
				if (this.connected.gameObject.activeSelf)
				{
					this.lineRenderer.SetPosition(this.nodes.Count + 1, this.connected.transform.position);
					return;
				}
				if (this.lineRenderer.positionCount != this.nodes.Count)
				{
					this.lineRenderer.positionCount = this.nodes.Count;
				}
			}

			private void CreateDistanceJoint(GameObject owner, Rigidbody2D connected, float breakthreshold = float.PositiveInfinity)
			{
				HingeJoint2D hingeJoint2D = owner.AddComponent<HingeJoint2D>();
				hingeJoint2D.autoConfigureConnectedAnchor = false;
				hingeJoint2D.connectedAnchor = new Vector2(this.distanceBetweenNodes, 0f);
				hingeJoint2D.connectedBody = connected;
				hingeJoint2D.enableCollision = false;
				DistanceJoint2D distanceJoint2D = owner.AddComponent<DistanceJoint2D>();
				distanceJoint2D.autoConfigureConnectedAnchor = false;
				distanceJoint2D.connectedAnchor = new Vector2(0f, 0f);
				distanceJoint2D.maxDistanceOnly = this.MaxDistanceOnly;
				distanceJoint2D.enableCollision = false;
				distanceJoint2D.autoConfigureDistance = false;
				distanceJoint2D.distance = this.distanceBetweenNodes;
				distanceJoint2D.connectedBody = connected;
			}

			private void OnJointBreak2D(Joint2D joint)
			{
				if (this.triggeringJoint != joint)
				{
					return;
				}
				this.anchor1 = base.transform.TransformPoint(this.triggeringJoint.anchor);
				this.anchor2 = this.connected.transform.TransformPoint(this.triggeringJoint.connectedAnchor);
				this.GenerateGuts();
			}

			public Rigidbody2D connected;
			public LineRenderer lineRenderer;
			public int pointCount = 50;
			public float distanceBetweenNodes = 0.05f;
			public int collisionLayer;
			public AnchoredJoint2D triggeringJoint;
			public bool CutJointWhenShot = false;
			public bool MaxDistanceOnly = true;
			private List<Rigidbody2D> nodes = new List<Rigidbody2D>();
			private List<Collider2D> nodesCol = new List<Collider2D>();
			private Vector3 anchor1;
			private Vector3 anchor2;
			public float gutSnapForce = Mathf.Infinity;
			private bool gutSnapped;
			public bool hasGuts;
		}

		public class OxyPipeBehaviour : DistanceJointWireBehaviour
        {
			protected override void Start()
            {
				base.Start();
				this.lineRenderer.material = new Material(Resources.Load<Material>("Materials/HeatPipe"));
				this.lineRenderer.material.mainTexture = Mod.OxyWire.texture;
				this.lineRenderer.material.mainTexture.wrapMode = TextureWrapMode.Repeat;
				this.WireMaterial = this.lineRenderer.material;
			}
			protected override void Tick()
            {
				LimbBehaviour Limb;
				AirTankBehaviour Tank;
				OxygenBlower Blower;
				if (!this.physicalBehaviour || !this.otherPhysicalBehaviour || this.physicalBehaviour == this.otherPhysicalBehaviour)
                {
					return;
                }
				if (this.physicalBehaviour.gameObject.TryGetComponent<LimbBehaviour>(out Limb) && this.otherPhysicalBehaviour.gameObject.TryGetComponent<AirTankBehaviour>(out Tank) || this.otherPhysicalBehaviour.gameObject.TryGetComponent<LimbBehaviour>(out Limb) && this.physicalBehaviour.gameObject.TryGetComponent<AirTankBehaviour>(out Tank))
                {
					if (Limb.gameObject.GetComponent(Tank.GasType()))
                    {
						Gas h = Limb.gameObject.GetComponent(Tank.GasType()) as Gas;
						h.Effect();
						return;
					}
					Limb.gameObject.AddComponent(Tank.GasType());
				}
            }
        }

		public class Nerve2WireTool : DistanceWireTool
		{
			private void Awake()
			{
				this.WireColor = new Color(1f, 1f, 0.9f, 1f);
				this.WireMaterial = Resources.Load<Material>("Materials/Wire");
				this.WireWidth = 0.02f;
				this.AllowNothingConnection = false;
			}

			protected override void OnJointCreate(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = this.CreateWire(joint);
				if (useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
				if (useWireBehaviour.otherPhysicalBehaviour.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.otherPhysicalBehaviour.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
			}

			protected NerveWireBehaviour CreateWire(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = joint.gameObject.AddComponent<NerveWireBehaviour>();
				this.Wirey = useWireBehaviour;
				UndoControllerBehaviour.RegisterAction(new ObjectCreationAction(useWireBehaviour, "nerve"));
				useWireBehaviour.WireColor = this.WireColor;
				useWireBehaviour.WireMaterial = this.WireMaterial;
				useWireBehaviour.WireWidth = this.WireWidth;
				useWireBehaviour.typedJoint = joint;
				if (joint.gameObject.GetComponent<BigBrainBehaviour>() && joint.connectedBody.gameObject.GetComponent<MotorisedHingeBehaviour>())
				{
					joint.gameObject.GetComponent<BigBrainBehaviour>().MotorServo.Add(joint.connectedBody.gameObject.GetComponent<MotorisedHingeBehaviour>());
					Debug.Log("Brain To Hinge");
				}

				if (joint.gameObject.GetComponent<MotorisedHingeBehaviour>() && joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>().MotorServo.Add(joint.gameObject.GetComponent<MotorisedHingeBehaviour>());
					Debug.Log("Hinge To Brain");
				}
				return useWireBehaviour;
			}

			public NerveWireBehaviour Wirey;
		}

		public class NewMuscleWireBehaviour : SpringCableBehaviour
        {
            protected override void Start()
            {
                base.Start();
				this.lineRenderer.material = new Material(Resources.Load<Material>("Materials/Wire"));
				this.lineRenderer.material.mainTexture = Mod.Muscle.texture;
				this.lineRenderer.material.mainTexture.wrapMode = TextureWrapMode.Repeat;
				this.WireMaterial = this.lineRenderer.material;
			}
        }

		public class NewMuscleWireTool : SpringJointWireTool
		{
			NewMuscleWireBehaviour springCableBehaviour;
			SpringJoint2D TheJoint;

			private void Awake()
			{
				this.WireColor = Color.red;
				this.WireMaterial = new Material(Resources.Load<Material>("Materials/Wire"));
				this.WireMaterial.mainTexture = Mod.Muscle.texture;
				this.WireMaterial.mainTexture.wrapMode = TextureWrapMode.Repeat;
				this.WireWidth = 0.05f;
				this.AllowNothingConnection = false;
			}

			protected override void OnJointCreate(SpringJoint2D joint)
			{
				springCableBehaviour = joint.gameObject.AddComponent<NewMuscleWireBehaviour>();
				joint.name = "Muscle Wire";
				TheJoint = joint;
				springCableBehaviour.WireColor = this.WireColor;
				springCableBehaviour.WireMaterial = this.WireMaterial;
				springCableBehaviour.WireWidth = this.WireWidth;
				springCableBehaviour.typedJoint = joint;
				joint.frequency = Mathf.Clamp(75f * (joint.connectedBody.mass + joint.gameObject.GetComponent<Rigidbody2D>().mass), 55f, 300f);
				joint.dampingRatio = 1f + 30f / (joint.connectedBody.mass + joint.gameObject.GetComponent<Rigidbody2D>().mass);
				UndoControllerBehaviour.RegisterAction(new ObjectCreationAction(springCableBehaviour, "muscle"));
				ModAPI.Notify("Select a brain to pair it with the muscle!");
				ModAPI.Notify("Right-click to cancel.");
				StartCoroutine(SelectBrain());
				if (joint.gameObject.GetComponent<MusclePullerBehaviour>())
				{
					joint.gameObject.GetComponent<MusclePullerBehaviour>().Muscles.Add(joint);
				}

				if (joint.connectedBody.gameObject.GetComponent<MusclePullerBehaviour>())
				{
					joint.connectedBody.gameObject.GetComponent<MusclePullerBehaviour>().Muscles.Add(joint);
				}
			}

			private bool debounce = true;
			private BigBrainBehaviour Brain;

			private IEnumerator SelectBrain()
            {
				while (debounce)
                {
					var objs = SelectionController.Main.SelectedObjects;
					foreach (var obj in objs)
                    {
						if (obj.gameObject.GetComponent<BigBrainBehaviour>())
                        {
							this.Brain = obj.gameObject.GetComponent<BigBrainBehaviour>();
							debounce = false;
                        }
                    }
					if (Input.GetMouseButtonUp(1))
                    {
						ModAPI.Notify("Cancelled.");
						yield break;
                    }
					yield return new WaitForEndOfFrame();
				}
				
				if (Brain == null)
                {
					yield break;
                }

				this.Brain.muscles.Add(this.springCableBehaviour);
				ModAPI.Notify("Muscle Connected To Brain!");
				Debug.Log(this.Brain.transform.position.ToString());
            }
		}

		public class NerveWireTool : DistanceWireTool
		{
			private void Awake()
			{
				this.WireColor = Color.white;
				this.WireMaterial = Resources.Load<Material>("Materials/Wire");
				this.WireWidth = 0.02f;
				this.AllowNothingConnection = false;
			}

			protected override void OnJointCreate(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = this.CreateWire(joint);
				if (useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
				if (useWireBehaviour.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
			}

			protected NerveWireBehaviour CreateWire(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = joint.gameObject.AddComponent<NerveWireBehaviour>();
				this.Wirey = useWireBehaviour;
				this.ChangeKeyBox(useWireBehaviour);
				UndoControllerBehaviour.RegisterAction(new ObjectCreationAction(useWireBehaviour, "nerve"));
				useWireBehaviour.WireColor = this.WireColor;
				useWireBehaviour.WireMaterial = this.WireMaterial;
				useWireBehaviour.WireWidth = this.WireWidth;
				useWireBehaviour.typedJoint = joint;
				if (joint.transform.Find("Cone") && joint.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>() && joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					joint.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>().AttachedBrain = joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>();
					Debug.Log("Joint To Brain");
				}

				if (joint.gameObject.GetComponent<BigBrainBehaviour>() && joint.connectedBody.transform.Find("Cone") && joint.connectedBody.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>())
				{
					joint.connectedBody.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>().AttachedBrain = joint.gameObject.GetComponent<BigBrainBehaviour>();
					Debug.Log("Brain To Joint");
				}

				if (joint.gameObject.GetComponent<BigBrainBehaviour>() && joint.connectedBody.gameObject.GetComponent<LungBehaviour>())
                {
					joint.gameObject.GetComponent<BigBrainBehaviour>().Lung = joint.connectedBody.gameObject.GetComponent<LungBehaviour>();
					Debug.Log("Brain To Joint");
				}

				if (joint.gameObject.GetComponent<LungBehaviour>() && joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>().Lung = joint.gameObject.GetComponent<LungBehaviour>();
					Debug.Log("Joint To Brain");
				}
				return useWireBehaviour;
			}

			public NerveWireBehaviour Wirey;
			public DialogBox dialog;

			private void ChangeKeyBox(NerveWireBehaviour wire)
            {
				dialog = (DialogBox)null;
				dialog = DialogBoxManager.KeyEntry("Trigger key\nClick to edit", wire.key, new DialogButton[]
				{
					new DialogButton("Apply", true, new UnityAction[]
					{
						new UnityAction(this.set)
					}),
					new DialogButton("Cancel", true, Array.Empty<UnityAction>())
				});
			}

			public void set()
            {
				Wirey.key = dialog.KeyField.SetKey;
			}

			public void destroy(NerveWireBehaviour wire)
			{
				GameObject.Destroy(wire.gameObject);
			}
		}

		public class NerveBWireTool : DistanceWireTool
		{
			private void Awake()
			{
				this.WireColor = Color.white;
				this.WireMaterial = Resources.Load<Material>("Materials/Wire");
				this.WireWidth = 0.02f;
				this.AllowNothingConnection = false;
			}

			protected override void OnJointCreate(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = this.CreateWire(joint);
				if (useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
				if (useWireBehaviour.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
			}

			protected NerveWireBehaviour CreateWire(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = joint.gameObject.AddComponent<NerveWireBehaviour>();
				useWireBehaviour.Channel = (ushort)1;
				this.Wirey = useWireBehaviour;
				this.ChangeKeyBox(useWireBehaviour);
				UndoControllerBehaviour.RegisterAction(new ObjectCreationAction(useWireBehaviour, "nerve"));
				useWireBehaviour.WireColor = this.WireColor;
				useWireBehaviour.WireMaterial = this.WireMaterial;
				useWireBehaviour.WireWidth = this.WireWidth;
				useWireBehaviour.typedJoint = joint;
				if (joint.transform.Find("Cone") && joint.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>() && joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					joint.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>().AttachedBrain = joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>();
					Debug.Log("Joint To Brain");
				}

				if (joint.gameObject.GetComponent<BigBrainBehaviour>() && joint.connectedBody.transform.Find("Cone") && joint.connectedBody.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>())
				{
					joint.connectedBody.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>().AttachedBrain = joint.gameObject.GetComponent<BigBrainBehaviour>();
					Debug.Log("Brain To Joint");
				}

				if (joint.gameObject.GetComponent<BigBrainBehaviour>() && joint.connectedBody.gameObject.GetComponent<LungBehaviour>())
				{
					joint.gameObject.GetComponent<BigBrainBehaviour>().Lung = joint.connectedBody.gameObject.GetComponent<LungBehaviour>();
					Debug.Log("Brain To Joint");
				}

				if (joint.gameObject.GetComponent<LungBehaviour>() && joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>().Lung = joint.gameObject.GetComponent<LungBehaviour>();
					Debug.Log("Joint To Brain");
				}
				return useWireBehaviour;
			}

			public NerveWireBehaviour Wirey;
			public DialogBox dialog;

			private void ChangeKeyBox(NerveWireBehaviour wire)
			{
				dialog = (DialogBox)null;
				dialog = DialogBoxManager.KeyEntry("Trigger key\nClick to edit", wire.key, new DialogButton[]
				{
					new DialogButton("Apply", true, new UnityAction[]
					{
						new UnityAction(this.set)
					}),
					new DialogButton("Cancel", true, Array.Empty<UnityAction>())
				});
			}

			public void set()
			{
				Wirey.key = dialog.KeyField.SetKey;
			}

			public void destroy(NerveWireBehaviour wire)
			{
				GameObject.Destroy(wire.gameObject);
			}
		}

		public class NerveRWireTool : DistanceWireTool
		{
			private void Awake()
			{
				this.WireColor = Color.white;
				this.WireMaterial = Resources.Load<Material>("Materials/Wire");
				this.WireWidth = 0.02f;
				this.AllowNothingConnection = false;
			}

			protected override void OnJointCreate(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = this.CreateWire(joint);
				if (useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.typedJoint.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
				if (useWireBehaviour.otherPhysicalBehaviour.gameObject.GetComponent<BigBrainBehaviour>())
				{
					useWireBehaviour.otherPhysicalBehaviour.gameObject.GetComponent<BigBrainBehaviour>().nerves.Add(useWireBehaviour);
				}
			}

			protected NerveWireBehaviour CreateWire(DistanceJoint2D joint)
			{
				NerveWireBehaviour useWireBehaviour = joint.gameObject.AddComponent<NerveWireBehaviour>();
				useWireBehaviour.Channel = (ushort)2;
				this.Wirey = useWireBehaviour;
				this.ChangeKeyBox(useWireBehaviour);
				UndoControllerBehaviour.RegisterAction(new ObjectCreationAction(useWireBehaviour, "nerve"));
				useWireBehaviour.WireColor = this.WireColor;
				useWireBehaviour.WireMaterial = this.WireMaterial;
				useWireBehaviour.WireWidth = this.WireWidth;
				useWireBehaviour.typedJoint = joint;
				if (joint.transform.Find("Cone") && joint.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>() && joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					joint.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>().AttachedBrain = joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>();
					Debug.Log("Joint To Brain");
				}

				if (joint.gameObject.GetComponent<BigBrainBehaviour>() && joint.connectedBody.transform.Find("Cone") && joint.connectedBody.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>())
				{
					joint.connectedBody.transform.Find("Cone").gameObject.GetComponent<EyeSeeingBehaviour>().AttachedBrain = joint.gameObject.GetComponent<BigBrainBehaviour>();
					Debug.Log("Brain To Joint");
				}

				if (joint.gameObject.GetComponent<BigBrainBehaviour>() && joint.connectedBody.gameObject.GetComponent<LungBehaviour>())
				{
					joint.gameObject.GetComponent<BigBrainBehaviour>().Lung = joint.connectedBody.gameObject.GetComponent<LungBehaviour>();
					Debug.Log("Brain To Joint");
				}

				if (joint.gameObject.GetComponent<LungBehaviour>() && joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					joint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>().Lung = joint.gameObject.GetComponent<LungBehaviour>();
					Debug.Log("Joint To Brain");
				}
				return useWireBehaviour;
			}

			public NerveWireBehaviour Wirey;
			public DialogBox dialog;

			private void ChangeKeyBox(NerveWireBehaviour wire)
			{
				dialog = (DialogBox)null;
				dialog = DialogBoxManager.KeyEntry("Trigger key\nClick to edit", wire.key, new DialogButton[]
				{
					new DialogButton("Apply", true, new UnityAction[]
					{
						new UnityAction(this.set)
					}),
					new DialogButton("Cancel", true, Array.Empty<UnityAction>())
				});
			}

			public void set()
			{
				Wirey.key = dialog.KeyField.SetKey;
			}

			public void destroy(NerveWireBehaviour wire)
			{
				GameObject.Destroy(wire.gameObject);
			}
		}

		public class NerveWireBehaviour : DistanceJointWireBehaviour
		{
			public KeyCode key;

			protected override void Start()
			{
				base.Start();
				this.lineRenderer.widthMultiplier = 0.02f;
			}

			private void IsolatedActivation(ActivationPropagation activation)
			{
				if (activation.Path == null)
				{
					this.Use(new ActivationPropagation(false, this.Channel));
					return;
				}
				this.Use(activation);
			}

			private void IsolatedContinuousActivation(ActivationPropagation activation)
			{
				if (activation.Path == null)
				{
					this.UseContinuous(new ActivationPropagation(false, this.Channel));
					return;
				}
				this.UseContinuous(activation);
			}

			private void Use(ActivationPropagation activation)
			{
				if (this.physicalBehaviour.ActivationPropagationDelay < 0f)
				{
					return;
				}
				if (this.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					return;
				}
				if (!this.physicalBehaviour.SendUserPropagation && activation.Direct)
				{
					return;
				}
				base.StartCoroutine(this.SendUseMessage(activation.Branch(base.transform.root)));
			}

			public void KeyPressed()
            {
				this.Use(new ActivationPropagation(false, this.Channel));
			}

			private IEnumerator SendUseMessage(ActivationPropagation activation)
			{
				yield return new WaitForSeconds(this.physicalBehaviour.ActivationPropagationDelay);
				if (this.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
                {
					yield break;
                }
				this.typedJoint.connectedBody.BroadcastMessage("Use", activation, SendMessageOptions.DontRequireReceiver);
				yield return new WaitForEndOfFrame();
				yield break;
			}

			private void UseContinuous(ActivationPropagation activation)
			{
				if (this.physicalBehaviour.ActivationPropagationDelay < 0f)
				{
					return;
				}
				if (this.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					return;
				}
				if (!this.physicalBehaviour.SendUserPropagation && activation.Direct)
				{
					return;
				}
				base.StartCoroutine(this.SendUseContinuousMessage(activation.Branch(base.transform.root)));
			}

			private IEnumerator SendUseContinuousMessage(ActivationPropagation activation)
			{
				yield return new WaitForSeconds(this.physicalBehaviour.ActivationPropagationDelay);
				if (this.typedJoint.connectedBody.gameObject.GetComponent<BigBrainBehaviour>())
				{
					yield break;
				}
				this.typedJoint.connectedBody.BroadcastMessage("UseContinuous", activation, SendMessageOptions.DontRequireReceiver);
				yield return new WaitForEndOfFrame();
				yield break;
			}
			protected override void OnDestroy()
			{
				if (this.typedJoint.gameObject.GetComponent<BigBrainBehaviour>() && this.typedJoint.gameObject.GetComponent<BigBrainBehaviour>().nerves.Contains(this))
				{
					this.typedJoint.gameObject.GetComponent<BigBrainBehaviour>().nerves.Remove(this);
				}
				base.OnDestroy();
			}

			public ushort Channel = (ushort)0;
		}

		public class HeartBeatBehaviour : MonoBehaviour
		{
			private void Start()
            {
				this.container = this.gameObject.GetComponent<BloodContainer>();
				this.renderer = this.gameObject.GetComponent<SpriteRenderer>();
				this.circ = this.gameObject.GetComponent<OrganCirculation>();
				this.audioSource = this.gameObject.AddComponent<AudioSource>();
				StartCoroutine(Beat());
			}

			private void Update()
			{
				if (this.circ.Dead)
				{
					this.gameObject.GetComponent<SpriteRenderer>().color = Color.Lerp(this.gameObject.GetComponent<SpriteRenderer>().color, new Color(0.6f, 0.6f, 0.1f), Time.deltaTime / 10f);
					return;
				}
			}

			private bool debounce = false;

			private IEnumerator Beat() //I spent a while trying to use Lerp, didn't want to work.
			{
				while (true)
				{
					this.gameObject.transform.localScale = new Vector2(1.2f, 1.2f);
					this.audioSource.PlayOneShot(Mod.Beat1, 1f);
					yield return new WaitForSeconds(0.36f / this.container.TotalLiquidAmount);
					this.gameObject.transform.localScale = new Vector2(1f, 1f);
					this.audioSource.PlayOneShot(Mod.Beat2, 1f);
					this.gameObject.GetComponent<PhysicalBehaviour>().Charge = Mathf.Clamp(this.container.TotalLiquidAmount * 10f, 0f, 20f);
					yield return new WaitForSeconds(0.4f / this.container.TotalLiquidAmount);
				}
			}

			public BloodContainer container;
			public Renderer renderer;
			public AudioSource audioSource;
			public OrganCirculation circ;
		}

		public class OrganCirculation : MonoBehaviour
		{
			public BloodContainer OrganContainer;
			public bool Dead;

			private void Awake()
			{
				this.OrganContainer = this.gameObject.GetComponent<BloodContainer>();
			}

			private void FixedUpdate()
            {
				HandlePenetrationBleeding();
				HandleBleeding(Time.deltaTime);
				if (this.OrganContainer.TotalLiquidAmount <= 0f)
                {
					Dead = true;
					return;
                }
			}

			private void HandlePenetrationBleeding()
			{
				foreach (PhysicalBehaviour.Penetration penetration in this.gameObject.GetComponent<PhysicalBehaviour>().victimPenetrations)
				{
					if (penetration.Active && penetration.Stabber.StabCausesWound)
					{
						this.BleedingRate = Mathf.Max(this.BleedingRate, penetration.GetCurrentDepth() * 4f);
					}
				}
			}

			private void HandleBleeding(float deltaTime)
			{
				if (this.BleedingRate > 0.05f)
				{
					if (this.BleedingRate > 1f)
					{
						this.Dead = false;
					}
					if (this.BleedingRate < 1f)
					{
						this.BleedingRate -= Time.deltaTime * 0.05f;
					}
					this.OrganContainer.Drain(deltaTime / Mathf.Lerp(60f, 20f, this.BloodFlow) * this.BleedingRate * 1.6f);
				}
			}

			private void Shot(Shot shot)
			{
				if (UnityEngine.Random.value < this.gameObject.GetComponent<PhysicalBehaviour>().Properties.Softness + 0.001f)
				{
					shot.damage = 1f;
					this.BleedingRate += shot.damage / 6f;
					this.CreateBleedingParticle(shot.point, shot.normal);
				}
			}

			private void ExitShot(Shot shot)
			{
				shot.damage = 1f;
				this.BleedingRate += 1f;
				this.CreateBleedingParticle(shot.point, shot.normal);
			}

			public void CreateBleedingParticle(Vector2 worldPosition, Vector2 direction)
			{
				if (this.BleedingPointCount >= 8)
				{
					return;
				}
				GameObject gameObject = UnityEngine.Object.Instantiate<GameObject>(ModAPI.FindSpawnable("Human").Prefab.GetComponent<PersonBehaviour>().BleedingParticlePrefab, base.GetComponent<Collider2D>().ClosestPoint(worldPosition) - direction * 0.1f, Quaternion.identity, base.transform);
				gameObject.transform.up = direction;
				var a = gameObject.GetComponent<BleedingParticleBehaviour>();
				OrganParticleBehaviour component = gameObject.AddComponent<OrganParticleBehaviour>();
				component.WaterPuffSystem = a.WaterPuffSystem;
				component.BloodSplatController = a.BloodSplatController;
				GameObject.Destroy(a);
				component.CirculationBehaviour = this.OrganContainer;
				component.Organ = this;
				component.ShouldBecomeSmokeInWater = (this.BleedingPointCount == 0);
				this.BleedingParticles.Add(gameObject);
				this.BleedingPointCount += 1;
			}

			public void Stabbed(Stabbing stabbing)
			{
				if (!stabbing.stabber.StabCausesWound)
				{
					return;
				}
				this.StabWoundCount += 1;
				this.CreateBleedingParticle(stabbing.point, stabbing.normal);
			}

			public void Cut(Vector2 point, Vector2 direction)
			{
				this.BleedingRate += 0.25f;
				this.CreateBleedingParticle(point, direction);
			}

			public List<GameObject> BleedingParticles = new List<GameObject>();
			public float BloodLossRateMultiplier = 1f;
			public float BleedingRate;
			public bool WasInitiallyPumping;
			public float BloodFlow;
			private const byte MaximumBleedingPoints = 8;
			public byte BleedingPointCount;
			public ushort StabWoundCount;
			public ushort GunshotWoundCount;
		}

		public class PhaseLinkToolDetailed : LinkDeviceTool
		{
			private void Awake()
			{
				this.WireMaterial = Resources.Load<Material>("Materials/PhaseLink");
				this.WireWidth = 0.08f;
				this.WireColor = Color.white;
			}
			protected override void OnLinkCreate(Vector2 localFrom, Vector2 localTo, PhysicalBehaviour a, PhysicalBehaviour b)
			{
				PhaseLinkBehaviourDetailed phaseLinkBehaviour = a.gameObject.AddComponent<PhaseLinkBehaviourDetailed>();
				UndoControllerBehaviour.RegisterAction(new ObjectCreationAction(phaseLinkBehaviour, "invisible phase link"));
				phaseLinkBehaviour.Other = b;
				phaseLinkBehaviour.LocalOffset = localFrom;
				phaseLinkBehaviour.OtherLocalOffset = localTo;
			}
		}

		public class PhaseLinkBehaviourDetailed : LinkDeviceBehaviour
        {
			private void Update()
			{
				if (Global.main.GetPausedMenu())
				{
					return;
				}
				if (!this.fromSpriteRenderer || !this.toSpriteRenderer)
				{
					UnityEngine.Object.Destroy(this);
					return;
				}
				this.lineRenderer.enabled = Global.main.ShowLimbStatus;
				this.fromSpriteRenderer.enabled = Global.main.ShowLimbStatus; //These two lines is literally all I really changed.
				this.toSpriteRenderer.enabled = Global.main.ShowLimbStatus; //Pretty stupid, right?
				if (Global.main.ShowLimbStatus)
				{
					this.lineRenderer.SetPosition(0, base.transform.TransformPoint(this.LocalOffset));
					this.lineRenderer.SetPosition(1, this.Other.transform.TransformPoint(this.OtherLocalOffset));
					this.collider.enabled = true;
				}
				else
				{
					this.collider.enabled = false;
				}
				this.CheckMouseInput();
				if (this.IsMouseInsideBounds)
				{
					this.CalculateEdgeCollider();
				}
			}

			protected override void AfterInitialise()
			{
				foreach (Collider2D collider2D in this.PhysicalBehaviour.transform.root.GetComponentsInChildren<Collider2D>())
				{
					foreach (Collider2D collider2D2 in this.Other.transform.root.GetComponentsInChildren<Collider2D>())
					{
						if (!(collider2D == collider2D2))
						{
							IgnoreCollisionStackController.RequestIgnoreCollision(collider2D, collider2D2);
						}
					}
				}
			}
			protected override void OnDestroy()
			{
				if (this.PhysicalBehaviour && this.Other)
				{
					foreach (Collider2D collider2D in this.PhysicalBehaviour.transform.root.GetComponentsInChildren<Collider2D>())
					{
						foreach (Collider2D collider2D2 in this.Other.transform.root.GetComponentsInChildren<Collider2D>())
						{
							if (!(collider2D == collider2D2))
							{
								IgnoreCollisionStackController.RequestDontIgnoreCollision(collider2D, collider2D2);
							}
						}
					}
				}
				base.OnDestroy();
			}
			protected override Sprite GetDeviceSprite()
			{
				return Resources.Load<Sprite>("Sprites/PhaseLink");
			}
			protected override Color GetWireColor()
			{
				return Color.white;
			}
			protected override Material GetWireMaterial()
			{
				return Resources.Load<Material>("Materials/PhaseLink");
			}
			protected override float GetWireWidth()
			{
				return 0.08f;
			}
		}

		public class OrganParticleBehaviour : MonoBehaviour
		{
			private void Awake()
			{
				this.BloodParticleSystem = base.GetComponent<ParticleSystem>();
				this.main = this.BloodParticleSystem.main;
				this.emission = this.BloodParticleSystem.emission;
			}

			private void Start()
			{
				if (!this.ShouldBecomeSmokeInWater && this.WaterPuffSystem)
				{
					UnityEngine.Object.Destroy(this.WaterPuffSystem);
				}
			}

			private void Update()
			{
				if (this.Organ.BleedingRate > 0.05f)
				{
					bool flag = WaterBehaviour.IsPointUnderWater(base.transform.position);
					this.main.startSpeedMultiplier = Mathf.Pow(this.CirculationBehaviour.TotalLiquidAmount, 3f) * 5f * UnityEngine.Random.Range(0.34f, 0.4f);
					float num = this.Organ.BleedingRate;
					this.emission.rateOverTimeMultiplier = (flag ? 0f : (256f * num));
					this.emission.enabled = true;
					if (this.Organ.Dead)
                    {
						this.emission.rateOverTimeMultiplier = 0f;
					}
					if (this.BloodSplatController)
					{
						this.BloodSplatController.EjectionForce = new Vector2(0.25f, 0.35f) * this.main.startSpeedMultiplier;
						this.BloodSplatController.SpawningChance = (flag ? 0f : (this.CirculationBehaviour.TotalLiquidAmount * 0.5f));
					}
					if (this.ShouldBecomeSmokeInWater && this.WaterPuffSystem)
					{
						if (flag)
						{
							var em = this.WaterPuffSystem.emission;
							em.rateOverTimeMultiplier = num;
							if (!this.WaterPuffSystem.isPlaying)
							{
								this.WaterPuffSystem.Play();
								return;
							}
						}
						else if (this.WaterPuffSystem.isPlaying)
						{
							this.WaterPuffSystem.Stop();
							return;
						}
					}
				}
				else
				{
					this.main.startSpeedMultiplier = 0f;
					this.emission.rateOverTimeMultiplier = 0f;
					this.emission.enabled = false;
					if (this.BloodSplatController)
					{
						this.BloodSplatController.SpawningChance = 0f;
					}
					if (this.ShouldBecomeSmokeInWater && this.WaterPuffSystem && this.WaterPuffSystem.isPlaying)
					{
						this.WaterPuffSystem.Stop();
					}
				}
			}

			public BloodContainer CirculationBehaviour;
			public OrganCirculation Organ;
			public ParticleSystem BloodParticleSystem;
			public ParticleSystem WaterPuffSystem;
			public FancyBloodSplatController BloodSplatController;
			private ParticleSystem.MainModule main;
			private ParticleSystem.EmissionModule emission;
			public bool ShouldBecomeSmokeInWater;
		}

		public class PistonBehaviourClone : MonoBehaviour
		{
			private void Start()
			{
				this.originalLimits = this.Slider.limits;
				this.UpdateLimits();
				this.PistonHead.transform.Translate(0f, 0f, 0.05f);
				if (base.transform.localScale.x < 0f)
				{
					this.Slider.angle = 180f;
				}
			}

			public void Use()
			{
				if (!base.enabled)
				{
					return;
				}
				this.AudioSource.Stop();
				this.AudioSource.Play();
				this.Activated = !this.Activated;
				base.StopAllCoroutines();
				base.StartCoroutine(this.MovePiston((float)(this.Activated ? 1 : -1)));
			}

			private IEnumerator MovePiston(float direction)
			{
				JointLimitState2D limitToWaitFor = (direction > 0f) ? JointLimitState2D.UpperLimit : JointLimitState2D.LowerLimit;
				this.SetMotorSpeed(direction * Mathf.Abs(base.transform.localScale.x));
				yield return new WaitUntil(() => this.Slider.limitState == limitToWaitFor);
				yield break;
			}

			private void Update()
			{
				this.UpdateLimits();
			}

			private void UpdateLimits()
			{
				JointTranslationLimits2D limits = default(JointTranslationLimits2D);
				float num = Mathf.Abs(base.transform.localScale.x);
				limits.max = this.originalLimits.max * num;
				limits.min = this.originalLimits.min * num;
				this.Slider.limits = limits;
			}

			private void SetMotorSpeed(float v)
			{
				JointMotor2D motor = this.Slider.motor;
				motor.motorSpeed = v * this.MotorSpeedMutliplier * Mathf.Max(1f, this.PhysicalBehaviour.Charge);
				this.Slider.motor = motor;
			}

			public bool Activated = false;

			public PhysicalBehaviour PhysicalBehaviour;

			public AudioSource AudioSource;

			public SliderJoint2D Slider;

			public Transform PistonHead;

			public float MotorSpeedMutliplier = 5f;

			private JointTranslationLimits2D originalLimits;
		}
	}
}